commit gnome-shell for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-shell for openSUSE:Factory 
checked in at 2013-10-19 11:10:53

Comparing /work/SRC/openSUSE:Factory/gnome-shell (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-shell.new (New)


Package is gnome-shell

Changes:

--- /work/SRC/openSUSE:Factory/gnome-shell/gnome-shell.changes  2013-10-17 
20:41:19.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-shell.new/gnome-shell.changes 
2013-10-19 11:15:20.0 +0200
@@ -1,0 +2,8 @@
+Fri Oct 18 07:22:56 UTC 2013 - dims...@opensuse.org
+
+- Add gnome-shell-no_clear_hint.patch: Work around refresh issues.
+  This is not the final solution; the wallpaper is often not
+  loaded, but at least it stops the screen from flickering wildly,
+  giving a much less broken experience (bgo#709313, bnc#844891).
+
+---

New:

  gnome-shell-no_clear_hint.patch



Other differences:
--
++ gnome-shell.spec ++
--- /var/tmp/diff_new_pack.qxInHa/_old  2013-10-19 11:15:25.0 +0200
+++ /var/tmp/diff_new_pack.qxInHa/_new  2013-10-19 11:15:25.0 +0200
@@ -26,6 +26,8 @@
 Source: 
http://download.gnome.org/sources/gnome-shell/3.10/%{name}-%{version}.tar.xz
 # PATCH-FIX-UPSTREAM gnome-shell-private-connection.patch bnc#751211 
bgo#646187 dims...@opensuse.org -- create private connections if the user is 
not authorized
 Patch1: gnome-shell-private-connection.patch
+# PATCH-FIX-OPENSUSE gnome-shell-no_clear_hint.patch bgo#709313 bnc#844891 
dims...@opensuse.org -- Work around refresh issues. This is not the final 
solution; the wallpaper is often not loaded, but at least it stops the screen 
from flickering wildly, giving a much less broken experience.
+Patch2: gnome-shell-no_clear_hint.patch
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  intltool
 BuildRequires:  translation-update-upstream
@@ -135,6 +137,7 @@
 %prep
 %setup -q
 %patch1 -p1
+%patch2 -p1
 translation-update-upstream
 
 %build

++ gnome-shell-no_clear_hint.patch ++
Index: gnome-shell-3.10.1/js/ui/layout.js
===
--- gnome-shell-3.10.1.orig/js/ui/layout.js
+++ gnome-shell-3.10.1/js/ui/layout.js
@@ -659,7 +659,7 @@ const LayoutManager = new Lang.Class({
 _startupAnimationComplete: function() {
 // At this point, the UI group is covering everything, so
 // we no longer need to clear the stage
-global.stage.no_clear_hint = true;
+global.stage.no_clear_hint = false;
 
 this._coverPane.destroy();
 this._coverPane = null;
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit cmpi-bindings for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package cmpi-bindings for openSUSE:Factory 
checked in at 2013-10-19 11:10:14

Comparing /work/SRC/openSUSE:Factory/cmpi-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.cmpi-bindings.new (New)


Package is cmpi-bindings

Changes:

--- /work/SRC/openSUSE:Factory/cmpi-bindings/cmpi-bindings.changes  
2013-09-26 14:43:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.cmpi-bindings.new/cmpi-bindings.changes 
2013-10-19 11:14:35.0 +0200
@@ -1,0 +2,13 @@
+Wed Oct  9 11:56:48 UTC 2013 - kkae...@suse.com
+
+- Update to 0.9.7
+  Catch and log Ruby exceptions caused by invoke method type
+  conversions.
+
+---
+Wed Oct  9 08:17:54 UTC 2013 - kkae...@suse.com
+
+- Update to 0.9.6
+  Return correct status for failed method invocation in Ruby.
+
+--

Old:

  cmpi-bindings-0.9.5.tar.bz2

New:

  cmpi-bindings-0.9.7.tar.bz2



Other differences:
--
++ cmpi-bindings.spec ++
--- /var/tmp/diff_new_pack.gmyfrr/_old  2013-10-19 11:14:37.0 +0200
+++ /var/tmp/diff_new_pack.gmyfrr/_new  2013-10-19 11:14:37.0 +0200
@@ -20,7 +20,7 @@
 Url:http://github.com/kkaempf/cmpi-bindings
 
 Name:   cmpi-bindings
-Version:0.9.5
+Version:0.9.7
 Release:0
 Summary:Adapter to write and run CMPI-type CIM providers
 License:BSD-3-Clause and CPL-1.0

++ cmpi-bindings-0.9.5.tar.bz2 - cmpi-bindings-0.9.7.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cmpi-bindings-0.9.5/README 
new/cmpi-bindings-0.9.7/README
--- old/cmpi-bindings-0.9.5/README  2013-04-11 16:06:06.0 +0200
+++ new/cmpi-bindings-0.9.7/README  2013-09-26 09:08:40.0 +0200
@@ -58,9 +58,9 @@
   
   cmake 2.4 or later
   CMPI header files, e.g. from sblim-cmpi-devel
-  python interface requires:  python-devel, pywbem-0.7.0
-  perl interface requires: ?
-  ruby interface requires: ruby-1.8 ruby-devel-1.8
+  Python interface requires:  python-devel, pywbem-0.7.0
+  Perl interface requires: perl
+  Ruby interface requires: ruby ruby-devel (1.8, 1.9, or 2.0)
 
   Build
   -
@@ -81,7 +81,7 @@
   For each language, there is a test/language directory.
   Within that directory, there should be test providers, scripts that use 
   the test providers, and scripts to register the mofs and providers with 
-  cimoms.
+  CIMOMs.
 
 
 Testing
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cmpi-bindings-0.9.5/VERSION.cmake 
new/cmpi-bindings-0.9.7/VERSION.cmake
--- old/cmpi-bindings-0.9.5/VERSION.cmake   2013-04-11 17:13:06.0 
+0200
+++ new/cmpi-bindings-0.9.7/VERSION.cmake   2013-10-09 13:56:42.0 
+0200
@@ -1,3 +1,3 @@
 SET(VERSION_MAJOR 0)
 SET(VERSION_MINOR 9)
-SET(VERSION_PATCH 5)
+SET(VERSION_PATCH 7)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cmpi-bindings-0.9.5/package/cmpi-bindings.changes 
new/cmpi-bindings-0.9.7/package/cmpi-bindings.changes
--- old/cmpi-bindings-0.9.5/package/cmpi-bindings.changes   2013-04-11 
16:06:06.0 +0200
+++ new/cmpi-bindings-0.9.7/package/cmpi-bindings.changes   2013-10-09 
13:57:55.0 +0200
@@ -1,4 +1,22 @@
 ---
+Wed Oct  9 11:56:48 UTC 2013 - kkae...@suse.com
+
+- Update to 0.9.7
+  Catch and log Ruby exceptions caused by invoke method type
+  conversions.
+
+---
+Wed Oct  9 08:17:54 UTC 2013 - kkae...@suse.com
+
+- Update to 0.9.6
+  Return correct status for failed method invocation in Ruby.
+
+--
+Thu Sep 26 07:18:08 UTC 2013 - kkae...@suse.com
+
+- Drop explicit ruby(abi) requires (bnc#842433)
+
+---
 Thu Apr 11 13:52:08 UTC 2013 - kkae...@suse.com
 
 - Update to 0.9.5
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cmpi-bindings-0.9.5/package/cmpi-bindings.spec.in 
new/cmpi-bindings-0.9.7/package/cmpi-bindings.spec.in
--- old/cmpi-bindings-0.9.5/package/cmpi-bindings.spec.in   2013-04-11 
16:06:06.0 +0200
+++ new/cmpi-bindings-0.9.7/package/cmpi-bindings.spec.in   2013-10-09 
11:39:26.0 +0200
@@ -124,16 +124,6 @@
 Group:  Development/Languages/Ruby
 # for the debug package. we dont use debug_package_requires here as it would 
enforce to install both packages.
 

commit cmake for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package cmake for openSUSE:Factory checked 
in at 2013-10-19 11:10:00

Comparing /work/SRC/openSUSE:Factory/cmake (Old)
 and  /work/SRC/openSUSE:Factory/.cmake.new (New)


Package is cmake

Changes:

--- /work/SRC/openSUSE:Factory/cmake/cmake-gui.changes  2013-08-04 
16:48:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.cmake.new/cmake-gui.changes 2013-10-19 
11:14:31.0 +0200
@@ -1,0 +2,438 @@
+Tue Oct  8 16:35:02 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Update to 2.8.12
+  * Xcode: Fix test architecture selection for Xcode = 5
+  * Xcode: Teach Tests/BuildDepends to allow LINK_DEPENDS_NO_SHARED failure
+  * Xcode: Drop XCODE_DEPEND_HELPER for Xcode = 5
+  * Xcode: Fix OBJECT library support for Xcode 5 (#14254)
+  * Genex: Fix processing multiple include directories for relative paths
+  * VS: Future-proof Intel project format selection
+  * MSVC: Drop /link from executable link lines with Ninja
+  * FindCUDA: Always list custom command outputs in their targets
+  * FindPNG: Honor old PNG_LIBRARY if provided (#14398)
+  * FindHDF5: Fix regression in per-configuration library selection
+  * bash-completion: Future-proof --help-*-list c version filtering
+  * OS X: Search system SDKs for frameworks
+  * Use first custom command for the same output (#14446)
+  * MSVC: Fix version test for linking corelibc on Windows CE (#14420)
+  * MSVC: Fix WinCE arch family preprocessor symbol (#14436)
+  * VS: Use version-specific subsystem for WinCE compiler id (#14440)
+  * bootstrap: try better workaround for builds on Linux/HPPA
+  * Add differing target property content to policy CMP0022 warning
+  * Fix CMP0022 warning when no old-style property is set
+  * genex: Fix preprocessing with incomplete content (#14410).
+  * cmMakefile: Do not track CMake temporary files.
+  * Fix RunCMake.Configure test expectation newline matching
+  * Clean up install rules of CMake itself (#14371)
+  * OSX: Allow an empty INSTALL_NAME_DIR to override MACOSX_RPATH.
+  * FindImageMagick: Find libraries named with HDRI support (#14348)
+  * FindTCL: Add BSD paths for Tcl/Tk 8.6
+  * VS: Generate ToolsVersion matching each VS version
+  * cmMakefile: Do not track configured files known to be temporary
+  * CheckC*CompilerFlag: add documentation what to expect from a positive 
result
+  * Fix OLD behavior of CMP0021.
+  * try_compile: Extract IMPORTED targets from LINK_DEPENDENT_LIBRARIES
+  * try_compile: Extract IMPORTED targets from INTERFACE_LINK_LIBRARIES
+  * Genex: Fix evaluation of MAP_IMPORTED_CONFIG_CONFIG
+  * Fix some whitespace errors in docs.
+  * Normalize system directories from the interface target property
+  * CPack: Fix a typo in documentation
+  * CTest: Fix GTM coverage parsing line offset bug
+  * CPackWIX: Add support for custom WiX templates
+  * CMakeSystem: include toolchain file after setting CMAKE_HOST_ (#13796)
+  * Add support files for C, C++ and ASM for the IAR toolchain.
+  * Add regexps for the IAR toolchain to the vendor list.
+  * Add IAR to the CMakeDetectC(XX)CompilerID.c(pp).in
+  * cmake-gui: use shortcut F only for Find in Output
+  * Eclipse: fix #14204 and #14205: no file links to directories
+  * automoc: add a global AUTOMOC_TARGETS_FOLDER property
+  * install: do not strip dll import libraries (#14123)
+  * ExportTargets: add one more comment to the generated file.
+  * Add documentation for the --graphviz support
+  * graphvizoptions: add copyright notice
+  * add macros cmake_print_properties() and cmake_print_variables()
+  * VS: Detect MSVC compiler id on ARM toolchain
+  * Fix spelling and typos (affecting users)
+  * Fix spelling and typos (affecting binary data / module messages)
+  * Fix spelling and typos (non-binary)
+  * Fix spelling and typos (product names)
+  * FindwxWidgets: add DOC strings with usual style
+  * Explain distribution of Win9x binary on all Windows versions.
+  * VS10: add detailed comment about MIDL processing
+  * Docs: Update description of CMAKE_(BUILD_TYPE|CONFIGURATION_TYPES)
+  * Docs: Clarify that CMAKE_*_(PREFIX|SUFFIX) affect filenames
+  * Docs: Clarify wording flag used = flag (to|will) be used
+  * set_property: Do not remove a property when APPENDing nothing
+  * Tests/RunCMake: Document stripping of expected output
+  * export: Error when exporting a target without a language
+  * variable_watch: Store client data as pointers
+  * variable_watch: Add a deleter for the client data
+  * variable_watch: Match client_data when finding duplicates
+  * variable_watch: Allow specifying the data to match in RemoveWatch
+  * variable_watch: Prevent making extra entries in the watch map
+  * variable_watch: Fix a typo in the error message
+  * variable_watch: Don't share memory for callbacks
+  * variable_watch: Check newValue for 

commit kdelibs4 for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package kdelibs4 for openSUSE:Factory 
checked in at 2013-10-19 11:11:07

Comparing /work/SRC/openSUSE:Factory/kdelibs4 (Old)
 and  /work/SRC/openSUSE:Factory/.kdelibs4.new (New)


Package is kdelibs4

Changes:

--- /work/SRC/openSUSE:Factory/kdelibs4/kdelibs4-apidocs.changes
2013-10-03 15:54:06.0 +0200
+++ /work/SRC/openSUSE:Factory/.kdelibs4.new/kdelibs4-apidocs.changes   
2013-10-19 11:15:56.0 +0200
@@ -1,0 +2,6 @@
+Fri Oct 18 15:40:44 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Added 0001-Fix-association-with-derived-mimetype-again.patch, fixes
+  remaining issues in mimetype handling, see e.g. kde#324502
+
+---
kdelibs4.changes: same change

New:

  0001-Fix-association-with-derived-mimetype-again.patch



Other differences:
--
++ kdelibs4.spec ++
--- /var/tmp/diff_new_pack.J93iYU/_old  2013-10-19 11:16:11.0 +0200
+++ /var/tmp/diff_new_pack.J93iYU/_new  2013-10-19 11:16:11.0 +0200
@@ -108,6 +108,8 @@
 # when e.g. starting dolphin from CLI
 # NOTE patch is from master, aka 4.12 branch
 Patch1000:  0001-verbose.patch
+# PATCH-FIX-UPSTREAM 0001-Fix-association-with-derived-mimetype-again.patch -- 
fixup for resolving kde#321706. resolves kde#324502
+Patch2000:  0001-Fix-association-with-derived-mimetype-again.patch
 PreReq: permissions
 Requires:   soprano = %( echo `rpm -q --queryformat '%{VERSION}' 
libsoprano-devel`)
 Recommends: strigi = %( echo `rpm -q --queryformat '%{VERSION}' 
strigi-devel`)
@@ -173,6 +175,7 @@
 %patch10
 %patch11 -p1
 %patch1000 -p1
+%patch2000 -p1
 
 %build
   EXTRA_FLAGS=-DLIB_INSTALL_DIR=%{_kde4_libdir} \

++ 0001-Fix-association-with-derived-mimetype-again.patch ++
From f723e2e7d36b597c5262bf63dde380d89ec6bfcb Mon Sep 17 00:00:00 2001
From: David Faure fa...@kde.org
Date: Fri, 18 Oct 2013 09:44:17 +0200
Subject: [PATCH 1/1] Fix association-with-derived-mimetype again.

8718a88a made it impossible to re-order file type associations.
7f42bf253009 fixed that, but changed the value of KService::mimeTypes(), which
broke okular. This new fix works the same way, but only inside kbuildsycoca
when it processes the mimetypes. The value of KService::mimeTypes() is now
restored to be exactly what's in the desktop file.

CCBUG: 321706
FIXED-IN: 4.11.3
---
 kdecore/services/kservice.cpp  | 45 +-
 kdecore/tests/kservicetest.cpp |  7 ---
 kded/kbuildservicefactory.cpp  | 11 ++-
 3 files changed, 23 insertions(+), 40 deletions(-)

diff --git a/kdecore/services/kservice.cpp b/kdecore/services/kservice.cpp
index d7945bf..8e81929 100644
--- a/kdecore/services/kservice.cpp
+++ b/kdecore/services/kservice.cpp
@@ -227,44 +227,17 @@ void KServicePrivate::init( const KDesktopFile *config, 
KService* q )
 has an empty mimetype!;
 continue;
 }
-
-// The following searches through the list for duplicate, inherited 
mimetypes
-// For example, if application/rtf and text/plain are both listed 
application/rtf is removed
-// since it is inherited from text/plain
-// This is a reworked fix for revision 
8718a88a600c8f850a020d44bfc5f5858caa
-bool shouldAdd = true;
-KMimeType::Ptr mimeType1 = 
KMimeTypeRepository::self()-findMimeTypeByName(st);
-if (mimeType1) {
-foreach(const QString mime2, lstServiceTypes) {
-// Don't compare the mimetype with itself
-if (st == mime2) {
-continue;
-}
-
-// is checks for inheritance and aliases, so this should 
suffice
-if (mimeType1-is(mime2)) {
-shouldAdd = false;
-break;
-}
+int initialPreference = m_initialPreference;
+if ( st_it.hasNext() ) {
+// TODO better syntax - separate group with mimetype=number 
entries?
+bool isNumber;
+const int val = st_it.peekNext().toInt(isNumber);
+if (isNumber) {
+initialPreference = val;
+st_it.next();
 }
 }
-
-// Only add unique mimetypes
-if (shouldAdd) {
-int initialPreference = m_initialPreference;
-if (st_it.hasNext()) {
-// TODO better syntax - separate group with mimetype=number 
entries?
-bool isNumber;
-const int val = st_it.peekNext().toInt(isNumber);
-if (isNumber) {
-initialPreference = val;
-st_it.next();
-

commit php5-pear-ezc-Base for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package php5-pear-ezc-Base for 
openSUSE:Factory checked in at 2013-10-19 11:11:36

Comparing /work/SRC/openSUSE:Factory/php5-pear-ezc-Base (Old)
 and  /work/SRC/openSUSE:Factory/.php5-pear-ezc-Base.new (New)


Package is php5-pear-ezc-Base

Changes:

--- /work/SRC/openSUSE:Factory/php5-pear-ezc-Base/php5-pear-ezc-Base.changes
2011-12-21 12:18:39.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.php5-pear-ezc-Base.new/php5-pear-ezc-Base.changes   
2013-10-19 11:18:24.0 +0200
@@ -1,0 +2,5 @@
+Mon May 20 18:58:08 UTC 2013 - jweberho...@weberhofer.at
+
+- Fix dependencies, php-posix is not needed
+
+---



Other differences:
--
++ php5-pear-ezc-Base.spec ++
--- /var/tmp/diff_new_pack.bJRFMF/_old  2013-10-19 11:18:25.0 +0200
+++ /var/tmp/diff_new_pack.bJRFMF/_new  2013-10-19 11:18:25.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package php5-pear-ezc-Base
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,7 +29,6 @@
 BuildRequires:  php-macros
 BuildRequires:  php5-pear-channel-ezno
 PreReq: php5-pear-channel-ezno
-Requires:   php5-posix
 BuildArch:  noarch
 %define pear_name  Base
 %define pear_sname base

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit php5-pear-channel-ezno for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package php5-pear-channel-ezno for 
openSUSE:Factory checked in at 2013-10-19 11:11:48

Comparing /work/SRC/openSUSE:Factory/php5-pear-channel-ezno (Old)
 and  /work/SRC/openSUSE:Factory/.php5-pear-channel-ezno.new (New)


Package is php5-pear-channel-ezno

Changes:

--- 
/work/SRC/openSUSE:Factory/php5-pear-channel-ezno/php5-pear-channel-ezno.changes
2012-02-02 17:59:12.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.php5-pear-channel-ezno.new/php5-pear-channel-ezno.changes
   2013-10-19 11:18:23.0 +0200
@@ -1,0 +2,5 @@
+Mon May 20 18:44:49 UTC 2013 - jweberho...@weberhofer.at
+
+- Removed dependency for php, as it's already included in php-pear
+
+---



Other differences:
--
++ php5-pear-channel-ezno.spec ++
--- /var/tmp/diff_new_pack.f9cNtT/_old  2013-10-19 11:18:24.0 +0200
+++ /var/tmp/diff_new_pack.f9cNtT/_new  2013-10-19 11:18:24.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package php5-pear-channel-ezno
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,8 +29,8 @@
 Source0:http://components.ez.no/channel.xml
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-BuildRequires:  php5-pear = 5.1.1
-PreReq: php5 php5-pear = 5.1.1
+BuildRequires:  php-pear = 5.2.1
+Requires:   php-pear = 5.2.1
 
 %description
 This package adds the components.ez.no channel which allows PEAR packages


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pcsc-lite for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package pcsc-lite for openSUSE:Factory 
checked in at 2013-10-19 11:11:22

Comparing /work/SRC/openSUSE:Factory/pcsc-lite (Old)
 and  /work/SRC/openSUSE:Factory/.pcsc-lite.new (New)


Package is pcsc-lite

Changes:

--- /work/SRC/openSUSE:Factory/pcsc-lite/pcsc-lite.changes  2013-01-17 
09:54:26.0 +0100
+++ /work/SRC/openSUSE:Factory/.pcsc-lite.new/pcsc-lite.changes 2013-10-19 
11:17:29.0 +0200
@@ -1,0 +2,47 @@
+Fri Oct 18 10:20:10 UTC 2013 - w...@rosenauer.org
+
+- Updated to version 1.8.9
+  * SCardEndTransaction(): Return an error if is called with no
+corresponding SCardBeginTransaction()
+  * SCardGetAttrib(): Add support of SCARD_ATTR_DEVICE_SYSTEM_NAME
+  * SCardGetAttrib(): Fix bug in SCARD_ATTR_DEVICE_FRIENDLY_NAME
+  * SCardBeginTransaction() was not correctly releasing a mutex when
+the hCard handle was invalidated. The problem was that
+SCardGetStatusChange() was blocked because SCardBeginTransaction()
+had not released the context mutex.
+  * PCSC/reader.h: Use C99 flexible array member
+The structures PIN_MODIFY_STRUCTURE and PIN_VERIFY_STRUCTURE now
+use a C99 flexible array member when available for abData field.
+uint8_t abData[];
+  * Add support of --reader-name-no-serial and --reader-name-no-interface
+It is now possible to NOT add the USB serial number of the reader
+using --reader-name-no-serial
+It is now possible to NOT add the CCID interface name of the reader
+using --reader-name-no-interface
+  * Add support of serialconfdir pkg-config variable
+It is now possible to use pkg-config to get the directory used by
+pcscd to fetch serial drivers configurations.
+$ pkg-config libpcsclite --variable=serialconfdir
+/etc/reader.conf.d
+  * pcsc-spy: Try to display the thread in the order they appear in the log
+  * pcsc-spy: Add SCARD_ATTR_DEVICE_SYSTEM_NAME
+  * Check the Info.plist file is (a minimum) correct
+  * Update PROTOCOL_VERSION_MINOR from 2 to 3
+We broke the API between version 1.8.3 and 1.8.4 by changing the
+value of MAX_READERNAME. This change should have been made before
+releasing version 1.8.4 to make mix of versions clearly non working
+instead of failing with strange errors.
+  * hotplug_libudev.c: Fix a memory leak in case of error
+  * Fix OpenBSD 5.2 compilation regarding dlopen
+  * correctly manage thread safe multi-slot readers
+  * Do not use pthread_atfork() any more (fix problem on FreeBSD)
+  * fix memory leaks.
+This was not really a problem unless you embedd pcscd in another
+process and do init/deinit pcscd without exiting the process (as
+maybe used on Android or iOS).
+  * pcscd.8 manpage: add documentation for --max-thread,
+--max-card-handle-per-thread, --max-card-handle-per-reader,
+--force-reader-polling, --error, --critical and --color
+  * Some other minor improvements and bug corrections
+
+---

Old:

  pcsc-lite-1.8.8.tar.bz2
  pcsc-lite-1.8.8.tar.bz2.asc

New:

  pcsc-lite-1.8.9.tar.bz2
  pcsc-lite-1.8.9.tar.bz2.asc



Other differences:
--
++ pcsc-lite.spec ++
--- /var/tmp/diff_new_pack.SFp8jk/_old  2013-10-19 11:17:32.0 +0200
+++ /var/tmp/diff_new_pack.SFp8jk/_new  2013-10-19 11:17:32.0 +0200
@@ -36,7 +36,7 @@
 %if %suse_version  1220
 BuildRequires:  gpg-offline
 %endif
-Version:1.8.8
+Version:1.8.9
 Release:0
 Requires(pre):  pwdutils
 Url:http://pcsclite.alioth.debian.org/

++ pcsc-lite-1.8.8.tar.bz2 - pcsc-lite-1.8.9.tar.bz2 ++
 8632 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit python3-virtualenv for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package python3-virtualenv for 
openSUSE:Factory checked in at 2013-10-19 11:12:00

Comparing /work/SRC/openSUSE:Factory/python3-virtualenv (Old)
 and  /work/SRC/openSUSE:Factory/.python3-virtualenv.new (New)


Package is python3-virtualenv

Changes:

--- /work/SRC/openSUSE:Factory/python3-virtualenv/python3-virtualenv.changes
2013-08-18 22:35:14.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.python3-virtualenv.new/python3-virtualenv.changes   
2013-10-19 11:19:03.0 +0200
@@ -1,0 +2,9 @@
+Fri Oct 11 08:52:19 UTC 2013 - speili...@suse.com
+
+- Update to version 1.10.1:
+  + **New Signing Key** Release 1.10.1 is using a different key than normal 
with
+fingerprint: 7C6B 7C5D 5E2B 6356 A926 F04F 6E3C BCE9 3372 DCFA
+  + Upgraded pip to v1.4.1
+  + Upgraded setuptools to v0.9.8
+
+---

Old:

  virtualenv-1.10.tar.gz

New:

  virtualenv-1.10.1.tar.gz



Other differences:
--
++ python3-virtualenv.spec ++
--- /var/tmp/diff_new_pack.KYAIeZ/_old  2013-10-19 11:19:04.0 +0200
+++ /var/tmp/diff_new_pack.KYAIeZ/_new  2013-10-19 11:19:04.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   python3-virtualenv
-Version:1.10
+Version:1.10.1
 Release:0
 Url:http://www.virtualenv.org/
 Summary:Virtual Python Environment builder

++ virtualenv-1.10.tar.gz - virtualenv-1.10.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/virtualenv-1.10/PKG-INFO 
new/virtualenv-1.10.1/PKG-INFO
--- old/virtualenv-1.10/PKG-INFO2013-07-23 23:06:22.0 +0200
+++ new/virtualenv-1.10.1/PKG-INFO  2013-08-08 03:12:14.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: virtualenv
-Version: 1.10
+Version: 1.10.1
 Summary: Virtual Python Environment builder
 Home-page: http://www.virtualenv.org
 Author: Jannis Leidel, Carl Meyer and Brian Rosner
@@ -628,6 +628,15 @@
``$ENV/bin/python`` and re-running virtualenv on the same target 
directory
with the upgraded Python.
 
+1.10.1 (2013-08-07)
+~~~
+
+* **New Signing Key** Release 1.10.1 is using a different key than 
normal with
+  fingerprint: 7C6B 7C5D 5E2B 6356 A926 F04F 6E3C BCE9 3372 DCFA
+* Upgraded pip to v1.4.1
+* Upgraded setuptools to v0.9.8
+
+
 1.10 (2013-07-23)
 ~
 
Files old/virtualenv-1.10/docs/.DS_Store and 
new/virtualenv-1.10.1/docs/.DS_Store differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/virtualenv-1.10/docs/news.rst 
new/virtualenv-1.10.1/docs/news.rst
--- old/virtualenv-1.10/docs/news.rst   2013-07-23 23:06:03.0 +0200
+++ new/virtualenv-1.10.1/docs/news.rst 2013-08-08 03:04:37.0 +0200
@@ -14,6 +14,15 @@
``$ENV/bin/python`` and re-running virtualenv on the same target directory
with the upgraded Python.
 
+1.10.1 (2013-08-07)
+~~~
+
+* **New Signing Key** Release 1.10.1 is using a different key than normal with
+  fingerprint: 7C6B 7C5D 5E2B 6356 A926 F04F 6E3C BCE9 3372 DCFA
+* Upgraded pip to v1.4.1
+* Upgraded setuptools to v0.9.8
+
+
 1.10 (2013-07-23)
 ~
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/virtualenv-1.10/virtualenv.egg-info/PKG-INFO 
new/virtualenv-1.10.1/virtualenv.egg-info/PKG-INFO
--- old/virtualenv-1.10/virtualenv.egg-info/PKG-INFO2013-07-23 
23:06:22.0 +0200
+++ new/virtualenv-1.10.1/virtualenv.egg-info/PKG-INFO  2013-08-08 
03:12:14.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: virtualenv
-Version: 1.10
+Version: 1.10.1
 Summary: Virtual Python Environment builder
 Home-page: http://www.virtualenv.org
 Author: Jannis Leidel, Carl Meyer and Brian Rosner
@@ -628,6 +628,15 @@
``$ENV/bin/python`` and re-running virtualenv on the same target 
directory
with the upgraded Python.
 
+1.10.1 (2013-08-07)
+~~~
+
+* **New Signing Key** Release 1.10.1 is using a different key than 
normal with
+  fingerprint: 7C6B 7C5D 5E2B 6356 A926 F04F 6E3C BCE9 3372 DCFA
+* Upgraded pip to v1.4.1
+* Upgraded setuptools to v0.9.8
+
+
 1.10 (2013-07-23)
 ~
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/virtualenv-1.10/virtualenv.egg-info/SOURCES.txt 
new/virtualenv-1.10.1/virtualenv.egg-info/SOURCES.txt
--- 

commit sbd for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package sbd for openSUSE:Factory checked in 
at 2013-10-19 11:13:25

Comparing /work/SRC/openSUSE:Factory/sbd (Old)
 and  /work/SRC/openSUSE:Factory/.sbd.new (New)


Package is sbd

Changes:

--- /work/SRC/openSUSE:Factory/sbd/sbd.changes  2013-10-11 09:03:59.0 
+0200
+++ /work/SRC/openSUSE:Factory/.sbd.new/sbd.changes 2013-10-19 
11:19:47.0 +0200
@@ -1,0 +2,10 @@
+Thu Oct 10 09:12:41 UTC 2013 - l...@suse.com
+
+- systemd support
+- /etc/sysconfig/sbd template added
+- sbd: Add -p option to specify a pidfile
+- sbd-pacemaker: detect whether to run the AIS plugin quorum check at
+  runtime
+- cs: d7df351e09f903be79495dbe312cf670f1747ef2
+
+---



Other differences:
--
++ sbd.spec ++
--- /var/tmp/diff_new_pack.KdOPgx/_old  2013-10-19 11:19:48.0 +0200
+++ /var/tmp/diff_new_pack.KdOPgx/_new  2013-10-19 11:19:48.0 +0200
@@ -34,6 +34,11 @@
 BuildRequires:  libglue-devel
 BuildRequires:  libpacemaker-devel libcorosync-devel
 Conflicts: ClusterTools2  2.3.2
+Requires(pre):  %fillup_prereq
+
+%if %{defined systemd_requires}
+%systemd_requires
+%endif
 
 %description
 
@@ -56,6 +61,12 @@
 %install
 ###
 make DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} install
+install -D -m 0755 src/sbd.sh $RPM_BUILD_ROOT/usr/share/sbd/sbd.sh
+%if %{defined _unitdir}
+install -D -m 0644 src/sbd.service $RPM_BUILD_ROOT/%{_unitdir}/sbd.service
+%endif
+mkdir -p %{buildroot}%{_localstatedir}/adm/fillup-templates
+cp -f src/sbd.sysconfig 
%{buildroot}%{_localstatedir}/adm/fillup-templates/sysconfig.sbd
 
 %clean
 ###
@@ -65,12 +76,32 @@
   rm -rf $RPM_BUILD_ROOT || true
 fi
 
+%if %{defined _unitdir}
+%post
+%service_add_post sbd.service
+
+if [ ! -e %{_sysconfdir}/sysconfig/sbd ]; then
+%fillup_only sbd
+fi
+
+%preun
+%service_del_preun sbd.service
+
+%postun
+%service_del_postun sbd.service
+%endif
+
 %files
 ###
 %defattr(-,root,root)
 %{_libdir}/stonith/plugins/external/sbd
 %{_sbindir}/sbd
+%{_datadir}/sbd
 %doc %{_mandir}/man8/sbd*
+%if %{defined _unitdir}
+%{_unitdir}/sbd.service
+%endif
+%{_localstatedir}/adm/fillup-templates/sysconfig.sbd
 %doc COPYING
 
 %changelog

++ sbd-1.2.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/sbd-1.2.1/man/sbd.8.pod new/sbd-1.2.1/man/sbd.8.pod
--- old/sbd-1.2.1/man/sbd.8.pod 2013-10-01 10:22:53.0 +0200
+++ new/sbd-1.2.1/man/sbd.8.pod 2013-10-10 11:11:59.0 +0200
@@ -171,14 +171,11 @@
 the message slot of the local node for incoming messages, reachability, and
 optionally take Pacemaker's state into account.
 
+Csbd Bmust be started on boot before the cluster stack! See below
+for enabling this according to your boot environment.
+
 The options for this mode are rarely specified directly on the
-commandline directly, but most frequently set via F/etc/sysconfig/sbd. The
-Copenais or Ccorosync system start-up scripts take care of starting
-or stopping Csbd as required before starting the rest of the cluster
-stack. Thus, the daemon is brought online on each node before the rest of the
-cluster stack is started, and terminated only after all other cluster
-components have been shut down - ensuring that cluster resources are
-never activated without SBD supervision.
+commandline directly, but most frequently set via F/etc/sysconfig/sbd.
 
 It also constantly monitors connectivity to the storage device, and
 self-fences in case the partition becomes unreachable, guaranteeing that it
@@ -235,6 +232,10 @@
 This can be used to override the default watchdog device used and should not
 usually be necessary.
 
+=item B-p F/var/run/sbd.pid
+
+This option can be used to specify a pidfile for the main sbd process.
+
 =item B-F IN
 
 Number of failures before a failing servant process will not be restarted
@@ -481,13 +482,32 @@
 
 =head2 Configure SBD to start on boot
 
-If configured via F/etc/sysconfig/sbd, the cluster stack's init script
-will automatically start and stop Csbd as required. In this file, you
-must specify the device(s) used, as well as any options to pass to the
-daemon:
+On systems using Csysvinit, the Copenais or Ccorosync system
+start-up scripts must handle starting or stopping Csbd as required
+before starting the rest of the cluster stack.
+
+For Csystemd, sbd simply has to be enabled using
+
+   systemctl enable sbd.service
+
+The daemon is brought online on each node before the Pacemaker is
+started, and terminated only after all 

commit rubygem-tins for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package rubygem-tins for openSUSE:Factory 
checked in at 2013-10-19 11:12:28

Comparing /work/SRC/openSUSE:Factory/rubygem-tins (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-tins.new (New)


Package is rubygem-tins

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-tins/rubygem-tins.changes
2013-10-06 18:41:04.0 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-tins.new/rubygem-tins.changes   
2013-10-19 11:19:42.0 +0200
@@ -1,0 +2,5 @@
+Sun Oct 13 18:10:03 UTC 2013 - co...@suse.com
+
+- updated to version 0.12.0, no changelog
+
+---

Old:

  tins-0.11.0.gem

New:

  tins-0.12.0.gem



Other differences:
--
++ rubygem-tins.spec ++
--- /var/tmp/diff_new_pack.58e2Cl/_old  2013-10-19 11:19:42.0 +0200
+++ /var/tmp/diff_new_pack.58e2Cl/_new  2013-10-19 11:19:42.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   rubygem-tins
-Version:0.11.0
+Version:0.12.0
 Release:0
 %define mod_name tins
 %define mod_full_name %{mod_name}-%{version}

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit rubygem-rspec-expectations for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package rubygem-rspec-expectations for 
openSUSE:Factory checked in at 2013-10-19 11:12:04

Comparing /work/SRC/openSUSE:Factory/rubygem-rspec-expectations (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rspec-expectations.new (New)


Package is rubygem-rspec-expectations

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-rspec-expectations/rubygem-rspec-expectations.changes
2013-10-14 13:06:42.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-rspec-expectations.new/rubygem-rspec-expectations.changes
   2013-10-19 11:19:23.0 +0200
@@ -1,0 +2,12 @@
+Fri Oct  4 07:17:57 UTC 2013 - co...@suse.com
+
+- updated to version 2.14.3
+ Bug fixes
+ 
+ * Fix operator matchers (`should` syntax) when `method` is redefined on 
target.
+   (Brandon Turner)
+ * Fix diffing of hashes with object based keys. (Jon Rowe)
+ * Fix operator matchers (`should` syntax) when operator is defined via
+   `method_missing` (Jon Rowe)
+
+---

Old:

  rspec-expectations-2.14.2.gem

New:

  rspec-expectations-2.14.3.gem



Other differences:
--
++ rubygem-rspec-expectations.spec ++
--- /var/tmp/diff_new_pack.Cznhym/_old  2013-10-19 11:19:40.0 +0200
+++ /var/tmp/diff_new_pack.Cznhym/_new  2013-10-19 11:19:40.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   rubygem-rspec-expectations
-Version:2.14.2
+Version:2.14.3
 Release:0
 %define mod_name rspec-expectations
 %define mod_full_name %{mod_name}-%{version}
@@ -27,7 +27,7 @@
 BuildRequires:  rubygem(rdoc)  3.10
 Url:http://github.com/rspec/rspec-expectations
 Source: http://rubygems.org/gems/%{mod_full_name}.gem
-Summary:rspec-expectations-2.14.2
+Summary:rspec-expectations-2.14.3
 License:MIT
 Group:  Development/Languages/Ruby
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-schema for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-schema for openSUSE:Factory 
checked in at 2013-10-19 11:14:13

Comparing /work/SRC/openSUSE:Factory/yast2-schema (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-schema.new (New)


Package is yast2-schema

Changes:

--- /work/SRC/openSUSE:Factory/yast2-schema/yast2-schema.changes
2013-08-01 11:09:54.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-schema.new/yast2-schema.changes   
2013-10-19 11:21:02.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep 19 15:56:38 UTC 2013 - lsle...@suse.cz
+
+- do not use *.spec.in template, use *.spec file with RPM macros
+  instead
+- 3.1.0
+
+---

Old:

  yast2-schema-3.0.0.tar.bz2

New:

  yast2-schema-3.1.0.tar.bz2



Other differences:
--
++ yast2-schema.spec ++
--- /var/tmp/diff_new_pack.StsjaC/_old  2013-10-19 11:21:03.0 +0200
+++ /var/tmp/diff_new_pack.StsjaC/_new  2013-10-19 11:21:03.0 +0200
@@ -17,11 +17,11 @@
 
 
 Name:   yast2-schema
-Version:3.0.0
+Version:3.1.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-schema-%{version}.tar.bz2
+Source0:%{name}-%{version}.tar.bz2
 
 # FIXME: drop yast2-all-packages some day
 BuildRequires:  java2-devel-packages
@@ -61,39 +61,21 @@
 AutoYaST Syntax Schema
 
 %prep
-%setup -n yast2-schema-%{version}
+%setup -n %{name}-%{version}
 
 %build
-%{_prefix}/bin/y2tool y2autoconf
-%{_prefix}/bin/y2tool y2automake
-autoreconf --force --install
-
-export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-
-./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
-# V=1: verbose build in case we used AM_SILENT_RULES(yes)
-# so that RPM_OPT_FLAGS check works
-make %{?jobs:-j%jobs} V=1
+%yast_build
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-[ -e %{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK ] || 
Y2DIR=$RPM_BUILD_ROOT/usr/share/YaST2 make check DESTDIR=$RPM_BUILD_ROOT
-for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name 
*.desktop` ; do
-d=${f##*/}
-%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
-done
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+%yast_install
 
 %files
 %defattr(-,root,root)
-%dir /usr/share/YaST2/schema/autoyast/rnc
-/usr/share/YaST2/schema/autoyast/rnc/profile.rnc
-/usr/share/YaST2/schema/autoyast/rnc/includes.rnc
-%dir /usr/share/YaST2/schema/autoyast/rng
-/usr/share/YaST2/schema/autoyast/rng/*.rng
-%doc %{_prefix}/share/doc/packages/yast2-schema 
+%dir %{yast_schemadir}/autoyast/rnc
+%{yast_schemadir}/autoyast/rnc/profile.rnc
+%{yast_schemadir}/autoyast/rnc/includes.rnc
+%dir %{yast_schemadir}/autoyast/rng
+%{yast_schemadir}/autoyast/rng/*.rng
+%doc %{yast_docdir} 
 
 %changelog

++ yast2-schema-3.0.0.tar.bz2 - yast2-schema-3.1.0.tar.bz2 ++
 1 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/yast2-schema-3.0.0/Makefile.am new/yast2-schema-3.1.0/Makefile.am
--- old/yast2-schema-3.0.0/Makefile.am  2013-07-30 14:15:28.0 +0200
+++ new/yast2-schema-3.1.0/Makefile.am  1970-01-01 01:00:00.0 +0100
@@ -1,196 +0,0 @@
-# Emacs: -*- makefile -*-
-#
-# Toplevel Makefile.am for a YaST2 subproject
-#
-# -- This file is generated by y2automake - DO NOT EDIT! --
-#(Edit ./SUBDIRS instead)
-#
-
-#where devtools are
-Y2TOOL = $(Y2DEVTOOLS_PREFIX)/bin/y2tool
-
-VERSION= $(shell cat $(srcdir)/VERSION)
-RPMNAME= $(shell cat $(srcdir)/RPMNAME)
-SUBDIRS_FILE   = $(shell test -e $(srcdir)/SUBDIRS   echo 
SUBDIRS)
-ACINCLUDE_FILE = $(shell test -e $(srcdir)/acinclude.m4  echo 
acinclude.m4)
-
-HAS_YAST_LICENSE   = $(shell test -e $(srcdir)/YAST_LICENSE  echo 
YAST_LICENSE)
-
-# do we do Makefile.am for devtools? It is a little special...
-IS_DEVTOOLS= $(findstring yast2-devtools,$(RPMNAME))
-
-DEVTOOLS_DIR   = $(if 
$(IS_DEVTOOLS),$(srcdir)/devtools,$(Y2DEVTOOLS_PREFIX)/share/YaST2/data/devtools)
-LEGALESE_DIR   = $(if 
$(HAS_YAST_LICENSE),$(DEVTOOLS_DIR)/admin/copyright/yast,$(DEVTOOLS_DIR)/admin/copyright/gpl)
-
-COPYRIGHT_files_gpl= README COPYING
-
-COPYRIGHT_files_yast   = YAST_LICENSE README COPYING COPYRIGHT.english \
- COPYRIGHT.french COPYRIGHT.german COPYRIGHT.spanish
-
-extra_COPYRIGHT_files = 

commit yast2-tune for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-tune for openSUSE:Factory 
checked in at 2013-10-19 11:14:37

Comparing /work/SRC/openSUSE:Factory/yast2-tune (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-tune.new (New)


Package is yast2-tune

Changes:

--- /work/SRC/openSUSE:Factory/yast2-tune/yast2-tune.changes2013-09-28 
13:41:15.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-tune.new/yast2-tune.changes   
2013-10-19 11:21:07.0 +0200
@@ -1,0 +2,7 @@
+Tue Sep 17 14:52:16 UTC 2013 - lsle...@suse.cz
+
+- do not use *.spec.in template, use *.spec file with RPM macros
+  instead
+- 3.0.3
+
+---

Old:

  yast2-tune-3.0.2.tar.bz2

New:

  yast2-tune-3.0.3.tar.bz2



Other differences:
--
++ yast2-tune.spec ++
--- /var/tmp/diff_new_pack.Y6N3tZ/_old  2013-10-19 11:21:08.0 +0200
+++ /var/tmp/diff_new_pack.Y6N3tZ/_new  2013-10-19 11:21:08.0 +0200
@@ -17,15 +17,15 @@
 
 
 Name:   yast2-tune
-Version:3.0.2
+Version:3.0.3
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-tune-%{version}.tar.bz2
+Source0:%{name}-%{version}.tar.bz2
 
 BuildRequires:  update-desktop-files
 BuildRequires:  yast2
-BuildRequires:  yast2-devtools
+BuildRequires:  yast2-devtools = 3.0.6
 # hwinfo/classnames.ycp
 # Wizard::SetDesktopTitleAndIcon
 Requires:   yast2 = 2.21.22
@@ -67,31 +67,13 @@
 provided by yast2-tune package.
 
 %prep
-%setup -n yast2-tune-%{version}
+%setup -n %{name}-%{version}
 
 %build
-%{_prefix}/bin/y2tool y2autoconf
-%{_prefix}/bin/y2tool y2automake
-autoreconf --force --install
-
-export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-
-./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
-# V=1: verbose build in case we used AM_SILENT_RULES(yes)
-# so that RPM_OPT_FLAGS check works
-make %{?jobs:-j%jobs} V=1
+%yast_build
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-[ -e %{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK ] || 
Y2DIR=$RPM_BUILD_ROOT/usr/share/YaST2 make check DESTDIR=$RPM_BUILD_ROOT
-for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name 
*.desktop` ; do
-d=${f##*/}
-%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
-done
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+%yast_install
 
 %post
 # rename the config file to the new modprobe schema
@@ -102,17 +84,16 @@
 %files
 %defattr(-,root,root)
 
-/usr/share/YaST2/include/hwinfo/*
-/usr/share/YaST2/clients/*.rb
-%{_prefix}/share/applications/YaST2/hwinfo.desktop
-%{_prefix}/share/applications/YaST2/system_settings.desktop
-/usr/share/YaST2/modules/*.rb
-/usr/share/YaST2/scrconf/*.scr
-%dir %{_prefix}/share/doc/packages/yast2-tune
-%doc %{_prefix}/share/doc/packages/yast2-tune/README
-%doc %{_prefix}/share/doc/packages/yast2-tune/COPYING
+%{yast_yncludedir}/hwinfo/*
+%{yast_clientdir}/*.rb
+%{yast_desktopdir}/hwinfo.desktop
+%{yast_desktopdir}/system_settings.desktop
+%{yast_moduledir}/*.rb
+%{yast_scrconfdir}/*.scr
+%dir %{yast_docdir}
+%doc %{yast_docdir}/COPYING
 
 %files devel-doc
-%doc %{_prefix}/share/doc/packages/yast2-tune/autodocs
+%doc %{yast_docdir}/autodocs
 
 %changelog

++ yast2-tune-3.0.2.tar.bz2 - yast2-tune-3.0.3.tar.bz2 ++
 13249 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-proxy for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-proxy for openSUSE:Factory 
checked in at 2013-10-19 11:13:48

Comparing /work/SRC/openSUSE:Factory/yast2-proxy (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-proxy.new (New)


Package is yast2-proxy

Changes:

--- /work/SRC/openSUSE:Factory/yast2-proxy/yast2-proxy.changes  2013-08-01 
11:09:37.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-proxy.new/yast2-proxy.changes 
2013-10-19 11:20:59.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep 19 15:04:31 UTC 2013 - lsle...@suse.cz
+
+- do not use *.spec.in template, use *.spec file with RPM macros
+  instead
+- 3.1.0
+
+---

Old:

  yast2-proxy-3.0.0.tar.bz2

New:

  yast2-proxy-3.1.0.tar.bz2



Other differences:
--
++ yast2-proxy.spec ++
--- /var/tmp/diff_new_pack.js1Emi/_old  2013-10-19 11:20:59.0 +0200
+++ /var/tmp/diff_new_pack.js1Emi/_new  2013-10-19 11:20:59.0 +0200
@@ -17,18 +17,18 @@
 
 
 Name:   yast2-proxy
-Version:3.0.0
+Version:3.1.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-proxy-%{version}.tar.bz2
+Source0:%{name}-%{version}.tar.bz2
 
 # should be required by devtools
 BuildRequires:  perl-XML-Writer
 BuildRequires:  pkgconfig
 BuildRequires:  rpm
 BuildRequires:  update-desktop-files
-BuildRequires:  yast2-devtools
+BuildRequires:  yast2-devtools = 3.0.6
 BuildRequires:  yast2-testsuite
 
 BuildRequires:  yast2
@@ -51,43 +51,24 @@
 This package contains the YaST2 component for proxy configuration.
 
 %prep
-%setup -n yast2-proxy-%{version}
+%setup -n %{name}-%{version}
 
 %build
-%{_prefix}/bin/y2tool y2autoconf
-%{_prefix}/bin/y2tool y2automake
-autoreconf --force --install
-
-export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-
-./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
-# V=1: verbose build in case we used AM_SILENT_RULES(yes)
-# so that RPM_OPT_FLAGS check works
-make %{?jobs:-j%jobs} V=1
+%yast_build
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-[ -e %{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK ] || 
Y2DIR=$RPM_BUILD_ROOT/usr/share/YaST2 make check DESTDIR=$RPM_BUILD_ROOT
-for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name 
*.desktop` ; do
-d=${f##*/}
-%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
-done
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+%yast_install
 
 %files
 %defattr(-,root,root)
-/usr/share/YaST2/clients/*.rb
-/usr/share/YaST2/modules/*.rb
-/usr/share/YaST2/include/proxy
-%{_prefix}/share/applications/YaST2/*.desktop
-/usr/share/YaST2/scrconf/*.scr
-/usr/share/YaST2/schema/autoyast/rnc/proxy.rnc
-
-%dir %{_prefix}/share/doc/packages/yast2-proxy
-%{_prefix}/share/doc/packages/yast2-proxy/COPYING
-%readme %{_prefix}/share/doc/packages/yast2-proxy/README
+%{yast_clientdir}/*.rb
+%{yast_moduledir}/*.rb
+%{yast_yncludedir}/proxy
+%{yast_desktopdir}/*.desktop
+%{yast_scrconfdir}/*.scr
+%{yast_schemadir}/autoyast/rnc/proxy.rnc
+
+%dir %{yast_docdir}
+%{yast_docdir}/COPYING
 
 %changelog

++ yast2-proxy-3.0.0.tar.bz2 - yast2-proxy-3.1.0.tar.bz2 ++
 12003 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/yast2-proxy-3.0.0/Makefile.am new/yast2-proxy-3.1.0/Makefile.am
--- old/yast2-proxy-3.0.0/Makefile.am   2013-07-31 12:23:58.0 +0200
+++ new/yast2-proxy-3.1.0/Makefile.am   1970-01-01 01:00:00.0 +0100
@@ -1,196 +0,0 @@
-# Emacs: -*- makefile -*-
-#
-# Toplevel Makefile.am for a YaST2 subproject
-#
-# -- This file is generated by y2automake - DO NOT EDIT! --
-#(Edit ./SUBDIRS instead)
-#
-
-#where devtools are
-Y2TOOL = $(Y2DEVTOOLS_PREFIX)/bin/y2tool
-
-VERSION= $(shell cat $(srcdir)/VERSION)
-RPMNAME= $(shell cat $(srcdir)/RPMNAME)
-SUBDIRS_FILE   = $(shell test -e $(srcdir)/SUBDIRS   echo 
SUBDIRS)
-ACINCLUDE_FILE = $(shell test -e $(srcdir)/acinclude.m4  echo 
acinclude.m4)
-
-HAS_YAST_LICENSE   = $(shell test -e $(srcdir)/YAST_LICENSE  echo 
YAST_LICENSE)
-
-# do we do Makefile.am for devtools? It is a little special...
-IS_DEVTOOLS= $(findstring yast2-devtools,$(RPMNAME))
-
-DEVTOOLS_DIR   = $(if 
$(IS_DEVTOOLS),$(srcdir)/devtools,$(Y2DEVTOOLS_PREFIX)/share/YaST2/data/devtools)
-LEGALESE_DIR   = $(if 

commit yast2-samba-client for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-samba-client for 
openSUSE:Factory checked in at 2013-10-19 11:14:07

Comparing /work/SRC/openSUSE:Factory/yast2-samba-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-samba-client.new (New)


Package is yast2-samba-client

Changes:

--- /work/SRC/openSUSE:Factory/yast2-samba-client/yast2-samba-client.changes
2013-08-01 11:09:49.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-samba-client.new/yast2-samba-client.changes   
2013-10-19 11:21:01.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep 19 15:44:00 UTC 2013 - lsle...@suse.cz
+
+- do not use *.spec.in template, use *.spec file with RPM macros
+  instead
+- 3.1.0
+
+---

Old:

  yast2-samba-client-3.0.0.tar.bz2

New:

  yast2-samba-client-3.1.0.tar.bz2



Other differences:
--
++ yast2-samba-client.spec ++
--- /var/tmp/diff_new_pack.CbsbZM/_old  2013-10-19 11:21:02.0 +0200
+++ /var/tmp/diff_new_pack.CbsbZM/_new  2013-10-19 11:21:02.0 +0200
@@ -17,15 +17,15 @@
 
 
 Name:   yast2-samba-client
-Version:3.0.0
+Version:3.1.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-samba-client-%{version}.tar.bz2
+Source0:%{name}-%{version}.tar.bz2
 
 BuildRequires:  perl-XML-Writer
 BuildRequires:  update-desktop-files
-BuildRequires:  yast2-devtools
+BuildRequires:  yast2-devtools = 3.0.6
 BuildRequires:  yast2-pam
 BuildRequires:  yast2-perl-bindings
 BuildRequires:  yast2-testsuite
@@ -52,44 +52,26 @@
 workgroup/domain and authentication against an SMB domain.
 
 %prep
-%setup -n yast2-samba-client-%{version}
+%setup -n %{name}-%{version}
 
 %build
-%{_prefix}/bin/y2tool y2autoconf
-%{_prefix}/bin/y2tool y2automake
-autoreconf --force --install
-
-export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-
-./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
-# V=1: verbose build in case we used AM_SILENT_RULES(yes)
-# so that RPM_OPT_FLAGS check works
-make %{?jobs:-j%jobs} V=1
+%yast_build
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-[ -e %{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK ] || 
Y2DIR=$RPM_BUILD_ROOT/usr/share/YaST2 make check DESTDIR=$RPM_BUILD_ROOT
-for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name 
*.desktop` ; do
-d=${f##*/}
-%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
-done
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+%yast_install
 
 %files
 %defattr(-,root,root)
-%dir /usr/share/YaST2/include/samba-client
-/usr/share/YaST2/include/samba-client/*
-/usr/share/YaST2/clients/samba-client.rb
-/usr/share/YaST2/clients/samba-client_*.rb
-/usr/share/YaST2/modules/Samba*.pm
-/usr/share/YaST2/modules/Samba.rb
-%{_prefix}/share/applications/YaST2/samba-client.desktop
-/usr/share/YaST2/scrconf/*.scr
-/usr/lib/YaST2/servers_non_y2/ag_pam_mount
-/usr/share/YaST2/schema/autoyast/rnc/samba-client.rnc
-%doc %{_prefix}/share/doc/packages/yast2-samba-client
+%dir %{yast_yncludedir}/samba-client
+%{yast_yncludedir}/samba-client/*
+%{yast_clientdir}/samba-client.rb
+%{yast_clientdir}/samba-client_*.rb
+%{yast_moduledir}/Samba*.pm
+%{yast_moduledir}/Samba.rb
+%{yast_desktopdir}/samba-client.desktop
+%{yast_scrconfdir}/*.scr
+%{yast_agentdir}/ag_pam_mount
+%{yast_schemadir}/autoyast/rnc/samba-client.rnc
+%doc %{yast_docdir}
 
 %changelog

++ yast2-samba-client-3.0.0.tar.bz2 - yast2-samba-client-3.1.0.tar.bz2 
++
 15237 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-ruby-bindings for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-ruby-bindings for 
openSUSE:Factory checked in at 2013-10-19 11:13:59

Comparing /work/SRC/openSUSE:Factory/yast2-ruby-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ruby-bindings.new (New)


Package is yast2-ruby-bindings

Changes:

--- /work/SRC/openSUSE:Factory/yast2-ruby-bindings/yast2-ruby-bindings.changes  
2013-09-23 11:24:29.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-ruby-bindings.new/yast2-ruby-bindings.changes 
2013-10-19 11:21:00.0 +0200
@@ -1,0 +2,7 @@
+Tue Oct 15 13:01:18 UTC 2013 - lsle...@suse.cz
+
+- float_to_lstring(): do not crash when glibc-locale is missing,
+  fallback to unlocalized version (bnc#803163)
+- 3.1.1
+
+---

Old:

  yast2-ruby-bindings-3.0.3.tar.bz2

New:

  yast2-ruby-bindings-3.1.1.tar.bz2



Other differences:
--
++ yast2-ruby-bindings.spec ++
--- /var/tmp/diff_new_pack.sK4UVO/_old  2013-10-19 11:21:01.0 +0200
+++ /var/tmp/diff_new_pack.sK4UVO/_new  2013-10-19 11:21:01.0 +0200
@@ -16,12 +16,8 @@
 #
 
 
-#
-# spec file for package yast2-ruby-bindings (Version 0.1)
-#
-
 Name:   yast2-ruby-bindings
-Version:3.0.3
+Version:3.1.1
 Release:0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-ruby-bindings-%{version}.tar.bz2
@@ -72,9 +68,6 @@
 make test ARGS=-V
 cd -
 
-%clean
-rm -rf $RPM_BUILD_ROOT
-
 %files
 %defattr (-, root, root)
 %{_libdir}/YaST2/plugin/libpy2lang_ruby.so

++ yast2-ruby-bindings-3.0.3.tar.bz2 - yast2-ruby-bindings-3.1.1.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-3.0.3/.gitignore 
new/yast2-ruby-bindings-3.1.1/.gitignore
--- old/yast2-ruby-bindings-3.0.3/.gitignore2013-07-24 16:41:49.0 
+0200
+++ new/yast2-ruby-bindings-3.1.1/.gitignore1970-01-01 01:00:00.0 
+0100
@@ -1,3 +0,0 @@
-/doc
-/build
-/.yardoc
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-3.0.3/CMakeLists.txt 
new/yast2-ruby-bindings-3.1.1/CMakeLists.txt
--- old/yast2-ruby-bindings-3.0.3/CMakeLists.txt2013-06-18 
10:05:55.0 +0200
+++ new/yast2-ruby-bindings-3.1.1/CMakeLists.txt2013-10-15 
15:26:18.0 +0200
@@ -49,9 +49,3 @@
 
 add_subdirectory(tests)
 
-#
-# packaging
-#
-set(RPMNAME yast2-ruby-bindings)
-
-generate_packaging(${RPMNAME} ${VERSION})
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-3.0.3/Rakefile 
new/yast2-ruby-bindings-3.1.1/Rakefile
--- old/yast2-ruby-bindings-3.0.3/Rakefile  1970-01-01 01:00:00.0 
+0100
+++ new/yast2-ruby-bindings-3.1.1/Rakefile  2013-10-15 15:26:18.0 
+0200
@@ -0,0 +1,7 @@
+require yast/rake
+
+Yast::Tasks.configuration do |conf|
+  #lets ignore license check for now
+  conf.skip_license_check  /.*/
+end
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-3.0.3/VERSION 
new/yast2-ruby-bindings-3.1.1/VERSION
--- old/yast2-ruby-bindings-3.0.3/VERSION   1970-01-01 01:00:00.0 
+0100
+++ new/yast2-ruby-bindings-3.1.1/VERSION   2013-10-15 15:26:18.0 
+0200
@@ -0,0 +1 @@
+3.1.1
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-3.0.3/VERSION.cmake 
new/yast2-ruby-bindings-3.1.1/VERSION.cmake
--- old/yast2-ruby-bindings-3.0.3/VERSION.cmake 2013-09-12 14:16:52.0 
+0200
+++ new/yast2-ruby-bindings-3.1.1/VERSION.cmake 1970-01-01 01:00:00.0 
+0100
@@ -1,3 +0,0 @@
-SET(VERSION_MAJOR 3)
-SET(VERSION_MINOR 0)
-SET(VERSION_PATCH 3)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ruby-bindings-3.0.3/package/yast2-ruby-bindings.changes 
new/yast2-ruby-bindings-3.1.1/package/yast2-ruby-bindings.changes
--- old/yast2-ruby-bindings-3.0.3/package/yast2-ruby-bindings.changes   
2013-09-12 14:16:52.0 +0200
+++ new/yast2-ruby-bindings-3.1.1/package/yast2-ruby-bindings.changes   
2013-10-15 15:26:18.0 +0200
@@ -1,4 +1,11 @@
 ---
+Tue Oct 15 13:01:18 UTC 2013 - lsle...@suse.cz
+
+- float_to_lstring(): do not crash when glibc-locale is missing,
+  fallback to unlocalized version (bnc#803163)
+- 3.1.1
+
+---
 Thu Sep 12 07:53:00 UTC 2013 - jreidin...@suse.com
 
 - fix loading rubygems in embedded ruby
diff -urN '--exclude=CVS' 

commit yast2-ycp-ui-bindings for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-ycp-ui-bindings for 
openSUSE:Factory checked in at 2013-10-19 11:14:40

Comparing /work/SRC/openSUSE:Factory/yast2-ycp-ui-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ycp-ui-bindings.new (New)


Package is yast2-ycp-ui-bindings

Changes:

--- 
/work/SRC/openSUSE:Factory/yast2-ycp-ui-bindings/yast2-ycp-ui-bindings.changes  
2013-08-01 11:10:43.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-ycp-ui-bindings.new/yast2-ycp-ui-bindings.changes
 2013-10-19 11:21:09.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep 19 18:02:34 UTC 2013 - lsle...@suse.cz
+
+- do not use *.spec.in template, use *.spec file with RPM macros
+  instead
+- 3.1.0
+
+---

Old:

  yast2-ycp-ui-bindings-3.0.0.tar.bz2

New:

  yast2-ycp-ui-bindings-3.1.0.tar.bz2



Other differences:
--
++ yast2-ycp-ui-bindings.spec ++
--- /var/tmp/diff_new_pack.rWYMzg/_old  2013-10-19 11:21:10.0 +0200
+++ /var/tmp/diff_new_pack.rWYMzg/_new  2013-10-19 11:21:10.0 +0200
@@ -17,15 +17,15 @@
 
 
 Name:   yast2-ycp-ui-bindings
-Version:3.0.0
+Version:3.1.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-ycp-ui-bindings-%{version}.tar.bz2
+Source0:%{name}-%{version}.tar.bz2
 
 BuildRequires:  gcc-c++
 BuildRequires:  libtool
-BuildRequires:  yast2-devtools
+BuildRequires:  yast2-devtools = 3.0.6
 
 # autodocs + docbook docs
 BuildRequires:  docbook-xsl-stylesheets
@@ -50,7 +50,6 @@
 Summary:YaST2 - YCP Bindings for the YaST2 User Interface Engine
 License:GPL-2.0
 Group:  System/YaST
-Provides:   %{_libdir}/YaST2/plugin/libpy2UI.so.2.0.0
 
 %description
 This package makes the generic YaST2 user interface engine available
@@ -76,49 +75,31 @@
 language in which most YaST2 modules are written).
 
 %prep
-%setup -n yast2-ycp-ui-bindings-%{version}
+%setup -n %{name}-%{version}
 
 %build
-%{_prefix}/bin/y2tool y2autoconf
-%{_prefix}/bin/y2tool y2automake
-autoreconf --force --install
-
-export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-
-./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
-# V=1: verbose build in case we used AM_SILENT_RULES(yes)
-# so that RPM_OPT_FLAGS check works
-make %{?jobs:-j%jobs} V=1
+%yast_build
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-[ -e %{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK ] || 
Y2DIR=$RPM_BUILD_ROOT/usr/share/YaST2 make check DESTDIR=$RPM_BUILD_ROOT
-for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name 
*.desktop` ; do
-d=${f##*/}
-%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
-done
+%yast_install
 
-mkdir -p $RPM_BUILD_ROOT/var/log/YaST2
+mkdir -p $RPM_BUILD_ROOT%{yast_logdir}
 %perl_process_packlist
 
-%clean
-rm -rf $RPM_BUILD_ROOT
-
 %files
 %defattr(-,root,root)
 
 %dir %{_libdir}/YaST2
-%dir %{_libdir}/YaST2/plugin
+%dir %{yast_plugindir}
 
-%{_libdir}/YaST2/plugin/lib*.so.*
+%{yast_plugindir}/lib*.so.*
 
 %files devel
 %defattr(-,root,root)
-%{_libdir}/YaST2/plugin/lib*.so
-%{_libdir}/YaST2/plugin/lib*.la
-%{_prefix}/include/YaST2
+%{yast_plugindir}/lib*.so
+%{yast_plugindir}/lib*.la
+%{yast_includedir}
 %{_libdir}/pkgconfig/yast2-ycp-ui-bindings.pc
-%doc %{_prefix}/share/doc/packages/yast2-ycp-ui-bindings
+%doc %{yast_docdir}
 
 %changelog

++ yast2-ycp-ui-bindings-3.0.0.tar.bz2 - 
yast2-ycp-ui-bindings-3.1.0.tar.bz2 ++
 61445 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xmahjongg for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package xmahjongg for openSUSE:Factory 
checked in at 2013-10-19 11:13:42

Comparing /work/SRC/openSUSE:Factory/xmahjongg (Old)
 and  /work/SRC/openSUSE:Factory/.xmahjongg.new (New)


Package is xmahjongg

Changes:

--- /work/SRC/openSUSE:Factory/xmahjongg/xmahjongg.changes  2013-07-30 
16:48:39.0 +0200
+++ /work/SRC/openSUSE:Factory/.xmahjongg.new/xmahjongg.changes 2013-10-19 
11:20:41.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 10 18:45:47 UTC 2013 - dap.darkn...@gmail.com
+
+- Resolvable for SLE_11_SP3.
+
+---



Other differences:
--
++ xmahjongg.spec ++
--- /var/tmp/diff_new_pack.aCPuPJ/_old  2013-10-19 11:20:48.0 +0200
+++ /var/tmp/diff_new_pack.aCPuPJ/_new  2013-10-19 11:20:48.0 +0200
@@ -30,7 +30,12 @@
 
 BuildRequires:  gcc-c++
 BuildRequires:  update-desktop-files
+%if 0%{?suse_version} = 1220
 BuildRequires:  pkgconfig(x11)
+%else
+BuildRequires:  xorg-x11-devel
+%endif
+
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Conflicts:  xmahjong
 


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-tftp-server for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-tftp-server for 
openSUSE:Factory checked in at 2013-10-19 11:14:31

Comparing /work/SRC/openSUSE:Factory/yast2-tftp-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-tftp-server.new (New)


Package is yast2-tftp-server

Changes:

--- /work/SRC/openSUSE:Factory/yast2-tftp-server/yast2-tftp-server.changes  
2013-08-01 11:10:24.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-tftp-server.new/yast2-tftp-server.changes 
2013-10-19 11:21:06.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep 19 17:36:10 UTC 2013 - lsle...@suse.cz
+
+- do not use *.spec.in template, use *.spec file with RPM macros
+  instead
+- 3.1.0
+
+---

Old:

  yast2-tftp-server-3.0.0.tar.bz2

New:

  yast2-tftp-server-3.1.0.tar.bz2



Other differences:
--
++ yast2-tftp-server.spec ++
--- /var/tmp/diff_new_pack.eqtq3l/_old  2013-10-19 11:21:06.0 +0200
+++ /var/tmp/diff_new_pack.eqtq3l/_new  2013-10-19 11:21:06.0 +0200
@@ -17,15 +17,15 @@
 
 
 Name:   yast2-tftp-server
-Version:3.0.0
+Version:3.1.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-tftp-server-%{version}.tar.bz2
+Source0:%{name}-%{version}.tar.bz2
 
 BuildRequires:  perl-XML-Writer
 BuildRequires:  update-desktop-files
-BuildRequires:  yast2-devtools
+BuildRequires:  yast2-devtools = 3.0.6
 BuildRequires:  yast2-testsuite
 # SuSEfirewall2_* scripts merget into one in yast2-2.23.17
 BuildRequires:  yast2 = 2.23.17
@@ -48,40 +48,22 @@
 network.
 
 %prep
-%setup -n yast2-tftp-server-%{version}
+%setup -n %{name}-%{version}
 
 %build
-%{_prefix}/bin/y2tool y2autoconf
-%{_prefix}/bin/y2tool y2automake
-autoreconf --force --install
-
-export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-
-./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
-# V=1: verbose build in case we used AM_SILENT_RULES(yes)
-# so that RPM_OPT_FLAGS check works
-make %{?jobs:-j%jobs} V=1
+%yast_build
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-[ -e %{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK ] || 
Y2DIR=$RPM_BUILD_ROOT/usr/share/YaST2 make check DESTDIR=$RPM_BUILD_ROOT
-for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name 
*.desktop` ; do
-d=${f##*/}
-%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
-done
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+%yast_install
 
 %files
 %defattr(-,root,root)
-%dir /usr/share/YaST2/include/tftp-server
-/usr/share/YaST2/include/tftp-server/*
-/usr/share/YaST2/clients/tftp-server*.rb
-/usr/share/YaST2/modules/TftpServer.*
-%{_prefix}/share/applications/YaST2/tftp-server.desktop
-/usr/share/YaST2/scrconf/etc_xinetd_d_tftp.scr
-%doc %{_prefix}/share/doc/packages/yast2-tftp-server
+%dir %{yast_yncludedir}/tftp-server
+%{yast_yncludedir}/tftp-server/*
+%{yast_clientdir}/tftp-server*.rb
+%{yast_moduledir}/TftpServer.*
+%{yast_desktopdir}/tftp-server.desktop
+%{yast_scrconfdir}/etc_xinetd_d_tftp.scr
+%doc %{yast_docdir}
 
 %changelog

++ yast2-tftp-server-3.0.0.tar.bz2 - yast2-tftp-server-3.1.0.tar.bz2 ++
 13057 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/yast2-tftp-server-3.0.0/Makefile.am new/yast2-tftp-server-3.1.0/Makefile.am
--- old/yast2-tftp-server-3.0.0/Makefile.am 2013-07-31 10:56:52.0 
+0200
+++ new/yast2-tftp-server-3.1.0/Makefile.am 1970-01-01 01:00:00.0 
+0100
@@ -1,196 +0,0 @@
-# Emacs: -*- makefile -*-
-#
-# Toplevel Makefile.am for a YaST2 subproject
-#
-# -- This file is generated by y2automake - DO NOT EDIT! --
-#(Edit ./SUBDIRS instead)
-#
-
-#where devtools are
-Y2TOOL = $(Y2DEVTOOLS_PREFIX)/bin/y2tool
-
-VERSION= $(shell cat $(srcdir)/VERSION)
-RPMNAME= $(shell cat $(srcdir)/RPMNAME)
-SUBDIRS_FILE   = $(shell test -e $(srcdir)/SUBDIRS   echo 
SUBDIRS)
-ACINCLUDE_FILE = $(shell test -e $(srcdir)/acinclude.m4  echo 
acinclude.m4)
-
-HAS_YAST_LICENSE   = $(shell test -e $(srcdir)/YAST_LICENSE  echo 
YAST_LICENSE)
-
-# do we do Makefile.am for devtools? It is a little special...
-IS_DEVTOOLS= $(findstring yast2-devtools,$(RPMNAME))
-
-DEVTOOLS_DIR   = $(if 
$(IS_DEVTOOLS),$(srcdir)/devtools,$(Y2DEVTOOLS_PREFIX)/share/YaST2/data/devtools)

commit yast2-support for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-support for openSUSE:Factory 
checked in at 2013-10-19 11:14:25

Comparing /work/SRC/openSUSE:Factory/yast2-support (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-support.new (New)


Package is yast2-support

Changes:

--- /work/SRC/openSUSE:Factory/yast2-support/yast2-support.changes  
2013-08-23 11:07:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-support.new/yast2-support.changes 
2013-10-19 11:21:05.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep 19 17:29:23 UTC 2013 - lsle...@suse.cz
+
+- do not use *.spec.in template, use *.spec file with RPM macros
+  instead
+- 3.1.0
+
+---

Old:

  yast2-support-3.0.1.tar.bz2

New:

  yast2-support-3.1.0.tar.bz2



Other differences:
--
++ yast2-support.spec ++
--- /var/tmp/diff_new_pack.1NE9qw/_old  2013-10-19 11:21:05.0 +0200
+++ /var/tmp/diff_new_pack.1NE9qw/_new  2013-10-19 11:21:05.0 +0200
@@ -17,17 +17,17 @@
 
 
 Name:   yast2-support
-Version:3.0.1
+Version:3.1.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-support-%{version}.tar.bz2
+Source0:%{name}-%{version}.tar.bz2
 
 Requires:   yast2
 BuildRequires:  perl-XML-Writer
 BuildRequires:  update-desktop-files
 BuildRequires:  yast2
-BuildRequires:  yast2-devtools
+BuildRequires:  yast2-devtools = 3.0.6
 BuildRequires:  yast2-testsuite
 
 BuildArch:  noarch
@@ -43,41 +43,23 @@
 support in a standardized format.
 
 %prep
-%setup -n yast2-support-%{version}
+%setup -n %{name}-%{version}
 
 %build
-%{_prefix}/bin/y2tool y2autoconf
-%{_prefix}/bin/y2tool y2automake
-autoreconf --force --install
-
-export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
-
-./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
-# V=1: verbose build in case we used AM_SILENT_RULES(yes)
-# so that RPM_OPT_FLAGS check works
-make %{?jobs:-j%jobs} V=1
+%yast_build
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-[ -e %{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK ] || 
Y2DIR=$RPM_BUILD_ROOT/usr/share/YaST2 make check DESTDIR=$RPM_BUILD_ROOT
-for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name 
*.desktop` ; do
-d=${f##*/}
-%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
-done
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+%yast_install
 
 %files
 %defattr(-,root,root)
-%dir /usr/share/YaST2/include/support
-/usr/share/YaST2/include/support/*
-/usr/share/YaST2/clients/support.rb
-/usr/share/YaST2/clients/support_*.rb
-/usr/share/YaST2/modules/Support.*
-%{_prefix}/share/applications/YaST2/support.desktop
-/usr/share/YaST2/scrconf/*.scr
-%doc %{_prefix}/share/doc/packages/yast2-support
+%dir %{yast_yncludedir}/support
+%{yast_yncludedir}/support/*
+%{yast_clientdir}/support.rb
+%{yast_clientdir}/support_*.rb
+%{yast_moduledir}/Support.*
+%{yast_desktopdir}/support.desktop
+%{yast_scrconfdir}/*.scr
+%doc %{yast_docdir}
 
 %changelog

++ yast2-support-3.0.1.tar.bz2 - yast2-support-3.1.0.tar.bz2 ++
 13529 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/yast2-support-3.0.1/Makefile.am new/yast2-support-3.1.0/Makefile.am
--- old/yast2-support-3.0.1/Makefile.am 2013-08-19 11:26:59.0 +0200
+++ new/yast2-support-3.1.0/Makefile.am 1970-01-01 01:00:00.0 +0100
@@ -1,196 +0,0 @@
-# Emacs: -*- makefile -*-
-#
-# Toplevel Makefile.am for a YaST2 subproject
-#
-# -- This file is generated by y2automake - DO NOT EDIT! --
-#(Edit ./SUBDIRS instead)
-#
-
-#where devtools are
-Y2TOOL = $(Y2DEVTOOLS_PREFIX)/bin/y2tool
-
-VERSION= $(shell cat $(srcdir)/VERSION)
-RPMNAME= $(shell cat $(srcdir)/RPMNAME)
-SUBDIRS_FILE   = $(shell test -e $(srcdir)/SUBDIRS   echo 
SUBDIRS)
-ACINCLUDE_FILE = $(shell test -e $(srcdir)/acinclude.m4  echo 
acinclude.m4)
-
-HAS_YAST_LICENSE   = $(shell test -e $(srcdir)/YAST_LICENSE  echo 
YAST_LICENSE)
-
-# do we do Makefile.am for devtools? It is a little special...
-IS_DEVTOOLS= $(findstring yast2-devtools,$(RPMNAME))
-
-DEVTOOLS_DIR   = $(if 
$(IS_DEVTOOLS),$(srcdir)/devtools,$(Y2DEVTOOLS_PREFIX)/share/YaST2/data/devtools)
-LEGALESE_DIR   = $(if 

commit gsettings-desktop-schemas for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gsettings-desktop-schemas for 
openSUSE:Factory checked in at 2013-10-17 14:13:28

Comparing /work/SRC/openSUSE:Factory/gsettings-desktop-schemas (Old)
 and  /work/SRC/openSUSE:Factory/.gsettings-desktop-schemas.new (New)


Package is gsettings-desktop-schemas

Changes:

--- 
/work/SRC/openSUSE:Factory/gsettings-desktop-schemas/gsettings-desktop-schemas.changes
  2013-09-26 14:43:11.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gsettings-desktop-schemas.new/gsettings-desktop-schemas.changes
 2013-10-19 16:25:22.0 +0200
@@ -1,0 +2,8 @@
+Wed Oct 16 06:49:08 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + New default lock screen background. Please update
+gnome-backgrounds to 3.10.1 as well.
+  + Updated translations.
+
+---

Old:

  gsettings-desktop-schemas-3.10.0.tar.xz

New:

  gsettings-desktop-schemas-3.10.1.tar.xz



Other differences:
--
++ gsettings-desktop-schemas.spec ++
--- /var/tmp/diff_new_pack.I1ltwK/_old  2013-10-19 16:25:25.0 +0200
+++ /var/tmp/diff_new_pack.I1ltwK/_new  2013-10-19 16:25:25.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gsettings-desktop-schemas
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:Shared GSettings Schemas for the Desktop
 License:LGPL-2.1+

++ gsettings-desktop-schemas-3.10.0.tar.xz - 
gsettings-desktop-schemas-3.10.1.tar.xz ++
 3748 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit aaa_base for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package aaa_base for openSUSE:13.1 checked 
in at 2013-10-17 15:13:22

Comparing /work/SRC/openSUSE:13.1/aaa_base (Old)
 and  /work/SRC/openSUSE:13.1/.aaa_base.new (New)


Package is aaa_base

Changes:

--- /work/SRC/openSUSE:13.1/aaa_base/aaa_base.changes   2013-09-23 
10:46:47.0 +0200
+++ /work/SRC/openSUSE:13.1/.aaa_base.new/aaa_base.changes  2013-10-19 
16:48:13.0 +0200
@@ -1,0 +2,5 @@
+Mon Oct 14 12:42:28 UTC 2013 - lnus...@suse.de
+
+- change JRE_HOME only in a case it was not defined before (bnc#841284)
+
+---



Other differences:
--
++ aaa_base.spec ++
--- /var/tmp/diff_new_pack.EZ0NoA/_old  2013-10-19 16:48:13.0 +0200
+++ /var/tmp/diff_new_pack.EZ0NoA/_new  2013-10-19 16:48:13.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   aaa_base
 Version:13.1
-Release:0
+Release:17
 Url:https://github.com/openSUSE/aaa_base
 Provides:   aaa_skel = %{version}-%{release}
 Provides:   bin

++ aaa_base-13.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/aaa_base-13.1/files/etc/profile.d/alljava.sh 
new/aaa_base-13.1/files/etc/profile.d/alljava.sh
--- old/aaa_base-13.1/files/etc/profile.d/alljava.sh2013-08-26 
13:09:16.0 +0200
+++ new/aaa_base-13.1/files/etc/profile.d/alljava.sh2013-10-14 
14:41:51.0 +0200
@@ -29,16 +29,17 @@
 
 case $JPATH in
 *jre*)
-export JRE_HOME=$JPATH
+[ -z $JRE_HOME ]  export JRE_HOME=$JPATH
 ;;
 
 *)
-export JRE_HOME=$JPATH/jre
+[ -z $JRE_HOME ]  export JRE_HOME=$JPATH/jre
 # it is development kit
 if [ -x $JPATH/bin/javac ] ; then
 export JDK_HOME=$JPATH
 export SDK_HOME=$JPATH
-break; # we found a JRE + SDK -- don't look any further
+unset JPATH
+break 2; # we found a JRE + SDK -- don't look any further
 fi
 ;;
 esac

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit calibre for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package calibre for openSUSE:13.1 checked in 
at 2013-10-18 14:50:26

Comparing /work/SRC/openSUSE:13.1/calibre (Old)
 and  /work/SRC/openSUSE:13.1/.calibre.new (New)


Package is calibre

Changes:

--- /work/SRC/openSUSE:13.1/calibre/calibre.changes 2013-09-23 
10:48:14.0 +0200
+++ /work/SRC/openSUSE:13.1/.calibre.new/calibre.changes2013-10-19 
16:48:21.0 +0200
@@ -1,0 +2,180 @@
+Thu Sep 26 08:01:20 UTC 2013 - Sascha Manns saigk...@opensuse.org - 1.5.0
+
+- updated to 1.5
+- New Features
+  o Driver for Woxter Scriba
+  o Bulk metadata edit: Allow setting the comments for all selected books
+and also allow cloning the covers. Cloning covers means that the cover
+of the first selected book will be set for all other selected books. 
+- Bug Fixes
+  o Windows: Improved device ejection code. Eject individual drives before
+trying to eject the device. This fixes incomplete ejection with the
+Nook devices.
+  o Catalogs: fix exclude tags rules not working in non-English locales
+when creating catalogs in EPUB/MOBI formats.
+  o Kobo driver: Fix reading status being cleared when connecting to a
+  o Kobo with older firmware and metadata management set to automatic.
+  o Content server: Sort virtual libraries by name
+  o DOCX Input: Convert tabs in the docx file into non-breaking spaces in
+the output document. Note that custom tab stops are not supported.
+  o Conversion: Handle the style attribute on the  tag
+  o Handle databases with invalid ratings link tables
+  o DOCX Input: Handle DOCX files with missing referenced styles
+  o Update amazon metadata download plugin for changes to the Amazon
+website
+
+---
+Sat Sep 21 08:10:38 UTC 2013 - Sascha Manns saigk...@opensuse.org - 1.4.0
+
+- removed make linux_mount_helper from spec because it is removed from
+  upstream with patch 7d54d25844efebfb3d6de2bb2b9af77dbf72d8b8 
+
+---
+Fri Sep 20 21:53:57 UTC 2013 - Sascha Manns saigk...@opensuse.org 
+
+- updated to 1.4
+- New Features
+  o Column icons: Allow the use of multiple icons with column icon rules.
+  o Kobo driver: Add support for new cover handling in Kobo Aura with
+updated firmware
+  o Driver for Icarus Essence
+  o Show a warning when attempting to copy books between libraries that do
+not have the same set of custom columns.
+  o EPUB/AZW3 Output: Use shorthand forms for margin, padding and border
+CSS properties, where possible
+  o Allow colons in identifier values, needed for using URIs as
+identifiers
+  o Comments editor: Allow treating arbitrary URLs as images
+  o Show full path of library under mouse in status bar when
+switching/renaming/deleting libraries via the calibre library button.
+  o DOCX Input: Add support for embedded EMF images that are just wrappers
+around an actual raster image.
+- Bug Fixes
+  o Conversion: Fix font subsetting not working for large fonts with more
+than 4000 glyphs, such as CJK fonts
+  o HTML Input: Fix a regression that broke processing of HTML files that
+contain meta tags with dc: namespaced attribute values.
+  o Fix switching to an empty virtual library not blanking the book
+details panel
+  o Keep position when deleting tags in the tag editor
+  o Book details panel: Render custom comments fields the same as the
+builtin comments field. In particular this fixes problems caused by
+wide text and images in custom comments fields.
+  o Metadata jackets: Do not error out when using a custom template with
+some custom fields that are not present.
+  o AZW3 Output: Dont choke on invalid (undecodable) links in the input
+document
+  o Cover grid: Respect the double click on library view tweak
+  o Fix covers set by drag and drop or pasting in the edit metadata dialog
+showing compression artifacts due to aggressive jpeg compression
+  o Conversion: Fix a bug that could cause incorrect border values to be
+used when cascading, shorthand border CSS is present.
+  o Fix regression in 1.3 that caused the book list to not track the
+current book when using Next/Previous in the edit metadata dialog.
+
+---
+Thu Sep 19 11:21:15 UTC 2013 - toddrme2...@gmail.com
+
+- Clean up spec file formatting
+- Make sure BuildRequires and Requires are consistent
+- Remove python-sip(api) = 9.2 dependency, it cannot be satisfied 
+  anymore and is apparently no longer necessary anyway
+- Remove redundant imagesdir
+- Add version for icon provides/obsoletes to avoid self-conflict
+
+---
+Sat Sep 14 

commit apper for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package apper for openSUSE:13.1 checked in 
at 2013-10-18 11:31:30

Comparing /work/SRC/openSUSE:13.1/apper (Old)
 and  /work/SRC/openSUSE:13.1/.apper.new (New)


Package is apper

Changes:

--- /work/SRC/openSUSE:13.1/apper/apper.changes 2013-09-23 10:47:12.0 
+0200
+++ /work/SRC/openSUSE:13.1/.apper.new/apper.changes2013-10-19 
16:48:16.0 +0200
@@ -1,0 +2,19 @@
+Thu Oct 17 13:47:08 UTC 2013 - g...@opensuse.org
+
+- add back provides for org.freedesktop.PackageKit.service
+
+---
+Thu Oct 17 11:24:44 UTC 2013 - g...@opensuse.org
+
+- remove conflict with
+  otherproviders(org.freedesktop.PackageKit.service) and rename the
+  DBus service file since it affects parallel installation with
+  GNOME/Xfce (bnc#846342)
+
+---
+Thu Aug 15 19:24:34 UTC 2013 - giecr...@stegny.2a.pl
+
+- fix URL 
+- minor spec file cleanup
+
+---



Other differences:
--
++ apper.spec ++
--- /var/tmp/diff_new_pack.JxCbCx/_old  2013-10-19 16:48:16.0 +0200
+++ /var/tmp/diff_new_pack.JxCbCx/_new  2013-10-19 16:48:16.0 +0200
@@ -29,7 +29,7 @@
 Version:0.8.0
 Release:0
 #http://websvn.kde.org/trunk/playground/sysadmin/kpackagekit/
-# http://kde-apps.org/CONTENT/content-files/84745-kpackagekit-%{version}.7z
+#http://kde-apps.org/CONTENT/content-files/84745-kpackagekit-%%{version}.7z
 Source0:%{name}-%{version}.tar.bz2
 Source1:10-opensuse-apper.js
 Patch0: 0001-Fixed-bug-when-using-double-click-on-the-desktop-BUG.patch
@@ -61,30 +61,29 @@
 # setting proxy requires polkit permissions - for very little gain
 Patch103:   apper-no-user-proxy.diff
 Patch104:   apper-0.8.0-extra-defines.patch
-Url:
http://www.kde-apps.org/content/show.php/KPackageKit?content=84745
+Url:http://kde-apps.org/content/show.php/Apper?content=84745
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  PackageKit-Qt-devel = 0.8.8
 BuildRequires:  kdebase4-workspace-devel
 BuildRequires:  libkde4-devel
 BuildRequires:  libxml2-tools
+Recommends: %{name}-lang = %{version}
 Provides:   org.freedesktop.PackageKit.service
-Conflicts:  otherproviders(org.freedesktop.PackageKit.service)
 Requires:   PackageKit = 0.8.8
 # last used in 11.3
 Provides:   kupdateapplet = 0.9.18
 Obsoletes:  kupdateapplet = 0.9.17
 # last used in 11.0
-Provides:   kde4-opensuse-updater  0.8
+Provides:   kde4-opensuse-updater = 0.8
 Obsoletes:  kde4-opensuse-updater  0.8
 
+# last used in 11.3
 Obsoletes:  kpackagekit  %{version}
 Provides:   kpackagekit = %{version}
 %if !%{split_plasmoid}
 Obsoletes:  apper-plasmoid  %{version}
 Provides:   apper-plasmoid = %{version}
 %endif
-Obsoletes:  kupjk
-Recommends: %{name}-lang
 %kde4_runtime_requires
 
 %description
@@ -145,6 +144,10 @@
 install -m 0644 %{SOURCE1} 
%{buildroot}%{_kde4_appsdir}/plasma-desktop/updates/10-opensuse-apper.js
 %endif
 
+# hack around gnome-packagekit conflict (bnc#846342)
+mv %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service \
+  
%{buildroot}%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service
+
 %kde_post_install
 %find_lang %{name} %{name}.lang
 %find_lang plasma_package_updater %{name}.lang
@@ -163,21 +166,21 @@
 %doc COPYING TODO
 %_kde4_libexecdir/apper-pk-session
 %_kde4_appsdir/apperd/
-%config %{_kde4_sysconfdir}/ld.so.conf.d/apper.conf
-%_kde4_modulesdir/*.so
 %_kde4_appsdir/apper/
 %_kde4_bindir/apper
 %dir %_kde4_libdir/apper
-%_kde4_libdir/apper/libapper.so
 %_kde4_applicationsdir/apper*.desktop
 %_kde4_servicesdir/kcm_apper.desktop
 %_kde4_servicesdir/kded/apperd.desktop
+%{_kde4_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service
 %if !%{split_plasmoid}
 %_kde4_appsdir/plasma/
 %_kde4_servicesdir/plasma-applet-updater.desktop
 %endif
-/usr/share/dbus-1/services/org.freedesktop.PackageKit.service
-%{_mandir}/
+%doc %{_kde4_mandir}/man1/*
+%_kde4_libdir/%{name}/libapper.so
+%_kde4_modulesdir/*.so
+%config %{_kde4_sysconfdir}/ld.so.conf.d/apper.conf
 
 %if %{split_plasmoid}
 %files plasmoid

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit colord for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package colord for openSUSE:13.1 checked in 
at 2013-10-17 20:35:23

Comparing /work/SRC/openSUSE:13.1/colord (Old)
 and  /work/SRC/openSUSE:13.1/.colord.new (New)


Package is colord

Changes:

--- /work/SRC/openSUSE:13.1/colord/colord.changes   2013-09-23 
14:43:29.0 +0200
+++ /work/SRC/openSUSE:13.1/.colord.new/colord.changes  2013-10-19 
16:48:24.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 17 12:08:56 UTC 2013 - opens...@cboltz.de
+
+- Update apparmor profile (bnc#846301).
+
+---



Other differences:
--
++ usr.lib.colord ++
--- /var/tmp/diff_new_pack.18pyfR/_old  2013-10-19 16:48:24.0 +0200
+++ /var/tmp/diff_new_pack.18pyfR/_new  2013-10-19 16:48:24.0 +0200
@@ -1,4 +1,4 @@
-# Last Modified: Thu Jul  5 16:42:52 2012
+# Last Modified: Thu Oct 17 14:07:52 2013
 #include tunables/global
 
 /usr/lib/colord {
@@ -19,10 +19,12 @@
   /sys/bus/ r,
   /sys/bus/usb/devices/ r,
   /sys/class/ r,
+  /sys/class/drm/ r,
   /sys/class/video4linux/** r,
   /sys/class/video4linux/ r,
   /sys/devices/** r,
   /usr/lib/colord mr,
+  /usr/local/share/mime/** r,
   /usr/share/color/**/ r,
   /usr/share/color/icc/** r,
   /usr/share/dbus-1/interfaces/org.freedesktop.ColorManager.Device.xml r,

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit ConsoleKit for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package ConsoleKit for openSUSE:13.1 checked 
in at 2013-10-17 20:36:00

Comparing /work/SRC/openSUSE:13.1/ConsoleKit (Old)
 and  /work/SRC/openSUSE:13.1/.ConsoleKit.new (New)


Package is ConsoleKit

Changes:

--- /work/SRC/openSUSE:13.1/ConsoleKit/ConsoleKit.changes   2013-09-23 
10:46:22.0 +0200
+++ /work/SRC/openSUSE:13.1/.ConsoleKit.new/ConsoleKit.changes  2013-10-19 
16:48:11.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 17 08:57:33 UTC 2013 - pwieczorkiew...@suse.com
+
+- create %{_localstatedir}/log/ConsoleKit directory on install
+  (bnc#845872)
+
+---



Other differences:
--
++ ConsoleKit.spec ++
--- /var/tmp/diff_new_pack.YDAKzr/_old  2013-10-19 16:48:11.0 +0200
+++ /var/tmp/diff_new_pack.YDAKzr/_new  2013-10-19 16:48:11.0 +0200
@@ -178,6 +178,7 @@
 %dir %{_prefix}/lib/ConsoleKit/scripts
 %dir %{_udevdir}
 %dir %{_udevdir}/rules.d
+%dir %{_localstatedir}/log/ConsoleKit
 %{_udevdir}/udev-acl
 %{_udevdir}/rules.d/70-udev-acl.rules
 %{_prefix}/lib/ConsoleKit/scripts/ck-system-restart

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit desktop-translations for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package desktop-translations for 
openSUSE:13.1 checked in at 2013-10-17 17:03:07

Comparing /work/SRC/openSUSE:13.1/desktop-translations (Old)
 and  /work/SRC/openSUSE:13.1/.desktop-translations.new (New)


Package is desktop-translations

Changes:

--- /work/SRC/openSUSE:13.1/desktop-translations/desktop-translations.changes   
2013-10-08 10:47:58.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.desktop-translations.new/desktop-translations.changes  
2013-10-19 16:48:27.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 17 12:50:50 UTC 2013 - k...@suse.de
+
+- Update translations.
+
+---



Other differences:
--
++ desktop-translations.tar.bz2 ++
/work/SRC/openSUSE:13.1/desktop-translations/desktop-translations.tar.bz2 
/work/SRC/openSUSE:13.1/.desktop-translations.new/desktop-translations.tar.bz2 
differ: char 11, line 1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gcr for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gcr for openSUSE:13.1 checked in at 
2013-10-17 15:50:32

Comparing /work/SRC/openSUSE:13.1/gcr (Old)
 and  /work/SRC/openSUSE:13.1/.gcr.new (New)


Package is gcr

Changes:

--- /work/SRC/openSUSE:13.1/gcr/gcr.changes 2013-09-27 17:10:14.0 
+0200
+++ /work/SRC/openSUSE:13.1/.gcr.new/gcr.changes2013-10-19 
16:48:35.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 17 06:34:41 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Updated translations.
+
+---

Old:

  gcr-3.10.0.tar.xz

New:

  gcr-3.10.1.tar.xz



Other differences:
--
++ gcr.spec ++
--- /var/tmp/diff_new_pack.Iri7Qo/_old  2013-10-19 16:48:36.0 +0200
+++ /var/tmp/diff_new_pack.Iri7Qo/_new  2013-10-19 16:48:36.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gcr
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:Library for Crypto UI related task
 License:LGPL-2.1+

++ gcr-3.10.0.tar.xz - gcr-3.10.1.tar.xz ++
 1859 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gupnp for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gupnp for openSUSE:13.1 checked in 
at 2013-10-17 14:14:55

Comparing /work/SRC/openSUSE:13.1/gupnp (Old)
 and  /work/SRC/openSUSE:13.1/.gupnp.new (New)


Package is gupnp

Changes:

--- /work/SRC/openSUSE:13.1/gupnp/gupnp.changes 2013-09-23 10:53:16.0 
+0200
+++ /work/SRC/openSUSE:13.1/.gupnp.new/gupnp.changes2013-10-19 
16:48:53.0 +0200
@@ -1,0 +2,13 @@
+Wed Oct 16 13:49:12 UTC 2013 - dims...@opensuse.org
+
+- Update to version 0.20.7:
+  + Fix GCC warnings about local includes.
+  + Do not hand out libxml2-allocated strings.
+  + Fix a crash when a notification host was not available.
+  + Always call action call-back asynchronously, even when there
+was an error.
+  + Add performance measurement options to light-server/-client.
+  + Bugs fixed: bgo#669729, bgo#703263, bgo#708162, bgo#708575,
+bgo#708751.
+
+---

Old:

  gupnp-0.20.6.tar.xz

New:

  gupnp-0.20.7.tar.xz



Other differences:
--
++ gupnp.spec ++
--- /var/tmp/diff_new_pack.Cbtg26/_old  2013-10-19 16:48:53.0 +0200
+++ /var/tmp/diff_new_pack.Cbtg26/_new  2013-10-19 16:48:53.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gupnp
-Version:0.20.6
+Version:0.20.7
 Release:0
 Summary:Implementation of the UPnP specification
 License:LGPL-2.0+

++ gupnp-0.20.6.tar.xz - gupnp-0.20.7.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gupnp-0.20.6/NEWS new/gupnp-0.20.7/NEWS
--- old/gupnp-0.20.6/NEWS   2013-09-03 14:08:26.0 +0200
+++ new/gupnp-0.20.7/NEWS   2013-10-16 14:54:58.0 +0200
@@ -1,3 +1,25 @@
+0.20.7
+==
+
+Changes since 0.20.6:
+- Fix GCC warnings about local includes.
+- Do not hand out libxml2-allocated strings.
+- Fix a crash when a notification host was not available.
+- Always call action call-back asynchronously, even when there was an error.
+- Add performance measurement options to light-server/-client.
+
+Bugs fixed in this release:
+ - https://bugzilla.gnome.org/show_bug.cgi?id=669729
+ - https://bugzilla.gnome.org/show_bug.cgi?id=703263
+ - https://bugzilla.gnome.org/show_bug.cgi?id=708162
+ - https://bugzilla.gnome.org/show_bug.cgi?id=708575
+ - https://bugzilla.gnome.org/show_bug.cgi?id=708751
+
+All contributors to this release:
+ - Jens Georg m...@jensge.org
+ - Andrzej Bieniek andyh...@gmail.com
+ - Emanuele Aina emanuele.a...@collabora.com
+
 0.20.6
 ==
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gupnp-0.20.6/configure new/gupnp-0.20.7/configure
--- old/gupnp-0.20.6/configure  2013-09-03 14:09:00.0 +0200
+++ new/gupnp-0.20.7/configure  2013-10-16 14:59:17.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for gupnp 0.20.6.
+# Generated by GNU Autoconf 2.69 for gupnp 0.20.7.
 #
 # Report bugs to 
http://bugzilla.gnome.org/enter_bug.cgi?product=gupnpcomponent=gupnp.
 #
@@ -651,8 +651,8 @@
 # Identity of this package.
 PACKAGE_NAME='gupnp'
 PACKAGE_TARNAME='gupnp'
-PACKAGE_VERSION='0.20.6'
-PACKAGE_STRING='gupnp 0.20.6'
+PACKAGE_VERSION='0.20.7'
+PACKAGE_STRING='gupnp 0.20.7'
 
PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=gupnpcomponent=gupnp'
 PACKAGE_URL='http://www.gupnp.org/'
 
@@ -1454,7 +1454,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures gupnp 0.20.6 to adapt to many kinds of systems.
+\`configure' configures gupnp 0.20.7 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1525,7 +1525,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of gupnp 0.20.6:;;
+ short | recursive ) echo Configuration of gupnp 0.20.7:;;
esac
   cat \_ACEOF
 
@@ -1667,7 +1667,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-gupnp configure 0.20.6
+gupnp configure 0.20.7
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1945,7 +1945,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by gupnp $as_me 0.20.6, which was
+It was created by gupnp $as_me 0.20.7, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2928,7 +2928,7 @@
 
 # Define the identity of the package.
  PACKAGE='gupnp'

commit libqt5-qtbase for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package libqt5-qtbase for openSUSE:13.1 
checked in at 2013-10-19 14:55:18

Comparing /work/SRC/openSUSE:13.1/libqt5-qtbase (Old)
 and  /work/SRC/openSUSE:13.1/.libqt5-qtbase.new (New)


Package is libqt5-qtbase

Changes:

--- /work/SRC/openSUSE:13.1/libqt5-qtbase/libqt5-qtbase.changes 2013-10-04 
13:52:05.0 +0200
+++ /work/SRC/openSUSE:13.1/.libqt5-qtbase.new/libqt5-qtbase.changes
2013-10-19 16:49:26.0 +0200
@@ -1,0 +2,6 @@
+Fri Oct  4 14:23:42 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Add convenient macros for packages building against Qt5:
+  %_libqt5_qmake, %qmake5, %make_jobs and %qmake5_install
+
+---



Other differences:
--
++ libqt5-qtbase.spec ++
--- /var/tmp/diff_new_pack.4jbk4v/_old  2013-10-19 16:49:27.0 +0200
+++ /var/tmp/diff_new_pack.4jbk4v/_new  2013-10-19 16:49:27.0 +0200
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   libqt5-qtbase
 BuildRequires:  alsa-devel
 BuildRequires:  at-spi2-core-devel
@@ -39,19 +40,19 @@
 BuildRequires:  pkgconfig(gbm)
 BuildRequires:  pkgconfig(glesv2)
 %endif
-BuildRequires:  pkgconfig(glib-2.0)
-BuildRequires:  pkgconfig(gtk+-2.0)
-BuildRequires:  pkgconfig(xkbcommon) = 0.2.0
 BuildRequires:  xcb-util-image-devel
 BuildRequires:  xcb-util-keysyms-devel
 BuildRequires:  xcb-util-renderutil-devel
 BuildRequires:  xcb-util-wm-devel
+BuildRequires:  pkgconfig(glib-2.0)
+BuildRequires:  pkgconfig(gtk+-2.0)
+BuildRequires:  pkgconfig(xkbcommon) = 0.2.0
 Version:5.1.1
 Release:0
-License:GPL-3.0 or SUSE-LGPL-2.1-with-digia-exception-1.1
 Summary:C++ Program Library, Core Components
-Url:http://qt.digia.com
+License:GPL-3.0 or SUSE-LGPL-2.1-with-digia-exception-1.1
 Group:  System/Libraries
+Url:http://qt.digia.com
 %define base_name libqt5
 %define real_version 5.1.1
 %define tar_version qtbase-opensource-src-%{real_version}
@@ -132,18 +133,18 @@
 Requires:   pkgconfig(gbm)
 Requires:   pkgconfig(glesv2)
 %endif
-Requires:   pkgconfig(glib-2.0)
-Requires:   pkgconfig(xkbcommon) = 0.2.0
-Requires:   xcb-util-image-devel
-Requires:   xcb-util-keysyms-devel
-Requires:   xcb-util-renderutil-devel
-Requires:   xcb-util-wm-devel
 Requires:   gstreamer-0_10-plugins-base-devel
 Requires:   libicu-devel
 Requires:   libpulse-devel
 Requires:   libudev-devel
+Requires:   xcb-util-image-devel
+Requires:   xcb-util-keysyms-devel
+Requires:   xcb-util-renderutil-devel
+Requires:   xcb-util-wm-devel
 Requires:   xorg-x11-devel
 Requires:   zlib-devel
+Requires:   pkgconfig(glib-2.0)
+Requires:   pkgconfig(xkbcommon) = 0.2.0
 
 %description devel
 You need this package, if you want to compile programs with Qt. It


++ macros.qt5 ++
--- /var/tmp/diff_new_pack.4jbk4v/_old  2013-10-19 16:49:27.0 +0200
+++ /var/tmp/diff_new_pack.4jbk4v/_new  2013-10-19 16:49:27.0 +0200
@@ -12,5 +12,16 @@
 %_libqt5_sysconfdir   %{_sysconfdir}/xdg
 %_libqt5_translationdir   %{_libqt5_datadir}/qt5/translations
 
+%_libqt5_qmake %{_libqt5_bindir}/qmake
 
- 
+%qmake5 \
+  export PATH=%{_libqt5_bindir}:$PATH ; \
+  export CXXFLAGS=$CXXFLAGS %{optflags} -DOPENSSL_LOAD_CONF ; \
+  export CFLAGS=$CFLAGS %{optflags} -DOPENSSL_LOAD_CONF ; \
+  %_libqt5_qmake
+
+%make_jobs \
+  %{__make} %{?_smp_mflags} VERBOSE=1
+
+%qmake5_install \
+  make INSTALL_ROOT=%{buildroot} install
\ No newline at end of file

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-shell for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-shell for openSUSE:13.1 
checked in at 2013-10-19 11:10:55

Comparing /work/SRC/openSUSE:13.1/gnome-shell (Old)
 and  /work/SRC/openSUSE:13.1/.gnome-shell.new (New)


Package is gnome-shell

Changes:

--- /work/SRC/openSUSE:13.1/gnome-shell/gnome-shell.changes 2013-10-08 
10:48:27.0 +0200
+++ /work/SRC/openSUSE:13.1/.gnome-shell.new/gnome-shell.changes
2013-10-19 16:48:42.0 +0200
@@ -1,0 +2,49 @@
+Fri Oct 18 07:22:56 UTC 2013 - dims...@opensuse.org
+
+- Add gnome-shell-no_clear_hint.patch: Work around refresh issues.
+  This is not the final solution; the wallpaper is often not
+  loaded, but at least it stops the screen from flickering wildly,
+  giving a much less broken experience (bgo#709313, bnc#844891).
+
+---
+Wed Oct 16 06:48:54 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Make sure lock screen is drawn once before switching user
+(bgo#708051).
+  + Fix signal strength indicators in network selector
+(bgo#708442).
+  + Scroll search results when focusing provider icons
+(bgo#708868).
+  + Add separate hover/active states to page indicators
+(bgo#708852).
+  + Tweak appearance of user name and avatar (bgo#702309).
+  + Hide Turn On in network menu when disabled by hardware
+(bgo#709635).
+  + Cancel open keyring prompts when the screen is locked
+(bgo#708910).
+  + Differentiate Not Connected and Off in network menu
+(bgo#709043).
+  + Make network settings items point to the right device
+(bgo#709246).
+  + Remove animation of window preview titles (bgo#709392).
+  + Add 'Notifications' switch to tray menu (bgo#707073).
+  + Make dropdown arrows consistent (bgo#709564).
+  + power: Use icon from primary device for status (bgo#709925).
+  + Fix XDND drags to overview (bgo#708887).
+  + Fix workspace switcher disappearing with too many workspaces
+(bgo#694881).
+  + Handle search results with 'special:' prefix specially
+(bgo#707055).
+  + gdm: Support pre-authenticated logins from oVirt (bgo#702162).
+  + Use ARROW role for labels representing arrows (bgo#710120).
+  + Make selected view in app picker persistent (bgo#710042).
+  + Make network selector navigable by keyboard (bgo#710144).
+  + Misc bug fixes: bgo##709034, bgo#709263, bgo#698486,
+bgo#709286, bgo#709248, bgo#709543, bgo#696564, bgo#703265,
+bgo#709638, bgo#709866, bgo#709998, bgo#710019, bgo#710104,
+bgo#710115.
+  + Updated translations.
+- Rebease gnome-shell-private-connection.patch (Gary Lin).
+
+---

Old:

  gnome-shell-3.10.0.1.tar.xz

New:

  gnome-shell-3.10.1.tar.xz
  gnome-shell-no_clear_hint.patch



Other differences:
--
++ gnome-shell.spec ++
--- /var/tmp/diff_new_pack.LLJyVq/_old  2013-10-19 16:48:43.0 +0200
+++ /var/tmp/diff_new_pack.LLJyVq/_new  2013-10-19 16:48:43.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gnome-shell
-Version:3.10.0.1
+Version:3.10.1
 Release:0
 Summary:GNOME Shell
 License:GPL-2.0+
@@ -26,6 +26,8 @@
 Source: 
http://download.gnome.org/sources/gnome-shell/3.10/%{name}-%{version}.tar.xz
 # PATCH-FIX-UPSTREAM gnome-shell-private-connection.patch bnc#751211 
bgo#646187 dims...@opensuse.org -- create private connections if the user is 
not authorized
 Patch1: gnome-shell-private-connection.patch
+# PATCH-FIX-OPENSUSE gnome-shell-no_clear_hint.patch bgo#709313 bnc#844891 
dims...@opensuse.org -- Work around refresh issues. This is not the final 
solution; the wallpaper is often not loaded, but at least it stops the screen 
from flickering wildly, giving a much less broken experience.
+Patch2: gnome-shell-no_clear_hint.patch
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  intltool
 BuildRequires:  translation-update-upstream
@@ -39,7 +41,7 @@
 BuildRequires:  pkgconfig(gcr-base-3) = 3.7.5
 BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
 BuildRequires:  pkgconfig(gio-2.0) = 2.37.0
-BuildRequires:  pkgconfig(gjs-1.0) = 1.33.2
+BuildRequires:  pkgconfig(gjs-1.0) = 1.38.1
 BuildRequires:  pkgconfig(gnome-bluetooth-1.0) = 3.9.0
 BuildRequires:  pkgconfig(gnome-desktop-3.0) = 3.7.90
 BuildRequires:  pkgconfig(gnome-keybindings)
@@ -54,7 +56,7 @@
 BuildRequires:  pkgconfig(libcroco-0.6) = 0.6.8
 BuildRequires:  pkgconfig(libedataserver-1.2) = 3.5.3
 BuildRequires:  pkgconfig(libgnome-menu-3.0) = 3.5.3
-BuildRequires:  pkgconfig(libmutter) = 3.10.0
+BuildRequires:  pkgconfig(libmutter) = 3.10.1
 BuildRequires:  pkgconfig(libnm-glib)
 BuildRequires:  pkgconfig(libnm-gtk) = 0.9.8
 

commit gnome-control-center for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-control-center for 
openSUSE:13.1 checked in at 2013-10-17 15:50:38

Comparing /work/SRC/openSUSE:13.1/gnome-control-center (Old)
 and  /work/SRC/openSUSE:13.1/.gnome-control-center.new (New)


Package is gnome-control-center

Changes:

--- /work/SRC/openSUSE:13.1/gnome-control-center/gnome-control-center.changes   
2013-10-14 14:27:17.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.gnome-control-center.new/gnome-control-center.changes  
2013-10-19 16:48:40.0 +0200
@@ -1,0 +2,43 @@
+Wed Oct 16 06:43:54 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Background:
+- Fix several memory leaks.
+- Some code cleanups.
+- Be robust against missing directories, and warn otherwise.
+- Use a consistent set of permissions when creating
+  directories.
+  + Display: Always label the built in display as 1.
+  + Mouse: Do not reset mouse speed when unset.
+  + Network:
+- Fix a few crashes and memory leaks.
+- Some code cleanups.
+- Just dismiss forget dialog if response is not OK.
+- Update forget button sensitivity when rows are destroyed.
+- Use the command line parameters property for 8021x.
+- Only start the spinner when we can stop it.
+  + Power: Use device models as names.
+  + Sharing:
+- Allow screen sharing approving without remote control
+  enabled.
+- Ensure the hostname in labels is updated.
+- Prevent duplicate folders being selected for media sharing.
+- When enabling DLNA, also make sure to enable the MediaExport
+  plugin.
+  + Shell: Align the buttons in the headerbar.
+  + Universal Access: Fix a crash.
+  + Wacom:
+- Align the stylus section with the tablet section.
+- Fix device filtering in calibration UI.
+- Fix use after free causing random values in the calibration
+  data.
+- Fix incorrect default window information.
+- Fix ~100 pixel offset when calibrating.
+- Reset the calibration before starting a new one.
+- Drop gnome-control-center-network-8021x-entry.patch: fixed
+  upstream.
+- Add gnome-control-center-linker.patch: Fix test-chooser-dialog
+  build with some linkers.
+- Rebase gcc-private-connection.patch (Gary Lin).
+
+---

Old:

  gnome-control-center-3.10.0.tar.xz
  gnome-control-center-network-8021x-entry.patch

New:

  gnome-control-center-3.10.1.tar.xz
  gnome-control-center-linker.patch



Other differences:
--
++ gnome-control-center.spec ++
--- /var/tmp/diff_new_pack.fmEz1X/_old  2013-10-19 16:48:40.0 +0200
+++ /var/tmp/diff_new_pack.fmEz1X/_new  2013-10-19 16:48:40.0 +0200
@@ -27,7 +27,7 @@
 %endif
 
 Name:   gnome-control-center
-Version:3.10.0
+Version:3.10.1
 Release:0
 # FIXME: in 12.3 and later, check if we still need patch2 
(gnome-control-center-hide-region-system-tab.patch) (see bnc#703833)
 Summary:The GNOME Control Center
@@ -43,8 +43,8 @@
 Patch15:gcc-private-connection.patch
 # PATCH-FIX-UPSTREAM gnome-control-center-probe-radius-server-cert.patch 
bnc#574266 g...@suse.com -- network: Probe the RADIUS server certificate
 Patch16:gnome-control-center-probe-radius-server-cert.patch
-# PATCH-FIX-UPSTREAM gnome-control-center-network-8021x-entry.patch bgo#709545 
g...@suse.com -- network: fix 8021x connection settings
-Patch17:gnome-control-center-network-8021x-entry.patch
+# PATCH-FIX-UPSTREAM gnome-control-center-linker.patch bgo#709302 
dims...@opensuse.org -- Fix test-chooser-dialog build with some linkers, taken 
from upstream
+Patch17:gnome-control-center-linker.patch
 BuildRequires:  cups-devel
 BuildRequires:  desktop-file-utils
 BuildRequires:  fdupes
@@ -164,9 +164,9 @@
 %patch0 -p1
 %patch15 -p1
 %patch16 -p1
-%patch17 -p1
 #NEEDS-REBASE
 #patch14 -p1
+%patch17 -p1
 
 %build
 ACLOCAL_FLAGS=-I libgd NOCONFIGURE=1 gnome-autogen.sh

++ gcc-private-connection.patch ++
--- /var/tmp/diff_new_pack.fmEz1X/_old  2013-10-19 16:48:40.0 +0200
+++ /var/tmp/diff_new_pack.fmEz1X/_new  2013-10-19 16:48:40.0 +0200
@@ -1,4 +1,4 @@
-From e805287d5e6749dd5b02f30b339f9c1523020fce Mon Sep 17 00:00:00 2001
+From b72c423a344f2e455c17978bab76eb29912d0b5b Mon Sep 17 00:00:00 2001
 From: Gary Ching-Pang Lin chingp...@gmail.com
 Date: Tue, 14 Feb 2012 18:41:51 +0800
 Subject: [PATCH] network: create private connections if the user if not
@@ -20,10 +20,10 @@
  7 files changed, 94 insertions(+), 9 deletions(-)
 
 diff --git a/configure.ac b/configure.ac
-index a7542e6..2245fc3 100644
+index b0b492d..4453123 100644
 --- a/configure.ac
 +++ b/configure.ac
-@@ -132,7 

commit fcitx-configtool for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package fcitx-configtool for openSUSE:13.1 
checked in at 2013-10-18 13:33:46

Comparing /work/SRC/openSUSE:13.1/fcitx-configtool (Old)
 and  /work/SRC/openSUSE:13.1/.fcitx-configtool.new (New)


Package is fcitx-configtool

Changes:

--- /work/SRC/openSUSE:13.1/fcitx-configtool/fcitx-configtool.changes   
2013-09-23 10:50:48.0 +0200
+++ /work/SRC/openSUSE:13.1/.fcitx-configtool.new/fcitx-configtool.changes  
2013-10-19 16:48:32.0 +0200
@@ -1,0 +2,13 @@
+Fri Oct 18 06:09:23 UTC 2013 - i...@marguerite.su
+
+- fix bnc#846037
+  * New: Too narrow window in fcitx-config-gtk3 input method 
+addition dialog
+  * gtk_scrolled_window_add_with_viewport has been deprecated 
+since version 3.8, now gtk_container_add() will now 
+automatically add a GtkViewport if the child doesn't 
+implement GtkScrollable
+- GTK_STOCK_* is also depreciated
+- Add patch:fcitx-configtool-gnome-3.10-fixes.patch
+
+---

New:

  fcitx-configtool-gnome-3.10-fixes.patch



Other differences:
--
++ fcitx-configtool.spec ++
--- /var/tmp/diff_new_pack.ahEvG5/_old  2013-10-19 16:48:33.0 +0200
+++ /var/tmp/diff_new_pack.ahEvG5/_new  2013-10-19 16:48:33.0 +0200
@@ -26,6 +26,8 @@
 Group:  System/I18n/Chinese
 Url:http://code.google.com/p/fcitx
 Source: 
http://download.fcitx-im.org/fcitx-configtool/%{name}-%{version}.tar.xz
+# PATCH-FIX-UPSTREAM wen...@gmail.com - fix gtk depreciated functions and 
bnc#846037
+Patch:  fcitx-configtool-gnome-3.10-fixes.patch
 %if 0%{?suse_version}
 BuildRequires:  dbus-1-glib-devel
 %if 0%{?suse_version} = 1140
@@ -72,6 +74,7 @@
 
 %prep
 %setup -q
+%patch -p1
 
 %build
 mkdir -pv build

++ fcitx-configtool-gnome-3.10-fixes.patch ++
Index: fcitx-configtool-0.4.7/gtk3/config_widget.c
===
--- fcitx-configtool-0.4.7.orig/gtk3/config_widget.c
+++ fcitx-configtool-0.4.7/gtk3/config_widget.c
@@ -483,7 +483,15 @@ fcitx_config_widget_create_full_ui(Fcitx
 g_object_set(G_OBJECT(scrollwnd), shadow-type, GTK_SHADOW_NONE, 
NULL);
 
 gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scrollwnd), 
GTK_POLICY_NEVER, GTK_POLICY_AUTOMATIC);
+
+#if ((GTK_MAJOR_VERSION == 3  GTK_MINOR_VERSION  7) || (GTK_MAJOR_VERSION 
== 3  GTK_MINOR_VERSION == 7  GTK_MICRO_VERSION  8))
+/* 
http://developer.gnome.org/gtk3/unstable/GtkScrolledWindow.html#gtk-scrolled-window-add-with-viewport
 */
+/* gtk_scrolled_window_add_with_viewport has been deprecated since 
version 3.8 and should not be used in newly-written code. */
 
gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(scrollwnd), grid);
+#else
+/* gtk_container_add() will now automatically add a GtkViewport if 
the child doesn't implement GtkScrollable. */
+gtk_container_add(GTK_CONTAINER(scrollwnd), grid);
+#endif
 gtk_notebook_append_page(GTK_NOTEBOOK(configNotebook),
  scrollwnd,
  plabel);
@@ -926,9 +934,9 @@ GtkWidget* fcitx_config_dialog_new(Fcitx
 GtkWidget* dialog = gtk_dialog_new_with_buttons(addon-generalname,
 parent,
 GTK_DIALOG_MODAL,
-GTK_STOCK_CANCEL,
+_(_Cancel),
 GTK_RESPONSE_CANCEL,
-GTK_STOCK_OK,
+_(_OK),
 GTK_RESPONSE_OK,
 NULL
 );
Index: fcitx-configtool-0.4.7/gtk3/im_config_dialog.c
===
--- fcitx-configtool-0.4.7.orig/gtk3/im_config_dialog.c
+++ fcitx-configtool-0.4.7/gtk3/im_config_dialog.c
@@ -70,9 +70,9 @@ fcitx_im_config_dialog_init(FcitxImConfi
 gtk_window_set_modal(GTK_WINDOW(self), TRUE);
 
 gtk_dialog_add_buttons(GTK_DIALOG(self),
-   GTK_STOCK_CANCEL,
+   _(_Cancel),
GTK_RESPONSE_CANCEL,
-   GTK_STOCK_OK,
+   _(_OK),
GTK_RESPONSE_OK,
NULL
   );
Index: 

commit gnome-keyring for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-keyring for openSUSE:13.1 
checked in at 2013-10-17 15:50:47

Comparing /work/SRC/openSUSE:13.1/gnome-keyring (Old)
 and  /work/SRC/openSUSE:13.1/.gnome-keyring.new (New)


Package is gnome-keyring

Changes:

--- /work/SRC/openSUSE:13.1/gnome-keyring/gnome-keyring.changes 2013-09-29 
19:24:19.0 +0200
+++ /work/SRC/openSUSE:13.1/.gnome-keyring.new/gnome-keyring.changes
2013-10-19 16:48:41.0 +0200
@@ -1,0 +2,10 @@
+Thu Oct 17 06:51:36 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Build fix on OpenBSD (bgo#706405).
+  + Add manual page.
+  + Minor error message fixes.
+  + Updated translations.
+- Add gtk-doc BuildRequires: needed to build the man page.
+
+---

Old:

  gnome-keyring-3.10.0.tar.xz

New:

  gnome-keyring-3.10.1.tar.xz



Other differences:
--
++ gnome-keyring.spec ++
--- /var/tmp/diff_new_pack.cLX6uw/_old  2013-10-19 16:48:41.0 +0200
+++ /var/tmp/diff_new_pack.cLX6uw/_new  2013-10-19 16:48:41.0 +0200
@@ -19,7 +19,7 @@
 %bcond_without  gpgagent
 
 Name:   gnome-keyring
-Version:3.10.0
+Version:3.10.1
 Release:0
 Url:http://www.gnome.org/
 Summary:GNOME Keyring
@@ -34,6 +34,7 @@
 BuildRequires:  ca-certificates
 BuildRequires:  desktop-file-utils
 BuildRequires:  fdupes
+BuildRequires:  gtk-doc
 BuildRequires:  intltool
 BuildRequires:  libcap-ng-devel
 BuildRequires:  libgcrypt-devel
@@ -200,6 +201,7 @@
 %dir %{_datadir}/p11-kit
 %dir %{_datadir}/p11-kit/modules
 %{_datadir}/p11-kit/modules/gnome-keyring.module
+%{_mandir}/man1/gnome-keyring-daemon.1%{?ext_man}
 %{_sysconfdir}/xdg/autostart/*.desktop
 
 %files lang -f %{name}.lang

++ gnome-keyring-3.10.0.tar.xz - gnome-keyring-3.10.1.tar.xz ++
 3434 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit httrack for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package httrack for openSUSE:13.1 checked in 
at 2013-10-17 14:39:42

Comparing /work/SRC/openSUSE:13.1/httrack (Old)
 and  /work/SRC/openSUSE:13.1/.httrack.new (New)


Package is httrack

Changes:

--- /work/SRC/openSUSE:13.1/httrack/httrack.changes 2013-09-23 
10:53:38.0 +0200
+++ /work/SRC/openSUSE:13.1/.httrack.new/httrack.changes2013-10-19 
16:48:56.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 17 11:10:43 UTC 2013 - greg.freem...@gmail.com
+
+- move the html documentation back to /usr/share/httrack/html
+  + See BNC#845885
+
+---



Other differences:
--
++ httrack.spec ++
--- /var/tmp/diff_new_pack.aqlKgM/_old  2013-10-19 16:48:56.0 +0200
+++ /var/tmp/diff_new_pack.aqlKgM/_new  2013-10-19 16:48:56.0 +0200
@@ -86,7 +86,7 @@
 %configure \
   --disable-static \
   --docdir=%{_docdir}/%{name} \
-  --htmldir=%{_docdir}/%{name}/html
+  --htmldir=%{_datadir}/%{name}/html
 make %{?_smp_mflags}
 
 %install
@@ -117,7 +117,7 @@
 # Install additional docs (do it manually to fix also rpmlint warning 
files-duplicate)
 cp -af AUTHORS COPYING README gpl-fr.txt greetings.txt history.txt 
httrack-doc.html license.txt templates/ %{buildroot}%{_docdir}/%{name}/
 # No need to be in there
-rm -f 
%{buildroot}%{_docdir}/%{name}/html/{greetings.txt,history.txt,httrack-doc.html,license.txt}
+rm -f 
%{buildroot}%{_datadir}/%{name}/html/{greetings.txt,history.txt,httrack-doc.html,license.txt}
 
 %if 0%{?suse_version} = 1100
 %fdupes -s %{buildroot}

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libatlas3 for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package libatlas3 for openSUSE:13.1 checked 
in at 2013-10-17 14:17:04

Comparing /work/SRC/openSUSE:13.1/libatlas3 (Old)
 and  /work/SRC/openSUSE:13.1/.libatlas3.new (New)


Package is libatlas3

Changes:

--- /work/SRC/openSUSE:13.1/libatlas3/libatlas3.changes 2013-09-23 
10:56:45.0 +0200
+++ /work/SRC/openSUSE:13.1/.libatlas3.new/libatlas3.changes2013-10-19 
16:49:15.0 +0200
@@ -1,0 +2,6 @@
+Mon Oct 14 12:17:31 UTC 2013 - mhruse...@suse.com
+
+- Don't require too many timing calibration data on x86
+  * atlas-hack.patch
+
+---

New:

  atlas-hack.patch



Other differences:
--
++ libatlas3.spec ++
--- /var/tmp/diff_new_pack.jvglRe/_old  2013-10-19 16:49:15.0 +0200
+++ /var/tmp/diff_new_pack.jvglRe/_new  2013-10-19 16:49:15.0 +0200
@@ -29,6 +29,7 @@
 Source0:atlas%{version}.tar.bz2
 Source1:README.SuSE
 Patch0: atlas-suse-shared.patch
+Patch1: atlas-hack.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  gcc-fortran
 BuildRequires:  lapack-devel
@@ -180,6 +181,9 @@
 %prep
 %setup -q -n ATLAS
 %patch0 -p1
+%ifarch x86_64 i586
+%patch1
+%endif
 cp %{SOURCE1} doc
 
 %build

++ atlas-hack.patch ++
Index: tune/sysinfo/masrch.c
===
--- tune/sysinfo/masrch.c.orig
+++ tune/sysinfo/masrch.c
@@ -113,7 +113,12 @@ double matime
j = 0;
for (i=0; i != NTIM; i++)
{
-  assert( fscanf(fp, %lf, mflop[i]) );
+  if(fscanf(fp, %lf, mflop[i])==0) {
+ if (i0)
+mflop[i]=mflop[i-1];
+ else
+assert(0);
+  }
}
fclose(fp);
 /*
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gstreamer-0_10-plugins-qt for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gstreamer-0_10-plugins-qt for 
openSUSE:13.1 checked in at 2013-10-17 14:14:05

Comparing /work/SRC/openSUSE:13.1/gstreamer-0_10-plugins-qt (Old)
 and  /work/SRC/openSUSE:13.1/.gstreamer-0_10-plugins-qt.new (New)


Package is gstreamer-0_10-plugins-qt

Changes:

--- 
/work/SRC/openSUSE:13.1/gstreamer-0_10-plugins-qt/gstreamer-0_10-plugins-qt.changes
 2013-09-23 10:53:00.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.gstreamer-0_10-plugins-qt.new/gstreamer-0_10-plugins-qt.changes
2013-10-19 16:48:47.0 +0200
@@ -1,0 +2,8 @@
+Tue Oct 15 00:10:36 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Update to final 0.10.3:
+ * Fixes:
+  + One build fix change with regards to Qt4/5 cmake var name
+- Use bz2 tarball
+
+---

Old:

  qt-gstreamer-0.10.2.2.tar.gz

New:

  qt-gstreamer-0.10.3.tar.bz2



Other differences:
--
++ gstreamer-0_10-plugins-qt.spec ++
--- /var/tmp/diff_new_pack.KD6V2s/_old  2013-10-19 16:48:47.0 +0200
+++ /var/tmp/diff_new_pack.KD6V2s/_new  2013-10-19 16:48:47.0 +0200
@@ -21,13 +21,13 @@
 %define gstmin  0
 %define glibmin 0
 Name:   gstreamer-%{gstnum}-plugins-qt
-Version:0.10.2.2
+Version:0.10.3
 Release:0
 Summary:C++/Qt bindings for GStreamer
 License:LGPL-2.1+
 Group:  Productivity/Multimedia/Other
 Url:http://gstreamer.freedesktop.org/wiki/QtGStreamer
-Source: 
http://gstreamer.freedesktop.org/src/qt-gstreamer/pre/qt-gstreamer-%{version}.tar.gz
+Source: 
http://gstreamer.freedesktop.org/src/qt-gstreamer/qt-gstreamer-%{version}.tar.bz2
 BuildRequires:  bison
 BuildRequires:  boost-devel
 BuildRequires:  cmake = 2.8.9

++ qt-gstreamer-0.10.2.2.tar.gz - qt-gstreamer-0.10.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qt-gstreamer-0.10.2.2/CMakeLists.txt 
new/qt-gstreamer-0.10.3/CMakeLists.txt
--- old/qt-gstreamer-0.10.2.2/CMakeLists.txt2013-06-09 18:29:54.0 
+0200
+++ new/qt-gstreamer-0.10.3/CMakeLists.txt  2013-10-14 10:44:40.0 
+0200
@@ -7,7 +7,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
-set(QTGSTREAMER_VERSION 0.10.2.2)
+set(QTGSTREAMER_VERSION 0.10.3)
 
 option(QTGSTREAMER_STATIC Build QtGStreamer as a static library OFF)
 option(QTGSTREAMER_TESTS Build QtGStreamer's tests OFF)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qt-gstreamer-0.10.2.2/NEWS 
new/qt-gstreamer-0.10.3/NEWS
--- old/qt-gstreamer-0.10.2.2/NEWS  2013-06-09 18:29:54.0 +0200
+++ new/qt-gstreamer-0.10.3/NEWS2013-10-14 10:44:40.0 +0200
@@ -1,4 +1,4 @@
-qt-gstreamer 0.10.2.2 (2013-06-09)
+qt-gstreamer 0.10.3 (2013-10-14)
 ==
 
 Additions:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qt-gstreamer-0.10.2.2/cmake/modules/FindQt4or5.cmake 
new/qt-gstreamer-0.10.3/cmake/modules/FindQt4or5.cmake
--- old/qt-gstreamer-0.10.2.2/cmake/modules/FindQt4or5.cmake2013-06-09 
18:29:54.0 +0200
+++ new/qt-gstreamer-0.10.3/cmake/modules/FindQt4or5.cmake  2013-10-14 
10:44:40.0 +0200
@@ -177,6 +177,13 @@
 find_package_handle_standard_args(Qt4or5 REQUIRED_VARS _Qt4or5_FOUND 
HANDLE_COMPONENTS)
 set(Qt4or5_FOUND ${QT4OR5_FOUND})
 
+# Core library needed for compilation tests
+if (${QT_VERSION} STREQUAL 4)
+  set (Qt4or5_Core_LIBRARIES ${QT_QTCORE_LIBRARY})
+else()
+  set (Qt4or5_Core_LIBRARIES ${Qt5Core_LIBRARIES})
+endif()
+
 # qt4or5_use_modules(target [ LINK_PUBLIC | LINK_PRIVATE ] modules)
 # Supported modules: Core, Gui, Widgets, Quick1, Quick2, Test, OpenGL
 function(qt4or5_use_modules _target _link_type)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/qt-gstreamer-0.10.2.2/cmake/modules/HandleImportedTargetsInCMakeRequiredLibraries.cmake
 
new/qt-gstreamer-0.10.3/cmake/modules/HandleImportedTargetsInCMakeRequiredLibraries.cmake
--- 
old/qt-gstreamer-0.10.2.2/cmake/modules/HandleImportedTargetsInCMakeRequiredLibraries.cmake
 1970-01-01 01:00:00.0 +0100
+++ 
new/qt-gstreamer-0.10.3/cmake/modules/HandleImportedTargetsInCMakeRequiredLibraries.cmake
   2013-10-14 10:44:40.0 +0200
@@ -0,0 +1,83 @@
+# This is a helper function used by CheckCXXSourceRuns.cmake and
+# CheckCXXSourceCompiles.cmake. Actually it should be used by all macros which
+# use TRY_COMPILE() or TRY_RUN().
+# It takes the CMAKE_REQUIRED_LIBRARY variable and searches it for imported
+# (library) targets. 

commit kdelibs4 for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package kdelibs4 for openSUSE:13.1 checked 
in at 2013-10-19 11:11:09

Comparing /work/SRC/openSUSE:13.1/kdelibs4 (Old)
 and  /work/SRC/openSUSE:13.1/.kdelibs4.new (New)


Package is kdelibs4

Changes:

--- /work/SRC/openSUSE:13.1/kdelibs4/kdelibs4-apidocs.changes   2013-10-03 
15:54:09.0 +0200
+++ /work/SRC/openSUSE:13.1/.kdelibs4.new/kdelibs4-apidocs.changes  
2013-10-19 16:49:04.0 +0200
@@ -1,0 +2,6 @@
+Fri Oct 18 15:40:44 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Added 0001-Fix-association-with-derived-mimetype-again.patch, fixes
+  remaining issues in mimetype handling, see e.g. kde#324502
+
+---
kdelibs4.changes: same change

New:

  0001-Fix-association-with-derived-mimetype-again.patch



Other differences:
--
++ kdelibs4.spec ++
--- /var/tmp/diff_new_pack.0iZkU2/_old  2013-10-19 16:49:05.0 +0200
+++ /var/tmp/diff_new_pack.0iZkU2/_new  2013-10-19 16:49:05.0 +0200
@@ -108,6 +108,8 @@
 # when e.g. starting dolphin from CLI
 # NOTE patch is from master, aka 4.12 branch
 Patch1000:  0001-verbose.patch
+# PATCH-FIX-UPSTREAM 0001-Fix-association-with-derived-mimetype-again.patch -- 
fixup for resolving kde#321706. resolves kde#324502
+Patch2000:  0001-Fix-association-with-derived-mimetype-again.patch
 PreReq: permissions
 Requires:   soprano = %( echo `rpm -q --queryformat '%{VERSION}' 
libsoprano-devel`)
 Recommends: strigi = %( echo `rpm -q --queryformat '%{VERSION}' 
strigi-devel`)
@@ -173,6 +175,7 @@
 %patch10
 %patch11 -p1
 %patch1000 -p1
+%patch2000 -p1
 
 %build
   EXTRA_FLAGS=-DLIB_INSTALL_DIR=%{_kde4_libdir} \

++ 0001-Fix-association-with-derived-mimetype-again.patch ++
From f723e2e7d36b597c5262bf63dde380d89ec6bfcb Mon Sep 17 00:00:00 2001
From: David Faure fa...@kde.org
Date: Fri, 18 Oct 2013 09:44:17 +0200
Subject: [PATCH 1/1] Fix association-with-derived-mimetype again.

8718a88a made it impossible to re-order file type associations.
7f42bf253009 fixed that, but changed the value of KService::mimeTypes(), which
broke okular. This new fix works the same way, but only inside kbuildsycoca
when it processes the mimetypes. The value of KService::mimeTypes() is now
restored to be exactly what's in the desktop file.

CCBUG: 321706
FIXED-IN: 4.11.3
---
 kdecore/services/kservice.cpp  | 45 +-
 kdecore/tests/kservicetest.cpp |  7 ---
 kded/kbuildservicefactory.cpp  | 11 ++-
 3 files changed, 23 insertions(+), 40 deletions(-)

diff --git a/kdecore/services/kservice.cpp b/kdecore/services/kservice.cpp
index d7945bf..8e81929 100644
--- a/kdecore/services/kservice.cpp
+++ b/kdecore/services/kservice.cpp
@@ -227,44 +227,17 @@ void KServicePrivate::init( const KDesktopFile *config, 
KService* q )
 has an empty mimetype!;
 continue;
 }
-
-// The following searches through the list for duplicate, inherited 
mimetypes
-// For example, if application/rtf and text/plain are both listed 
application/rtf is removed
-// since it is inherited from text/plain
-// This is a reworked fix for revision 
8718a88a600c8f850a020d44bfc5f5858caa
-bool shouldAdd = true;
-KMimeType::Ptr mimeType1 = 
KMimeTypeRepository::self()-findMimeTypeByName(st);
-if (mimeType1) {
-foreach(const QString mime2, lstServiceTypes) {
-// Don't compare the mimetype with itself
-if (st == mime2) {
-continue;
-}
-
-// is checks for inheritance and aliases, so this should 
suffice
-if (mimeType1-is(mime2)) {
-shouldAdd = false;
-break;
-}
+int initialPreference = m_initialPreference;
+if ( st_it.hasNext() ) {
+// TODO better syntax - separate group with mimetype=number 
entries?
+bool isNumber;
+const int val = st_it.peekNext().toInt(isNumber);
+if (isNumber) {
+initialPreference = val;
+st_it.next();
 }
 }
-
-// Only add unique mimetypes
-if (shouldAdd) {
-int initialPreference = m_initialPreference;
-if (st_it.hasNext()) {
-// TODO better syntax - separate group with mimetype=number 
entries?
-bool isNumber;
-const int val = st_it.peekNext().toInt(isNumber);
-if (isNumber) {
-initialPreference = val;
-st_it.next();
-}
-  

commit libestr for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package libestr for openSUSE:13.1 checked in 
at 2013-10-18 11:33:24

Comparing /work/SRC/openSUSE:13.1/libestr (Old)
 and  /work/SRC/openSUSE:13.1/.libestr.new (New)


Package is libestr

Changes:

--- /work/SRC/openSUSE:13.1/libestr/libestr.changes 2013-09-23 
10:57:05.0 +0200
+++ /work/SRC/openSUSE:13.1/.libestr.new/libestr.changes2013-10-19 
16:49:18.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 17 17:58:54 UTC 2013 - andreas.stie...@gmx.de
+
+- update to 0.1.8 - [bnc#846487]
+  - bugfix: invalid comparison results for different-length strings
+es_strcmp, es_strcasecmp, es_strbufcmp, and es_strcasebufcmp
+
+---

Old:

  libestr-0.1.6.tar.gz

New:

  libestr-0.1.8.tar.gz



Other differences:
--
++ libestr.spec ++
--- /var/tmp/diff_new_pack.3VewZo/_old  2013-10-19 16:49:18.0 +0200
+++ /var/tmp/diff_new_pack.3VewZo/_new  2013-10-19 16:49:18.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   libestr
-Version:0.1.6
+Version:0.1.8
 Release:0
 Summary:String handling essentials library
 License:LGPL-2.1+

++ libestr-0.1.6.tar.gz - libestr-0.1.8.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libestr-0.1.6/ChangeLog new/libestr-0.1.8/ChangeLog
--- old/libestr-0.1.6/ChangeLog 2013-09-12 14:51:23.0 +0200
+++ new/libestr-0.1.8/ChangeLog 2013-10-16 16:55:34.0 +0200
@@ -1,4 +1,20 @@
 --
+Version 0.1.8 2013-10-16
+- bugfix: previous fix for string comparisons did not work properly
+  Thanks to Tomas Heinrich for alerting us
+--
+Version 0.1.7 2013-10-10
+- bugfix: invalid comparison results for different-length strings
+  es_strcmp, es_strcasecmp, es_strbufcmp, and es_strcasebufcmp
+  returned incorrect results if the first string was smaller than
+  the second. In that case, the first string was always assumed
+  to be lexially lower than the second. If the second string was
+  larger than the first, the same issue occured. This did not affect
+  equal comparisons, but LT/GT checks lead to invalid result, with
+  potentially harsh consequences (e.g. qsort() did not work properly).
+  This bug is present for a very long time, potentially down to the
+  initial implementation of libestr.
+--
 Version 0.1.6 2013-09-12
 - bugfix: ascii hex code escapes did not work
   Thanks to Rene Kalff for the patch
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libestr-0.1.6/configure new/libestr-0.1.8/configure
--- old/libestr-0.1.6/configure 2013-09-12 14:53:29.0 +0200
+++ new/libestr-0.1.8/configure 2013-10-16 16:56:30.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for libestr 0.1.6.
+# Generated by GNU Autoconf 2.68 for libestr 0.1.8.
 #
 # Report bugs to rgerha...@adiscon.com.
 #
@@ -570,8 +570,8 @@
 # Identity of this package.
 PACKAGE_NAME='libestr'
 PACKAGE_TARNAME='libestr'
-PACKAGE_VERSION='0.1.6'
-PACKAGE_STRING='libestr 0.1.6'
+PACKAGE_VERSION='0.1.8'
+PACKAGE_STRING='libestr 0.1.8'
 PACKAGE_BUGREPORT='rgerha...@adiscon.com'
 PACKAGE_URL=''
 
@@ -1298,7 +1298,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures libestr 0.1.6 to adapt to many kinds of systems.
+\`configure' configures libestr 0.1.8 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1368,7 +1368,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of libestr 0.1.6:;;
+ short | recursive ) echo Configuration of libestr 0.1.8:;;
esac
   cat \_ACEOF
 
@@ -1473,7 +1473,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-libestr configure 0.1.6
+libestr configure 0.1.8
 generated by GNU Autoconf 2.68
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1842,7 +1842,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by libestr $as_me 0.1.6, which was
+It was created by libestr $as_me 0.1.8, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   $ $0 $@
@@ -2657,7 +2657,7 @@
 
 # Define the identity of the 

commit gnome-packagekit for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gnome-packagekit for openSUSE:13.1 
checked in at 2013-10-17 20:37:22

Comparing /work/SRC/openSUSE:13.1/gnome-packagekit (Old)
 and  /work/SRC/openSUSE:13.1/.gnome-packagekit.new (New)


Package is gnome-packagekit

Changes:

--- /work/SRC/openSUSE:13.1/gnome-packagekit/gnome-packagekit.changes   
2013-10-15 10:41:07.0 +0200
+++ /work/SRC/openSUSE:13.1/.gnome-packagekit.new/gnome-packagekit.changes  
2013-10-19 16:48:42.0 +0200
@@ -1,0 +2,8 @@
+Thu Oct 17 11:33:20 UTC 2013 - g...@opensuse.org
+
+- Remove conflict with
+  otherproviders(org.freedesktop.PackageKit.service): the conflict
+  was solved on file-level by renaming the service file provided by
+  apper (bnc#846342).
+
+---



Other differences:
--
++ gnome-packagekit.spec ++
--- /var/tmp/diff_new_pack.b85wDX/_old  2013-10-19 16:48:42.0 +0200
+++ /var/tmp/diff_new_pack.b85wDX/_new  2013-10-19 16:48:42.0 +0200
@@ -57,7 +57,6 @@
 Provides:   opensuse-updater-gnome = 0.4.7
 Obsoletes:  opensuse-updater-gnome  0.4.7
 Provides:   org.freedesktop.PackageKit.service
-Conflicts:  otherproviders(org.freedesktop.PackageKit.service)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %py_requires
 %glib2_gsettings_schema_requires

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit ibus for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package ibus for openSUSE:13.1 checked in at 
2013-10-17 14:16:02

Comparing /work/SRC/openSUSE:13.1/ibus (Old)
 and  /work/SRC/openSUSE:13.1/.ibus.new (New)


Package is ibus

Changes:

--- /work/SRC/openSUSE:13.1/ibus/ibus.changes   2013-09-23 10:53:43.0 
+0200
+++ /work/SRC/openSUSE:13.1/.ibus.new/ibus.changes  2013-10-19 
16:48:56.0 +0200
@@ -1,0 +2,40 @@
+Thu Oct 17 07:13:31 UTC 2013 - i...@marguerite.su
+
+- add a branding-openSUSE-KDE subpackage.
+  * provides kde monochrome icons for 13.1 default KDE theme.
+- port fix for bnc#820218 here
+  * ibus qt tray icon is not in keeping with KDE monochrome icon look.
+
+---
+Mon Oct 14 09:22:41 CST 2013 - hillw...@linuxfans.org
+
+- Obsoletes libibus-1_0-0
+
+---
+Thu Oct 10 17:50:08 UTC 2013 - ft...@geeko.jp
+
+- Update show-input-mode-icon.patch
+  * fix ibus-ui-gtk3 hangs up 
+  * fix icons are cropped on KDE 
+
+---
+Sun Oct  6 13:43:39 UTC 2013 - ft...@geeko.jp
+
+- Update to 1.5.4
+  * Add address command to command line interface
+  * Support content-type of input context
+  * Replace ibus-config with gsettings
+  * Support using a different IM engine state for each window
+  * Support show-icon-on-systray in ibus-ui-gtk3
+  * Fix no output when ibus-daemon is runnin on another display
+  * Update translations and fix build errors
+- Add show-input-mode-icon.patch
+  * workaround for the current input mode is not shown on DEs
+other than GNOME
+- Rename and refresh patches
+  * add-libgnomekbd-and-load-preload-engines.patch
+  * reload-preload-engines-until-users-customize-the-list.patch
+- Fix ibus-lang is not installed
+- Fix warning by touch /etc/dconf/db/ibus for 12.3 and later
+
+---

Old:

  add-libgnomekbd-and-load-preload-engines-69171c9c.patch
  ibus-1.5.3.tar.gz
  reload-preload-engines-until-users-customize-the-list-95fd937e.patch

New:

  add-libgnomekbd-and-load-preload-engines.patch
  ibus-1.5.4.tar.gz
  kde-12.2.tar.gz
  kde.tar.gz
  reload-preload-engines-until-users-customize-the-list.patch
  show-input-mode-icon.patch



Other differences:
--
++ ibus.spec ++
--- /var/tmp/diff_new_pack.OzntlE/_old  2013-10-19 16:48:57.0 +0200
+++ /var/tmp/diff_new_pack.OzntlE/_new  2013-10-19 16:48:57.0 +0200
@@ -19,7 +19,7 @@
 %define with_automatic_config 1
 
 Name:   ibus
-Version:1.5.3
+Version:1.5.4
 Release:0
 Url:http://code.google.com/p/ibus/
 Summary:Intelligent Input Bus for Linux OS
@@ -30,13 +30,17 @@
 Source2:ibus-README.suse  
 Source3:xim.ibus.suse.template
 Source4:xim.d-ibus-121
+Source5:kde.tar.gz
+Source6:kde-12.2.tar.gz
 %if %{with_automatic_config}
 Patch0: ibus-python-install-dir.patch
-# PATCH-FEATURE-UPSTREAM 
add-libgnomekbd-and-load-preload-engines-69171c9c.patch Issue 1641 
ft...@geeko.jp
-Patch1: add-libgnomekbd-and-load-preload-engines-69171c9c.patch
-# PATCH-FEATURE-UPSTREAM 
reload-preload-engines-until-users-customize-the-list-95fd937e.patch Issue 1641 
ft...@geeko.jp
-Patch2: 
reload-preload-engines-until-users-customize-the-list-95fd937e.patch
+# PATCH-FEATURE-UPSTREAM add-libgnomekbd-and-load-preload-engines.patch Issue 
1641 ft...@geeko.jp
+Patch1: add-libgnomekbd-and-load-preload-engines.patch
+# PATCH-FEATURE-UPSTREAM 
reload-preload-engines-until-users-customize-the-list.patch Issue 1641 
ft...@geeko.jp
+Patch2: reload-preload-engines-until-users-customize-the-list.patch
 %endif
+# PATCH-FIX-OPENSUSE 
reload-preload-engines-until-users-customize-the-list.patch ft...@geeko.jp
+Patch3: show-input-mode-icon.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: /usr/bin/touch
 Provides:   locale(ja;ko;zh)
@@ -60,6 +64,10 @@
 %endif
 BuildRequires:  libnotify-devel = 0.7
 BuildRequires:  libtool
+# directory ownership {
+BuildRequires:  oxygen-icon-theme
+BuildRequires:  oxygen-icon-theme-scalable
+# }
 BuildRequires:  pkg-config
 BuildRequires:  python = 2.5
 BuildRequires:  python-gobject2-devel
@@ -78,6 +86,8 @@
 Requires:   typelib-1_0-Gtk-3_0
 %endif
 Obsoletes:  ibus-gnome-shell
+Obsoletes:  libibus-1_0-0
+Recommends: %{name}-lang
 
 #Fix cursor following problem in KDE4 for libreoffice, libreoffice-kde and 
libreoffice-kde4 can destroy cursor following, please don't install them with 
ibus.
 Supplements:

commit ebook-tools for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package ebook-tools for openSUSE:13.1 
checked in at 2013-10-17 15:16:03

Comparing /work/SRC/openSUSE:13.1/ebook-tools (Old)
 and  /work/SRC/openSUSE:13.1/.ebook-tools.new (New)


Package is ebook-tools

Changes:

--- /work/SRC/openSUSE:13.1/ebook-tools/ebook-tools.changes 2013-09-23 
10:50:14.0 +0200
+++ /work/SRC/openSUSE:13.1/.ebook-tools.new/ebook-tools.changes
2013-10-19 16:48:30.0 +0200
@@ -1,0 +2,6 @@
+Sat Oct 12 22:13:18 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Update to 0.2.2 (bnc#845629, kde#325909)
+  * Bugfix release, no upstream changelog provided
+
+---

Old:

  ebook-tools-0.2.1.tar.gz

New:

  ebook-tools-0.2.2.tar.gz



Other differences:
--
++ ebook-tools.spec ++
--- /var/tmp/diff_new_pack.d9KVDd/_old  2013-10-19 16:48:30.0 +0200
+++ /var/tmp/diff_new_pack.d9KVDd/_new  2013-10-19 16:48:30.0 +0200
@@ -20,8 +20,8 @@
 Summary:A library for reading ebook files
 License:MIT
 Group:  Development/Libraries/C and C++
-Version:0.2.1
-Release:0
+Version:0.2.2
+Release:25
 Url:http://sourceforge.net/projects/ebook-tools
 BuildRequires:  cmake
 BuildRequires:  gcc-c++

++ ebook-tools-0.2.1.tar.gz - ebook-tools-0.2.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ebook-tools-0.2.1/CMakeLists.txt 
new/ebook-tools-0.2.2/CMakeLists.txt
--- old/ebook-tools-0.2.1/CMakeLists.txt2010-02-28 18:09:46.0 
+0100
+++ new/ebook-tools-0.2.2/CMakeLists.txt2012-09-04 16:32:32.0 
+0200
@@ -8,6 +8,8 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
+set(LIB_SUFFIX  CACHE STRING Define suffix of library directory name 
(32/64))
+
 find_package(LibXml2 REQUIRED)
 find_package(LibZip REQUIRED)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ebook-tools-0.2.1/debian/changelog 
new/ebook-tools-0.2.2/debian/changelog
--- old/ebook-tools-0.2.1/debian/changelog  1970-01-01 01:00:00.0 
+0100
+++ new/ebook-tools-0.2.2/debian/changelog  2012-09-04 16:32:32.0 
+0200
@@ -0,0 +1,6 @@
+ebook-tools (0.1.0-1) unstable; urgency=low
+
+  * Initial release (Closes: #475513)
+
+ -- Pino Toscano p...@kde.org  Sun, 06 Apr 2008 17:23:13 +0200
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ebook-tools-0.2.1/debian/compat 
new/ebook-tools-0.2.2/debian/compat
--- old/ebook-tools-0.2.1/debian/compat 1970-01-01 01:00:00.0 +0100
+++ new/ebook-tools-0.2.2/debian/compat 2012-09-04 16:32:32.0 +0200
@@ -0,0 +1 @@
+5
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ebook-tools-0.2.1/debian/control 
new/ebook-tools-0.2.2/debian/control
--- old/ebook-tools-0.2.1/debian/control1970-01-01 01:00:00.0 
+0100
+++ new/ebook-tools-0.2.2/debian/control2012-09-04 16:32:32.0 
+0200
@@ -0,0 +1,62 @@
+Source: ebook-tools
+Priority: optional
+Maintainer: Pino Toscano p...@kde.org
+Build-Depends: debhelper (= 5), cmake (= 2.4.0), cdbs (= 0.4.51),
+ libxml2-dev, libzip-dev
+Standards-Version: 3.7.3
+Section: libs
+
+Package: libepub-dev
+Section: libdevel
+Architecture: any
+Depends: libepub0 (= ${binary:Version})
+Description: library and tools to work with the EPub file format
+ The ebook-tools provide ways for accessing and converting different
+ ebook file formats.
+ .
+ This C library is free and portable. It includes methods to parse
+ EPub files and extract their contents.
+ .
+ This package includes development headers and libraries.
+
+Package: libepub0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: library and tools to work with the EPub file format
+ The ebook-tools provide ways for accessing and converting different
+ ebook file formats.
+ .
+ This C library is free and portable. It includes methods to parse
+ EPub files and extract their contents.
+
+Package: ebook-tools-dbg
+Section: libdevel
+Architecture: any
+Priority: extra
+Depends: libc6-dbg, libepub0 (= ${binary:Version})
+Description: library and tools to work with the EPub file format
+ The ebook-tools provide ways for accessing and converting different
+ ebook file formats.
+ .
+ This C library is free and portable. It includes methods to parse
+ EPub files and extract their contents.
+ .
+ This package includes the debug symbols for the library.
+
+Package: epub-utils
+Section: graphics
+Architecture: any
+Depends: libc6, libepub0 (= 

commit gtksourceview for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gtksourceview for openSUSE:13.1 
checked in at 2013-10-17 14:14:10

Comparing /work/SRC/openSUSE:13.1/gtksourceview (Old)
 and  /work/SRC/openSUSE:13.1/.gtksourceview.new (New)


Package is gtksourceview

Changes:

--- /work/SRC/openSUSE:13.1/gtksourceview/gtksourceview.changes 2013-09-27 
17:31:56.0 +0200
+++ /work/SRC/openSUSE:13.1/.gtksourceview.new/gtksourceview.changes
2013-10-19 16:48:50.0 +0200
@@ -1,0 +2,7 @@
+Mon Oct 14 16:49:16 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Various bugfixes.
+  + Updated translations.
+
+---

Old:

  gtksourceview-3.10.0.tar.xz

New:

  gtksourceview-3.10.1.tar.xz



Other differences:
--
++ gtksourceview.spec ++
--- /var/tmp/diff_new_pack.0C6ZtO/_old  2013-10-19 16:48:50.0 +0200
+++ /var/tmp/diff_new_pack.0C6ZtO/_new  2013-10-19 16:48:50.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gtksourceview
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:GTK+ Source Editing Widget
 License:GPL-2.0+

++ gtksourceview-3.10.0.tar.xz - gtksourceview-3.10.1.tar.xz ++
 16908 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gsettings-desktop-schemas for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gsettings-desktop-schemas for 
openSUSE:13.1 checked in at 2013-10-17 14:13:30

Comparing /work/SRC/openSUSE:13.1/gsettings-desktop-schemas (Old)
 and  /work/SRC/openSUSE:13.1/.gsettings-desktop-schemas.new (New)


Package is gsettings-desktop-schemas

Changes:

--- 
/work/SRC/openSUSE:13.1/gsettings-desktop-schemas/gsettings-desktop-schemas.changes
 2013-09-26 14:43:18.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.gsettings-desktop-schemas.new/gsettings-desktop-schemas.changes
2013-10-19 16:48:46.0 +0200
@@ -1,0 +2,8 @@
+Wed Oct 16 06:49:08 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + New default lock screen background. Please update
+gnome-backgrounds to 3.10.1 as well.
+  + Updated translations.
+
+---

Old:

  gsettings-desktop-schemas-3.10.0.tar.xz

New:

  gsettings-desktop-schemas-3.10.1.tar.xz



Other differences:
--
++ gsettings-desktop-schemas.spec ++
--- /var/tmp/diff_new_pack.YZ3Tod/_old  2013-10-19 16:48:46.0 +0200
+++ /var/tmp/diff_new_pack.YZ3Tod/_new  2013-10-19 16:48:46.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gsettings-desktop-schemas
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:Shared GSettings Schemas for the Desktop
 License:LGPL-2.1+

++ gsettings-desktop-schemas-3.10.0.tar.xz - 
gsettings-desktop-schemas-3.10.1.tar.xz ++
 3748 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtk3 for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gtk3 for openSUSE:13.1 checked in at 
2013-10-17 14:14:35

Comparing /work/SRC/openSUSE:13.1/gtk3 (Old)
 and  /work/SRC/openSUSE:13.1/.gtk3.new (New)


Package is gtk3

Changes:

--- /work/SRC/openSUSE:13.1/gtk3/gtk3.changes   2013-10-14 09:28:10.0 
+0200
+++ /work/SRC/openSUSE:13.1/.gtk3.new/gtk3.changes  2013-10-19 
16:48:49.0 +0200
@@ -1,0 +2,17 @@
+Wed Oct 16 06:49:45 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.2:
+  + Bugs fixed: bgo#168530, bgo#698730, bgo#708163, bgo#708346,
+bgo#709621, bgo#709697, bgo#709854, bgo#709939, bgo#709967,
+bgo#710073, bgo#710096, bgo#710141.
+  + Updated translations.
+- Drop gtk3-enable-mnemonics.patch: fixed upstream.
+
+---
+Mon Oct 14 21:01:04 UTC 2013 - dims...@opensuse.org
+
+- Add gtk3-enable-mnemonics.patch: Revert missing parts to allow
+  apps to override disabling mnemonics (like gnome-terminal does)
+  (bgo#709764, bgo#708346, bnc#844929).
+
+---

Old:

  gtk+-3.10.1.tar.xz

New:

  gtk+-3.10.2.tar.xz



Other differences:
--
++ gtk3.spec ++
--- /var/tmp/diff_new_pack.WXLsUF/_old  2013-10-19 16:48:49.0 +0200
+++ /var/tmp/diff_new_pack.WXLsUF/_new  2013-10-19 16:48:49.0 +0200
@@ -25,7 +25,7 @@
 
 Name:   gtk3
 %define _name gtk+
-Version:3.10.1
+Version:3.10.2
 Release:0
 Summary:The GTK+ toolkit library (version 3)
 License:LGPL-2.1+

++ gtk+-3.10.1.tar.xz - gtk+-3.10.2.tar.xz ++
/work/SRC/openSUSE:13.1/gtk3/gtk+-3.10.1.tar.xz 
/work/SRC/openSUSE:13.1/.gtk3.new/gtk+-3.10.2.tar.xz differ: char 26, line 1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gupnp-av for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gupnp-av for openSUSE:13.1 checked 
in at 2013-10-17 14:15:14

Comparing /work/SRC/openSUSE:13.1/gupnp-av (Old)
 and  /work/SRC/openSUSE:13.1/.gupnp-av.new (New)


Package is gupnp-av

Changes:

--- /work/SRC/openSUSE:13.1/gupnp-av/gupnp-av.changes   2013-09-23 
10:53:16.0 +0200
+++ /work/SRC/openSUSE:13.1/.gupnp-av.new/gupnp-av.changes  2013-10-19 
16:48:54.0 +0200
@@ -1,0 +2,12 @@
+Wed Oct 16 13:49:25 UTC 2013 - dims...@opensuse.org
+
+- Update to version 0.12.3:
+  + Add support for link protection DLNA flags.
+  + Fix DLNA.ORG_PS generation.
+  + Add res@dlna:cleartextSize attribute.
+  + Only use DLNA XML namespace when it's actually used.
+  + Add res@dlna:trackTotal attribute.
+  + Bugs fixed: bgo#705564, bgo#707495, bgo#702557, bgo#706926,
+bgo#706928.
+
+---

Old:

  gupnp-av-0.12.2.tar.xz

New:

  gupnp-av-0.12.3.tar.xz



Other differences:
--
++ gupnp-av.spec ++
--- /var/tmp/diff_new_pack.Rv7ezX/_old  2013-10-19 16:48:54.0 +0200
+++ /var/tmp/diff_new_pack.Rv7ezX/_new  2013-10-19 16:48:54.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   gupnp-av
-Version:0.12.2
+Version:0.12.3
 Release:0
 Summary:Library to ease the handling and implementation of UPnP A/V 
profiles
 License:LGPL-2.0+

++ gupnp-av-0.12.2.tar.xz - gupnp-av-0.12.3.tar.xz ++
 8879 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gucharmap for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package gucharmap for openSUSE:13.1 checked 
in at 2013-10-17 14:39:03

Comparing /work/SRC/openSUSE:13.1/gucharmap (Old)
 and  /work/SRC/openSUSE:13.1/.gucharmap.new (New)


Package is gucharmap

Changes:

--- /work/SRC/openSUSE:13.1/gucharmap/gucharmap.changes 2013-09-27 
17:32:08.0 +0200
+++ /work/SRC/openSUSE:13.1/.gucharmap.new/gucharmap.changes2013-10-19 
16:48:52.0 +0200
@@ -1,0 +2,6 @@
+Mon Oct 14 21:10:25 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.0:
+  + Updated translations.
+
+---

Old:

  gucharmap-3.9.99.tar.xz

New:

  gucharmap-3.10.0.tar.xz



Other differences:
--
++ gucharmap.spec ++
--- /var/tmp/diff_new_pack.9pyqOl/_old  2013-10-19 16:48:52.0 +0200
+++ /var/tmp/diff_new_pack.9pyqOl/_new  2013-10-19 16:48:52.0 +0200
@@ -22,14 +22,14 @@
 %define pc_api 2.90
 
 Name:   gucharmap
-Version:3.9.99
+Version:3.10.0
 Release:0
 # FIXME vala bindings are currently disabled by upstream and not supposed to 
auto-enable
 Summary:A Featureful Unicode Character Map
 License:GPL-3.0+ and LGPL-2.1+
 Group:  System/GUI/GNOME
 Url:http://gucharmap.sourceforge.net/
-Source: 
http://download.gnome.org/sources/gucharmap/3.9/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gucharmap/3.10/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  gtk-doc

++ gucharmap-3.9.99.tar.xz - gucharmap-3.10.0.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gucharmap-3.9.99/ChangeLog 
new/gucharmap-3.10.0/ChangeLog
--- old/gucharmap-3.9.99/ChangeLog  2013-09-24 19:05:20.0 +0200
+++ new/gucharmap-3.10.0/ChangeLog  2013-10-14 21:37:42.0 +0200
@@ -1,3 +1,30 @@
+commit fc3a471024b8f5b953720cb696f8ebc09c1bd270
+Author: Arash Mousavi mousavi.ar...@gmail.com
+Date:   Mon Oct 7 17:55:58 2013 +0330
+
+L10N: Updated Persian translations
+
+ po/fa.po | 106 +++
+ 1 file changed, 25 insertions(+), 81 deletions(-)
+
+commit eeec982ef96093be3d8d6a60eafe7375d784c5ec
+Author: Carles Ferrando carles.ferra...@gmail.com
+Date:   Sun Oct 6 22:02:40 2013 +0200
+
+[l10n] Updated Catalan (Valencian) translation
+
+ po/c...@valencia.po | 22 +++---
+ 1 file changed, 11 insertions(+), 11 deletions(-)
+
+commit 34f56ec7c6b71e2cec48cd5847feb8a8373d9cc7
+Author: Christian Persch c...@gnome.org
+Date:   Tue Sep 24 19:06:31 2013 +0200
+
+Post release version bump
+
+ configure.ac | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
 commit 5187c78e2f2231d24fccf8fa852313cf0e53b82e
 Author: Christian Persch c...@gnome.org
 Date:   Tue Sep 24 19:00:57 2013 +0200
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gucharmap-3.9.99/aclocal.m4 
new/gucharmap-3.10.0/aclocal.m4
--- old/gucharmap-3.9.99/aclocal.m4 2013-09-24 19:04:19.0 +0200
+++ new/gucharmap-3.10.0/aclocal.m4 2013-10-14 21:36:12.0 +0200
@@ -1105,62 +1105,6 @@
 AC_SUBST([am__untar])
 ]) # _AM_PROG_TAR
 
-# gnome-common.m4
-#
-# serial 3
-# 
-
-dnl GNOME_COMMON_INIT
-
-AU_DEFUN([GNOME_COMMON_INIT],
-[
-  dnl this macro should come after AC_CONFIG_MACRO_DIR
-  AC_BEFORE([AC_CONFIG_MACRO_DIR], [$0])
-
-  dnl ensure that when the Automake generated makefile calls aclocal,
-  dnl it honours the $ACLOCAL_FLAGS environment variable
-  ACLOCAL_AMFLAGS=\${ACLOCAL_FLAGS}
-  if test -n $ac_macro_dir; then
-ACLOCAL_AMFLAGS=-I $ac_macro_dir $ACLOCAL_AMFLAGS
-  fi
-
-  AC_SUBST([ACLOCAL_AMFLAGS])
-],
-[[$0: This macro is deprecated. You should set put ACLOCAL_AMFLAGS = -I m4 
${ACLOCAL_FLAGS}
-in your top-level Makefile.am, instead, where m4 is the macro directory set
-with AC_CONFIG_MACRO_DIR() in your configure.ac]])
-
-AC_DEFUN([GNOME_DEBUG_CHECK],
-[
-   AC_ARG_ENABLE([debug],
-  AC_HELP_STRING([--enable-debug],
- [turn on debugging]),,
-  [enable_debug=no])
-
-   if test x$enable_debug = xyes ; then
-   AC_DEFINE(GNOME_ENABLE_DEBUG, 1,
-   [Enable additional debugging at the expense of performance and 
size])
-   fi
-])
-
-dnl GNOME_MAINTAINER_MODE_DEFINES ()
-dnl define DISABLE_DEPRECATED
-dnl
-AC_DEFUN([GNOME_MAINTAINER_MODE_DEFINES],
-[
-   AC_REQUIRE([AM_MAINTAINER_MODE])
-
-   DISABLE_DEPRECATED=
-   if test $USE_MAINTAINER_MODE = yes; then
-   

commit kiwi for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package kiwi for openSUSE:13.1 checked in at 
2013-10-18 19:21:20

Comparing /work/SRC/openSUSE:13.1/kiwi (Old)
 and  /work/SRC/openSUSE:13.1/.kiwi.new (New)


Package is kiwi

Changes:

--- /work/SRC/openSUSE:13.1/kiwi/kiwi.changes   2013-09-29 19:26:07.0 
+0200
+++ /work/SRC/openSUSE:13.1/.kiwi.new/kiwi.changes  2013-10-19 
16:49:11.0 +0200
@@ -1,0 +2,267 @@
+Fri Oct 18 15:33:20 CEST 2013 - m...@suse.de
+
+- v5.05.38 released
+  
+---
+Fri Oct 18 10:32:18 CEST 2013 - m...@suse.de
+  
+- fixed spec file for kiwi-pxeboot sub-package (bnc #845853)
+  * kiwi-pxeboot creates files which belongs to user/group = tftp
+but it might be the case that the user/group does not exists
+Thus this patch as a %pre section taking care for this
+
+---
+Thu Oct 17 17:01:27 CEST 2013 - m...@suse.de
+
+- revert accidentally added test systemdisk section in
+  suse-12.3-JeOS XML description
+  
+---
+Thu Oct 17 16:56:38 CEST 2013 - m...@suse.de
+  
+- fixed missing mount and fstab entry for allfree volume
+  * the volume flagged with freespace=all was ignored in the
+mount and fstab setup code
+
+---
+Thu Oct 17 16:34:58 CEST 2013 - m...@suse.de
+
+- fixed partids for LVM setup:
+  * The value kiwi_RootPart must always be a number, whereas
+in case of LVM we also provide kiwi_RootPartVol which takes
+the name of the root volume
+
+---
+Thu Oct 17 16:23:25 CEST 2013 - m...@suse.de
+
+- added better information about disk Volumes
+  
+---
+Thu Oct 17 13:03:09 CEST 2013 - m...@suse.de
+  
+- allow standalone building of initrd images like in older version
+  * The image type 'cpio' was handled as initrd image type but
+newer versions of kiwi just use it as an archive type for the
+system image. This is a bad incompatibility and also prevents
+us from just building kiwi initrd images
+
+---
+Wed Oct 16 17:24:16 CEST 2013 - rjsch...@suse.de
+
+- fix cut and paste error of comment in the oem-recovery-part-size element
+  definition
+  + comment is displayed in the generated doc and was misleading
+- add unit test for {g,s}etAtaRaidScan method on OEMConfig class
+- add unit test for {g,s}setRecoveryPartSize method on OEMConfig class
+- fix bug regarding oem_recoveryPartSize
+  + the value was never set as member variable thus the get method
+always returned undef
+- fix naming inconsistency between the get and set method for the
+  recovery partition size
+- add value check for the recovery partition ID
+  + must be a 2 digit hex value
+  + also add unit test for this verification
+
+---
+Tue Oct 15 22:04:51 CEST 2013 - m...@suse.de
+
+- fixed grub2 recovery menu entry
+  * in EFI mode chainloading is not possible, thus we use grub2
+to load the loader configuration from the recovery partition
+this requires at least a non destructed EFI boot partition
+
+---
+Tue Oct 15 21:29:50 CEST 2013 - m...@suse.de
+
+- fixed partition to search for kiwi initrd in recovery setup
+  
+---
+Tue Oct 15 20:26:57 CEST 2013 - m...@suse.de
+  
+- apply changes from commit: d9d0f3bee also to rhel-repart
+  
+---
+Tue Oct 15 19:51:39 CEST 2013 - m...@suse.de
+  
+- always make sure devpts is mounted with mode=0620,gid=5 (bnc #845231)
+  
+---
+Tue Oct 15 19:41:07 CEST 2013 - m...@suse.de
+  
+- fixed kiwi-desc-*boot-requires for openSUSE 13.1 (bnc #829429)
+  * kernel-xen is supported on x86_64 only
+
+---
+Mon Oct 14 19:54:25 CEST 2013 - m...@suse.de
+
+- fixed OEM repart/install code for EFI images
+  * fixed creation of etc/grub.d/40_custom script to let
+grub2-mkconfig correctly create the Recovery menu entry
+  * fixed partition ID's for repart operation. instead
+of incrementing kiwi_BootPart we should use the correct
+values for root,read-only,read-write,lvm as they are
+written into config.partids
+
+---
+Mon Oct 14 

commit kdebase4-workspace for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package kdebase4-workspace for openSUSE:13.1 
checked in at 2013-10-17 14:16:36

Comparing /work/SRC/openSUSE:13.1/kdebase4-workspace (Old)
 and  /work/SRC/openSUSE:13.1/.kdebase4-workspace.new (New)


Package is kdebase4-workspace

Changes:

--- /work/SRC/openSUSE:13.1/kdebase4-workspace/kdebase4-workspace.changes   
2013-10-14 09:28:36.0 +0200
+++ /work/SRC/openSUSE:13.1/.kdebase4-workspace.new/kdebase4-workspace.changes  
2013-10-19 16:49:02.0 +0200
@@ -1,0 +2,6 @@
+Mon Oct 14 15:47:40 UTC 2013 - wba...@tmo.at
+
+- Adjust kdm-sysconfig-values.diff to set default boot loader to
+  Grub2 in kdm's kcm as well (bnc#845809)
+
+---



Other differences:
--
++ kdm-sysconfig-values.diff ++
--- /var/tmp/diff_new_pack.4Mhlj0/_old  2013-10-19 16:49:03.0 +0200
+++ /var/tmp/diff_new_pack.4Mhlj0/_new  2013-10-19 16:49:03.0 +0200
@@ -373,6 +373,26 @@
  User: greeter
  Instance: */true
  Comment:
+--- kdm/kcm/kdm-shut.cpp   2013-06-28 19:10:44.0 +0200
 kdm/kcm/kdm-shut.cpp   2013-10-14 17:30:47.0 +0200
+@@ -194,7 +194,7 @@ void KDMSessionsWidget::load()
+ restart_lined-setUrl(configGrp.readEntry(RebootCmd, REBOOT_CMD));
+ shutdown_lined-setUrl(configGrp.readEntry(HaltCmd, HALT_CMD));
+ 
+-bm_combo-setCurrentId(configGrp.readEntry(BootManager, None));
++bm_combo-setCurrentId(configGrp.readEntry(BootManager, Grub2));
+ }
+ 
+ void KDMSessionsWidget::defaults()
+@@ -205,7 +205,7 @@ void KDMSessionsWidget::defaults()
+ sdlcombo-setCurrentIndex(SdAll);
+ sdrcombo-setCurrentIndex(SdRoot);
+ 
+-bm_combo-setCurrentId(None);
++bm_combo-setCurrentId(Grub2);
+ }
+ 
+ #include kdm-shut.moc
 --- kdm/kfrontend/CMakeLists.txt   2013-09-02 21:03:58.633922387 +0200
 +++ kdm/kfrontend/CMakeLists.txt   2013-09-03 21:25:59.043485577 +0200
 @@ -114,3 +114,5 @@



-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgnome-keyring for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package libgnome-keyring for openSUSE:13.1 
checked in at 2013-10-17 15:51:01

Comparing /work/SRC/openSUSE:13.1/libgnome-keyring (Old)
 and  /work/SRC/openSUSE:13.1/.libgnome-keyring.new (New)


Package is libgnome-keyring

Changes:

--- /work/SRC/openSUSE:13.1/libgnome-keyring/libgnome-keyring.changes   
2013-09-27 17:40:13.0 +0200
+++ /work/SRC/openSUSE:13.1/.libgnome-keyring.new/libgnome-keyring.changes  
2013-10-19 16:49:19.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 17 06:34:55 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Updated translations.
+
+---

Old:

  libgnome-keyring-3.10.0.tar.xz

New:

  libgnome-keyring-3.10.1.tar.xz



Other differences:
--
++ libgnome-keyring.spec ++
--- /var/tmp/diff_new_pack.c1bns5/_old  2013-10-19 16:49:19.0 +0200
+++ /var/tmp/diff_new_pack.c1bns5/_new  2013-10-19 16:49:19.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   libgnome-keyring
-Version:3.10.0
+Version:3.10.1
 Release:0
 Url:http://www.gnome.org/
 Summary:Library to integrate with the GNOME Keyring

++ libgnome-keyring-3.10.0.tar.xz - libgnome-keyring-3.10.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libgnome-keyring-3.10.0/ChangeLog 
new/libgnome-keyring-3.10.1/ChangeLog
--- old/libgnome-keyring-3.10.0/ChangeLog   2013-09-23 20:38:12.0 
+0200
+++ new/libgnome-keyring-3.10.1/ChangeLog   2013-10-17 08:05:17.0 
+0200
@@ -1,5 +1,24 @@
 # Generate automatically. Do not edit.
 
+commit a3d30ffc815d92735aa1c7509ee42cea476906f9
+Author: Stef Walter st...@gnome.org
+Date:   2013-10-17
+
+Release version 3.10.1
+
+ NEWS | 3 +++
+ configure.ac | 2 +-
+ 2 files changed, 4 insertions(+), 1 deletion(-)
+
+commit a17b59ba9938d24d861fcc9a37be9539160375cd
+Author: Victor Ibragimov victor.ibragi...@gmail.com
+Date:   2013-10-10
+
+Tajik translation updated
+
+ po/tg.po | 20 ++--
+ 1 file changed, 10 insertions(+), 10 deletions(-)
+
 commit 7d21cf69a18260a20b1b701afaa41ffefe2b7791
 Author: Stef Walter st...@gnome.org
 Date:   2013-09-23
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libgnome-keyring-3.10.0/NEWS 
new/libgnome-keyring-3.10.1/NEWS
--- old/libgnome-keyring-3.10.0/NEWS2013-09-23 20:35:47.0 +0200
+++ new/libgnome-keyring-3.10.1/NEWS2013-10-17 08:04:35.0 +0200
@@ -1,3 +1,6 @@
+Changes in version 3.10.1 are:
+ * Updated translations
+
 Changes in version 3.10.0 are:
  * Build fixes
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libgnome-keyring-3.10.0/configure 
new/libgnome-keyring-3.10.1/configure
--- old/libgnome-keyring-3.10.0/configure   2013-09-23 20:37:03.0 
+0200
+++ new/libgnome-keyring-3.10.1/configure   2013-10-17 08:05:01.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for libgnome-keyring 3.10.0.
+# Generated by GNU Autoconf 2.69 for libgnome-keyring 3.10.1.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
@@ -587,8 +587,8 @@
 # Identity of this package.
 PACKAGE_NAME='libgnome-keyring'
 PACKAGE_TARNAME='libgnome-keyring'
-PACKAGE_VERSION='3.10.0'
-PACKAGE_STRING='libgnome-keyring 3.10.0'
+PACKAGE_VERSION='3.10.1'
+PACKAGE_STRING='libgnome-keyring 3.10.1'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1431,7 +1431,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures libgnome-keyring 3.10.0 to adapt to many kinds of 
systems.
+\`configure' configures libgnome-keyring 3.10.1 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1502,7 +1502,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of libgnome-keyring 3.10.0:;;
+ short | recursive ) echo Configuration of libgnome-keyring 3.10.1:;;
esac
   cat \_ACEOF
 
@@ -1642,7 +1642,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-libgnome-keyring configure 3.10.0
+libgnome-keyring configure 3.10.1
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -2061,7 +2061,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by 

commit kernel-source for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package kernel-source for openSUSE:13.1 
checked in at 2013-10-17 14:16:50

Comparing /work/SRC/openSUSE:13.1/kernel-source (Old)
 and  /work/SRC/openSUSE:13.1/.kernel-source.new (New)


Package is kernel-source

Changes:

--- /work/SRC/openSUSE:13.1/kernel-source/kernel-cubox.changes  2013-10-14 
09:28:45.0 +0200
+++ /work/SRC/openSUSE:13.1/.kernel-source.new/kernel-cubox.changes 
2013-10-19 16:49:06.0 +0200
@@ -1,0 +2,39 @@
+Mon Oct 14 18:45:32 CEST 2013 - je...@suse.com
+
+- config: enable HAVE_BOOTMEM_INFO_NODE on ppc64 to match 3.11.5 (vanilla)
+- commit 53efb9c
+
+---
+Mon Oct 14 18:21:41 CEST 2013 - je...@suse.com
+
+- config: enable HAVE_BOOTMEM_INFO_NODE on ppc64 to match 3.11.5
+- commit 22f9877
+
+---
+Mon Oct 14 17:34:08 CEST 2013 - je...@suse.com
+
+- btrfs: Fix creation of per-super sysfs directories when using multiple
+  subvolumes (bnc#845774).
+- commit 0801062
+
+---
+Mon Oct 14 10:57:07 CEST 2013 - oneu...@suse.de
+
+- sha256_ssse3: also test for BMI2 (bnc#842459).
+- commit 626459d
+
+---
+Mon Oct 14 09:42:07 CEST 2013 - jsl...@suse.cz
+
+- Linux 3.11.5.
+- Delete
+  patches.suse/btrfs-0005-reset-ret-in-record_one_backref.patch.
+- Delete
+  patches.suse/btrfs-0010-change-how-we-queue-blocks-for-backref-checkin.patch.
+- Delete
+  patches.suse/btrfs-0022-skip-subvol-entries-when-checking-if-we-ve-cre.patch.
+- Delete
+  patches.suse/btrfs-0033-remove-ourselves-from-the-cluster-list-under-l.patch.
+- commit c00734a
+
+---
@@ -92,0 +132,6 @@
+
+---
+Fri Sep 27 22:11:47 CEST 2013 - je...@suse.com
+
+- config: disable FB_UDL in favor of DRM_UDL (bnc#836782).
+- commit 68c5865
kernel-debug.changes: same change
kernel-default.changes: same change
kernel-desktop.changes: same change
kernel-docs.changes: same change
kernel-ec2.changes: same change
kernel-exynos.changes: same change
kernel-lpae.changes: same change
kernel-pae.changes: same change
kernel-source.changes: same change
kernel-syms.changes: same change
kernel-trace.changes: same change
kernel-vanilla.changes: same change
kernel-xen.changes: same change



Other differences:
--
++ kernel-cubox.spec ++
--- /var/tmp/diff_new_pack.svyxiA/_old  2013-10-19 16:49:08.0 +0200
+++ /var/tmp/diff_new_pack.svyxiA/_new  2013-10-19 16:49:08.0 +0200
@@ -20,7 +20,7 @@
 # needssslcertforbuild
 
 %define srcversion 3.11
-%define patchversion 3.11.4
+%define patchversion 3.11.5
 %define variant %{nil}
 %define vanilla_only 0
 
@@ -59,9 +59,9 @@
 
 Name:   kernel-cubox
 Summary:Kernel for SolidRun Cubox
-Version:3.11.4
+Version:3.11.5
 %if 0%{?is_kotd}
-Release:RELEASE.g61a06cb
+Release:RELEASE.g53efb9c
 %else
 Release:0
 %endif

kernel-debug.spec: same change
kernel-default.spec: same change
kernel-desktop.spec: same change
++ kernel-docs.spec ++
--- /var/tmp/diff_new_pack.svyxiA/_old  2013-10-19 16:49:08.0 +0200
+++ /var/tmp/diff_new_pack.svyxiA/_new  2013-10-19 16:49:08.0 +0200
@@ -17,16 +17,16 @@
 
 # norootforbuild
 
-%define patchversion 3.11.4
+%define patchversion 3.11.5
 %define variant %{nil}
 
 %include %_sourcedir/kernel-spec-macros
 
 Name:   kernel-docs
 Summary:Kernel Documentation
-Version:3.11.4
+Version:3.11.5
 %if 0%{?is_kotd}
-Release:RELEASE.g61a06cb
+Release:RELEASE.g53efb9c
 %else
 Release:0
 %endif

++ kernel-ec2.spec ++
--- /var/tmp/diff_new_pack.svyxiA/_old  2013-10-19 16:49:08.0 +0200
+++ /var/tmp/diff_new_pack.svyxiA/_new  2013-10-19 16:49:08.0 +0200
@@ -20,7 +20,7 @@
 # needssslcertforbuild
 
 %define srcversion 3.11
-%define patchversion 3.11.4
+%define patchversion 3.11.5
 %define variant %{nil}
 %define vanilla_only 0
 
@@ -59,9 +59,9 @@
 
 Name:   kernel-ec2
 Summary:The Amazon EC2 Xen Kernel
-Version:3.11.4
+Version:3.11.5
 %if 0%{?is_kotd}
-Release:RELEASE.g61a06cb
+Release:RELEASE.g53efb9c
 %else
 Release:0
 %endif

kernel-exynos.spec: same change
kernel-lpae.spec: same change
kernel-pae.spec: same change
++ kernel-source.spec ++
--- /var/tmp/diff_new_pack.svyxiA/_old  2013-10-19 16:49:08.0 +0200
+++ /var/tmp/diff_new_pack.svyxiA/_new  2013-10-19 16:49:08.0 +0200
@@ -19,7 

commit libcryptui for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package libcryptui for openSUSE:13.1 checked 
in at 2013-10-17 15:50:54

Comparing /work/SRC/openSUSE:13.1/libcryptui (Old)
 and  /work/SRC/openSUSE:13.1/.libcryptui.new (New)


Package is libcryptui

Changes:

--- /work/SRC/openSUSE:13.1/libcryptui/libcryptui.changes   2013-09-27 
17:39:03.0 +0200
+++ /work/SRC/openSUSE:13.1/.libcryptui.new/libcryptui.changes  2013-10-19 
16:49:16.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 17 06:34:48 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Updated translations.
+
+---

Old:

  libcryptui-3.10.0.tar.xz

New:

  libcryptui-3.10.1.tar.xz



Other differences:
--
++ libcryptui.spec ++
--- /var/tmp/diff_new_pack.iW2wHB/_old  2013-10-19 16:49:17.0 +0200
+++ /var/tmp/diff_new_pack.iW2wHB/_new  2013-10-19 16:49:17.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   libcryptui
-Version:3.10.0
+Version:3.10.1
 Release:0
 # FIXME: find out why building introspection support for this package requires 
libtool
 Summary:Library for prompting for PGP keys

++ libcryptui-3.10.0.tar.xz - libcryptui-3.10.1.tar.xz ++
 11747 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit nagios-plugins-zypper for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package nagios-plugins-zypper for 
openSUSE:13.1 checked in at 2013-10-17 15:19:40

Comparing /work/SRC/openSUSE:13.1/nagios-plugins-zypper (Old)
 and  /work/SRC/openSUSE:13.1/.nagios-plugins-zypper.new (New)


Package is nagios-plugins-zypper

Changes:

--- /work/SRC/openSUSE:13.1/nagios-plugins-zypper/nagios-plugins-zypper.changes 
2013-09-27 17:48:59.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.nagios-plugins-zypper.new/nagios-plugins-zypper.changes
2013-10-19 16:49:42.0 +0200
@@ -1,0 +2,7 @@
+Mon Oct  7 09:37:25 UTC 2013 - l...@linux-schulserver.de
+
+Update to 1.50:
++ also handle out-of-date for outdated repositories (bnc#839839)
++ SLE-11-SP1 is not supported any more
+
+---



Other differences:
--
++ nagios-plugins-zypper.spec ++
--- /var/tmp/diff_new_pack.LwutBm/_old  2013-10-19 16:49:43.0 +0200
+++ /var/tmp/diff_new_pack.LwutBm/_new  2013-10-19 16:49:43.0 +0200
@@ -20,8 +20,8 @@
 Summary:Nagios plugin for checking software updates
 License:BSD-4-Clause
 Group:  System/Monitoring
-Version:1.49
-Release:0
+Version:1.50
+Release:5
 Url:http://en.opensuse.org/Nagios-plugins-zypper
 Source0:check_zypper.pl
 Source1:usr.lib.nagios.plugins.check_zypper 

++ check_zypper.pl ++
--- /var/tmp/diff_new_pack.LwutBm/_old  2013-10-19 16:49:43.0 +0200
+++ /var/tmp/diff_new_pack.LwutBm/_new  2013-10-19 16:49:43.0 +0200
@@ -50,7 +50,7 @@
 
 # constants
 $PROGNAME = check_zypper;
-$VERSION  = '1.49';
+$VERSION  = '1.50';
 $DEBUG= 0;
 
 # variables
@@ -87,7 +87,7 @@
 );
 our %supported_release = (
 'openSUSE' = [ '12.1', '12.2', '12.3', '13.1' ],
-'SLE'  = [ '10.4', '11.1', '11.2' , '11.3' ],
+'SLE'  = [ '10.4', '11.2' , '11.3' ],
 );
 $opt_w = 'recommended,optional,unsupported';
 $opt_c = 'security';
@@ -369,12 +369,13 @@
 return ( 'UNKNOWN: ' . xml_re_escape($_), 'UNKNOWN' ) if (/Error 
message:/);
 return ( 'UNKNOWN: ' . xml_re_escape($_), 'UNKNOWN' ) if (/A ZYpp 
transaction is already in progress./);
 return ( 'UNKNOWN: ' . xml_re_escape($_), 'UNKNOWN' ) if (/System 
management is locked/);
-if (/out-of-date/) {
-print STDERR WARNING: outdated repository found\n if 
($DEBUG);
+if ((/Repository.*is out-of-date/) || (/Repository.*outdated/)) {
+print STDERR WARNING: possibly outdated repository found\n 
if ($DEBUG);
 if ( !$opt_o ) {
 $error   = check_errorcode('security');
-$warnstr = At least one of your Repositories is out of 
date. Please run \zypper refresh\ as root to update it. ;
+$warnstr = At least one of your Repositories might be out 
of date. Please run \zypper refresh\ as root to update it. ;
 $warnstr .= \n if ($opt_v);
+next;
 }
 }
 if (/message type=\warning\(.*)\/message/) {

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libqt5-qtwebkit for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package libqt5-qtwebkit for openSUSE:13.1 
checked in at 2013-10-17 14:22:12

Comparing /work/SRC/openSUSE:13.1/libqt5-qtwebkit (Old)
 and  /work/SRC/openSUSE:13.1/.libqt5-qtwebkit.new (New)


Package is libqt5-qtwebkit

Changes:

--- /work/SRC/openSUSE:13.1/libqt5-qtwebkit/libqt5-qtwebkit.changes 
2013-10-06 14:27:32.0 +0200
+++ /work/SRC/openSUSE:13.1/.libqt5-qtwebkit.new/libqt5-qtwebkit.changes
2013-10-19 16:49:30.0 +0200
@@ -1,0 +2,6 @@
+Wed Oct 16 18:02:52 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Change constrains, so it requires 5Gb of memory, instead of 4Gb
+  physical memory
+
+---



Other differences:
--
++ _constraints ++
--- /var/tmp/diff_new_pack.edELos/_old  2013-10-19 16:49:30.0 +0200
+++ /var/tmp/diff_new_pack.edELos/_new  2013-10-19 16:49:30.0 +0200
@@ -1,8 +1,8 @@
 constraints
  hardware
-  physicalmemory
-   size unit=G4/size
-  /physicalmemory
+  memory
+   size unit=G5/size
+  /memory
   processors4/processors
  /hardware
 /constraints

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit plasma-nm for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package plasma-nm for openSUSE:13.1 checked 
in at 2013-10-17 14:25:45

Comparing /work/SRC/openSUSE:13.1/plasma-nm (Old)
 and  /work/SRC/openSUSE:13.1/.plasma-nm.new (New)


Package is plasma-nm

Changes:

--- /work/SRC/openSUSE:13.1/plasma-nm/plasma-nm.changes 2013-10-06 
19:37:17.0 +0200
+++ /work/SRC/openSUSE:13.1/.plasma-nm.new/plasma-nm.changes2013-10-19 
16:50:12.0 +0200
@@ -1,0 +2,25 @@
+Tue Oct 15 13:09:15 UTC 2013 - tittiatc...@gmail.com
+
+- Update to 0.9.3.1
+  - plasma-nm is renamed to match the names from the old 
+networkmanagement applet (kded module, applet name etc.)
+  - visual changes
+ - different icons
+ - improved speed of animations
+ - applet is a little bit smaller
+  - improved notifications
+  - ModemManager support is optional
+  - StrongSwan VPN plugin
+  - closed bugs:
+- plasma-nm doesn't install icon network-defaultroute, which 
+  is need by kde-nm-connection-editor.desktop (bko#325783)
+- plasma crashes when a vpn connection is activated (bko#324016)
+- Crash when launching second user desktop (bko#324708)
+- Cannot add static routes on OpenVPN connections using the 
+  latest plasma-nm in Kubuntu Saucy (bko#325290)
+- WPA2 dialog blocks Plasma (bko#322192)
+- and a lot of unreported bugs and improvements 
+
+- Added 01-plasma-nm.js to add the plasmoid to the systray
+  automatically. This is required due to the renaming
+---

Old:

  plasma-nm-0.9.3.0.tar.xz

New:

  01-plasma-nm.js
  plasma-nm-0.9.3.1.tar.xz



Other differences:
--
++ plasma-nm.spec ++
--- /var/tmp/diff_new_pack.AE3YPv/_old  2013-10-19 16:50:12.0 +0200
+++ /var/tmp/diff_new_pack.AE3YPv/_new  2013-10-19 16:50:12.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   plasma-nm
-Version:0.9.3.0
+Version:0.9.3.1
 Release:0
 Summary:Plasma applet written in QML for managing network connections
 License:GPL-2.0 or GPL-3.0
@@ -25,6 +25,7 @@
 Url:https://projects.kde.org/projects/playground/network/plasma-nm
 Source0:
http://download.kde.org/unstable/plasma-nm/%{name}-%{version}.tar.xz
 Source1:icon.tar.bz2
+Source2:01-plasma-nm.js
 BuildRequires:  NetworkManager-devel = 0.9.8.0
 BuildRequires:  fdupes
 BuildRequires:  libModemManagerQt-devel = 0.5.0
@@ -35,10 +36,17 @@
 %endif
 Provides:   NetworkManager-client
 Recommends: %{name}-pptp
+%if 0%{?suse_version}  1310
 Obsoletes:  NetworkManager-kde4-devel
 Obsoletes:  NetworkManager-kde4-libs
 Obsoletes:  NetworkManager-novellvpn-kde4
 Obsoletes:  plasmoid-networkmanagement
+%else
+Conflicts:  NetworkManager-kde4-devel
+Conflicts:  NetworkManager-kde4-libs
+Conflicts:  NetworkManager-novellvpn-kde4
+Conflicts:  plasmoid-networkmanagement
+%endif
 %kde4_runtime_requires
 
 %description
@@ -51,8 +59,12 @@
 Requires:   %{name} = %{version}
 Requires:   NetworkManager-openvpn
 Provides:   NetworkManager-openvpn-frontend
+%if 0%{?suse_version}  1310
 Supplements:packageand(%{name};NetworkManager-openvpn)
 Obsoletes:  NetworkManager-openvpn-kde4
+%else
+Conflicts:  NetworkManager-openvpn-kde4
+%endif
 %kde4_runtime_requires
 
 %description openvpn
@@ -64,8 +76,12 @@
 Requires:   %{name} = %{version}
 Requires:   NetworkManager-vpnc
 Provides:   NetworkManager-vpnc-frontend
+%if 0%{?suse_version}  1310
 Supplements:packageand(%{name};NetworkManager-vpnc)
 Obsoletes:  NetworkManager-vpnc-kde4
+%else
+Conflicts:  NetworkManager-vpnc-kde4
+%endif
 %kde4_runtime_requires
 
 %description vpnc
@@ -78,8 +94,12 @@
 Requires:   %{name} = %{version}
 Requires:   openconnect
 Provides:   NetworkManager-openconnect-frontend
+%if 0%{?suse_version}  1310
 Supplements:packageand(%{name};openconnect)
 Obsoletes:  NetworkManager-openconnect-kde4
+%else
+Conflicts:  NetworkManager-openconnect-kde4
+%endif
 %kde4_runtime_requires
 
 %description openconnect
@@ -118,8 +138,12 @@
 Requires:   %{name} = %{version}
 Requires:   NetworkManager-pptp
 Provides:   NetworkManager-pptp-frontend
+%if 0%{?suse_version}  1310
 Supplements:packageand(%{name};NetworkManager-pptp)
 Obsoletes:  NetworkManager-pptp-kde4
+%else
+Conflicts:  NetworkManager-pptp-kde4
+%endif
 %kde4_runtime_requires
 
 %description pptp
@@ -140,9 +164,15 @@
   %fdupes -s %{buildroot}
   mkdir -p %{buildroot}%{_kde4_iconsdir}/hicolor/32x32/apps/
   cp -r 
$RPM_BUILD_DIR/plasma-nm-%{version}/ox32-device-network-defaultroute.png 

commit lsb-release for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package lsb-release for openSUSE:13.1 
checked in at 2013-10-17 14:39:51

Comparing /work/SRC/openSUSE:13.1/lsb-release (Old)
 and  /work/SRC/openSUSE:13.1/.lsb-release.new (New)


Package is lsb-release

Changes:

--- /work/SRC/openSUSE:13.1/lsb-release/lsb-release.changes 2013-09-23 
10:59:44.0 +0200
+++ /work/SRC/openSUSE:13.1/.lsb-release.new/lsb-release.changes
2013-10-19 16:49:37.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 17 07:52:33 UTC 2013 - b...@vdm-design.de
+
+- Change to use /etc/os-release instead of /etc/SuSE-release [bnc#845262]
+
+---



Other differences:
--
++ lsb-release-2.0.dif ++
--- /var/tmp/diff_new_pack.PmhyYD/_old  2013-10-19 16:49:37.0 +0200
+++ /var/tmp/diff_new_pack.PmhyYD/_new  2013-10-19 16:49:37.0 +0200
@@ -1,5 +1,5 @@
 --- lsb_release
-+++ lsb_release2010/09/20 15:30:29
 lsb_release2013-10-17 10:48:43.0 +0200
 @@ -4,6 +4,7 @@
  #
  # Copyright (C) 2000, 2002, 2004 Free Standards Group, Inc.
@@ -69,7 +69,7 @@
 -CHECKFIRST=/etc/redhat-release  # check it before file search
 +INFO_LSB_FILE=/etc/lsb-release  # where to get LSB version
 +INFO_LSB_DIR=/etc/lsb-release.d # where to get LSB addon modules
-+INFO_DISTRIB_FILE=/etc/SuSE-release # distrib-suffix
++INFO_DISTRIB_FILE=/etc/os-release   # distrib-suffix
  
  # Defines our exit codes
  EXIT_STATUS=0   # default = Ok :)
@@ -103,7 +103,7 @@
  fi
  if [ -z $LSB_VERSION ]
  then
-@@ -210,35 +176,18 @@
+@@ -210,43 +176,27 @@
  
  # Get the whole distrib information string (from ARG $1 file)
  InitDistribInfo() {
@@ -145,8 +145,18 @@
 +  EXIT_STATUS=$ERROR_NOANSWER
  fi
  else
++source $INFO_DISTRIB_FILE
  NO=# is Description string syntax correct ?
-@@ -265,8 +214,13 @@
+ if [ -z $DISTRIB_DESCRIPTION ]  
\
+ || [ -n $(echo $DISTRIB_DESCRIPTION |
\
+sed -e s/.*$DESCSTR_DELI.*//) ]
+ then
+-TMP_DISTRIB_DESC=$(head -n 1 $FILENAME 2/dev/null)
++TMP_DISTRIB_DESC=$PRETTY_NAME
+ [ -z $DISTRIB_DESCRIPTION ] 
\
+  DISTRIB_DESCRIPTION=$TMP_DISTRIB_DESC
+ else
+@@ -265,8 +215,13 @@
  
  if [ -n $NO ]
  then   # does not contain release delimiter
@@ -155,14 +165,14 @@
 +[ -z $DISTRIB_ID ]  DISTRIB_ID=$MSG_DISTRIBUTOR
 +if [ -z $DISTRIB_RELEASE ]
 +then
-+ DISTRIB_RELEASE=$(grep ^VERSION $FILENAME | cut -d  -f 3)
++ DISTRIB_RELEASE=$VERSION_ID
 + [ -z $DISTRIB_RELEASE ]  DISTRIB_RELEASE=$MSG_NA
 +  fi
-+  DISTRIB_CODENAME=$(grep ^CODENAME $FILENAME | cut -d  -f 3)
++  DISTRIB_CODENAME=$(echo $VERSION | sed 's:.*(\(.*\)):\1:')
  [ -z $DISTRIB_CODENAME ]  DISTRIB_CODENAME=$MSG_NA
  fi
  fi
-@@ -282,16 +236,7 @@
+@@ -282,16 +237,7 @@
  
  if [ -n $NO ]
  then
@@ -180,7 +190,7 @@
  fi
  }
  
-@@ -399,7 +344,7 @@
+@@ -399,7 +345,7 @@
  fi
  fi
  

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit obs-service-set_version for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package obs-service-set_version for 
openSUSE:13.1 checked in at 2013-10-18 19:22:06

Comparing /work/SRC/openSUSE:13.1/obs-service-set_version (Old)
 and  /work/SRC/openSUSE:13.1/.obs-service-set_version.new (New)


Package is obs-service-set_version

Changes:

--- 
/work/SRC/openSUSE:13.1/obs-service-set_version/obs-service-set_version.changes 
2013-09-23 11:01:52.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.obs-service-set_version.new/obs-service-set_version.changes
2013-10-19 16:49:45.0 +0200
@@ -1,0 +2,5 @@
+Tue Oct  8 10:06:26 UTC 2013 - jblu...@opensuse.org
+
+- Take Debian version and revision number from debian.changelog file
+
+---



Other differences:
--
++ obs-service-set_version.spec ++
--- /var/tmp/diff_new_pack.Nb6BVr/_old  2013-10-19 16:49:45.0 +0200
+++ /var/tmp/diff_new_pack.Nb6BVr/_new  2013-10-19 16:49:45.0 +0200
@@ -20,7 +20,7 @@
 Summary:An OBS source service: Update spec file version
 License:GPL-2.0+
 Group:  Development/Tools/Building
-Version:0.2
+Version:0.3
 Release:0
 Source: set_version
 Source1:set_version.service

++ set_version ++
--- /var/tmp/diff_new_pack.Nb6BVr/_old  2013-10-19 16:49:45.0 +0200
+++ /var/tmp/diff_new_pack.Nb6BVr/_new  2013-10-19 16:49:45.0 +0200
@@ -57,6 +57,10 @@
 MYVERSION=`ls -1t | sed -n s,$BASENAME.*[-_]\([0123456789].*\).zip$,\1,p 
| head -n 1`
   fi
   if [ -z $MYVERSION ]; then
+# take version number (and optional revision) from Debian changelog
+MYVERSION=`head -n 1 *debian.changelog 2/dev/null | sed -ne 
's/.*(\(.*\)).*/\1/p'`
+  fi
+  if [ -z $MYVERSION ]; then
 echo ERROR: no version is given and can't get detected automatically
 exit 1
   fi

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lightdm for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package lightdm for openSUSE:13.1 checked in 
at 2013-10-17 15:18:30

Comparing /work/SRC/openSUSE:13.1/lightdm (Old)
 and  /work/SRC/openSUSE:13.1/.lightdm.new (New)


Package is lightdm

Changes:

--- /work/SRC/openSUSE:13.1/lightdm/lightdm.changes 2013-10-09 
15:59:48.0 +0200
+++ /work/SRC/openSUSE:13.1/.lightdm.new/lightdm.changes2013-10-19 
16:49:34.0 +0200
@@ -1,0 +2,8 @@
+Thu Oct 10 09:16:10 UTC 2013 - g...@opensuse.org
+
+- add lightdm-destroy-quit-timeout.patch in order to destroy quit
+  timeout when a process object is destroyed - fixes a crash where
+  a deleted Process object might be accessed after a timeout
+  (lp#1207935, bnc#845280, backported from upstream bzr)
+
+---

New:

  lightdm-destroy-quit-timeout.patch



Other differences:
--
++ lightdm.spec ++
--- /var/tmp/diff_new_pack.8CUA7N/_old  2013-10-19 16:49:34.0 +0200
+++ /var/tmp/diff_new_pack.8CUA7N/_new  2013-10-19 16:49:34.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package lightdm
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
 # Copyright (c) 2011 Guido Berhoerster.
 #
 # All modifications and additions to the file contributed by third parties
@@ -29,7 +29,7 @@
 
 Name:   lightdm
 Version:1.8.0
-Release:0
+Release:5
 Summary:Lightweight, Cross-desktop Display Manager
 License:GPL-3.0+
 Group:  System/X11/Displaymanagers
@@ -54,22 +54,24 @@
 Patch6: lightdm-use-run-dir.patch
 # PATCH-FIX-UPSTREAM lightdm-fix-session-setup-script-env.patch 
g...@opensuse.org -- Put user information in the environment when running 
session-setup-script
 Patch7: lightdm-fix-session-setup-script-env.patch
+# PATCH-FIX-UPSTREAM lightdm-destroy-quit-timeout.patch lp#1207935 
g...@opensuse.org -- Destroy quit timeout when a process object is destroyed - 
fixes a crash where a deleted Process object might be accessed after a timeout 
(backported from upstream bzr)
+Patch8: lightdm-destroy-quit-timeout.patch
 BuildRequires:  gcc-c++
 BuildRequires:  gnome-common
 BuildRequires:  gtk-doc
 BuildRequires:  intltool
+BuildRequires:  libgcrypt-devel
 BuildRequires:  pam-devel
 BuildRequires:  xdm
-BuildRequires:  libgcrypt-devel
-BuildRequires:  pkgconfig(gobject-introspection-1.0)
+BuildRequires:  pkgconfig(QtCore)
+BuildRequires:  pkgconfig(QtDBus)
+BuildRequires:  pkgconfig(QtGui)
 BuildRequires:  pkgconfig(gio-2.0)
 BuildRequires:  pkgconfig(gio-unix-2.0)
 BuildRequires:  pkgconfig(glib-2.0)
 BuildRequires:  pkgconfig(gobject-2.0)
+BuildRequires:  pkgconfig(gobject-introspection-1.0)
 BuildRequires:  pkgconfig(libxklavier)
-BuildRequires:  pkgconfig(QtCore)
-BuildRequires:  pkgconfig(QtDBus)
-BuildRequires:  pkgconfig(QtGui)
 BuildRequires:  pkgconfig(x11)
 BuildRequires:  pkgconfig(xcb)
 BuildRequires:  pkgconfig(xdmcp)
@@ -78,8 +80,8 @@
 # the same versioning of lightdm
 Requires:   lightdm-greeter
 # uses pam configuration and relies on scripts provided by xdm
-Requires:   xdm
 Requires:   gdmflexiserver
+Requires:   xdm
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -93,8 +95,8 @@
 %lang_package
 
 %package -n %{gobject_lib}
-License:LGPL-2.0 or LGPL-3.0
 Summary:LightDM GObject-based Client Library
+License:LGPL-2.0 or LGPL-3.0
 Group:  System/Libraries
 Recommends: accountsservice
 
@@ -102,8 +104,8 @@
 A GObject-based library for LightDM clients to use to interface with LightDM.
 
 %package gobject-devel
-License:LGPL-2.0 or LGPL-3.0
 Summary:Development Files for %{gobject_lib}
+License:LGPL-2.0 or LGPL-3.0
 Group:  Development/Libraries/C and C++
 Requires:   %{gobject_lib} = %{version}
 
@@ -112,16 +114,16 @@
 LightDM clients.
 
 %package -n %{qt_lib}
-License:LGPL-2.0 or LGPL-3.0
 Summary:LightDM Qt-based Client Library
+License:LGPL-2.0 or LGPL-3.0
 Group:  System/Libraries
 
 %description -n %{qt_lib}
 A Qt-based library for LightDM clients to use to interface with LightDM.
 
 %package qt-devel
-License:LGPL-2.0 or LGPL-3.0
 Summary:Development Files for %{qt_lib}
+License:LGPL-2.0 or LGPL-3.0
 Group:  Development/Libraries/C and C++
 Requires:   %{qt_lib} = %{version}
 
@@ -141,6 +143,7 @@
 %patch6 -p1
 %endif
 %patch7 -p1
+%patch8 -p1
 
 %build
 bash ./autogen.sh

++ lightdm-destroy-quit-timeout.patch ++
=== modified file 'src/process.c'
Index: 

commit postfix for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package postfix for openSUSE:13.1 checked in 
at 2013-10-18 15:07:42

Comparing /work/SRC/openSUSE:13.1/postfix (Old)
 and  /work/SRC/openSUSE:13.1/.postfix.new (New)


Package is postfix

Changes:

--- /work/SRC/openSUSE:13.1/postfix/postfix.changes 2013-10-11 
09:01:22.0 +0200
+++ /work/SRC/openSUSE:13.1/.postfix.new/postfix.changes2013-10-19 
16:50:13.0 +0200
@@ -1,0 +2,5 @@
+Fri Oct 11 13:32:32 UTC 2013 - m...@suse.de
+
+- Ignore errors in %pre/%post.
+
+---



Other differences:
--
++ postfix.spec ++
--- /var/tmp/diff_new_pack.n2rpld/_old  2013-10-19 16:50:14.0 +0200
+++ /var/tmp/diff_new_pack.n2rpld/_new  2013-10-19 16:50:14.0 +0200
@@ -336,7 +336,7 @@
 %service_add_pre %{name}.service
 %endif
 
-VERSIONTEST=$(test -x usr/sbin/postconf  usr/sbin/postconf proxy_read_maps 
2/dev/null)
+VERSIONTEST=$(test -x usr/sbin/postconf  usr/sbin/postconf proxy_read_maps 
2/dev/null || :)
 if [ -z $VERSIONTEST -a -f %{pf_queue_directory}/pid/master.pid ]; then
   if checkproc -p %{pf_queue_directory}/pid/master.pid usr/lib/%{name}/master; 
then
  echo %{name} is still running. You have to stop %{name} in order to
@@ -412,7 +412,7 @@
 %post
 # We never have to run suseconfig for postfix after installation
 # We only start postfix own upgrade-configuration by update
-/usr/sbin/postfix set-permissions
+/usr/sbin/postfix set-permissions || :
 if [ ${1:-0} -gt 1 ]; then
touch /var/adm/postfix.configured
/usr/sbin/postfix upgrade-configuration || :



-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pciutils-ids for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package pciutils-ids for openSUSE:13.1 
checked in at 2013-10-18 11:34:16

Comparing /work/SRC/openSUSE:13.1/pciutils-ids (Old)
 and  /work/SRC/openSUSE:13.1/.pciutils-ids.new (New)


Package is pciutils-ids

Changes:

--- /work/SRC/openSUSE:13.1/pciutils-ids/pciutils-ids.changes   2013-09-23 
11:03:19.0 +0200
+++ /work/SRC/openSUSE:13.1/.pciutils-ids.new/pciutils-ids.changes  
2013-10-19 16:49:53.0 +0200
@@ -1,0 +2,10 @@
+Tue Oct  8 16:45:17 UTC 2013 - sweet_...@gmx.de
+
+- update pci.ids to version 2013.10.06
+
+---
+Tue Jul 30 22:58:49 UTC 2013 - sweet_...@gmx.de
+
+- update pci.ids to version 2013.07.26
+
+---



Other differences:
--
++ pciutils-ids.spec ++
--- /var/tmp/diff_new_pack.TtbLPE/_old  2013-10-19 16:49:53.0 +0200
+++ /var/tmp/diff_new_pack.TtbLPE/_new  2013-10-19 16:49:53.0 +0200
@@ -16,9 +16,8 @@
 #
 
 
-
 Name:   pciutils-ids
-Version:2013.2.12
+Version:2013.10.06
 Release:0
 Summary:PCI-utilities pci.ids database
 License:GPL-2.0+

++ pci.ids.bz2 ++
 7605 lines (skipped)
 between pci.ids.bz2
 and /work/SRC/openSUSE:13.1/.pciutils-ids.new/pci.ids.bz2

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit orca for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package orca for openSUSE:13.1 checked in at 
2013-10-17 14:24:28

Comparing /work/SRC/openSUSE:13.1/orca (Old)
 and  /work/SRC/openSUSE:13.1/.orca.new (New)


Package is orca

Changes:

--- /work/SRC/openSUSE:13.1/orca/orca.changes   2013-09-27 17:55:49.0 
+0200
+++ /work/SRC/openSUSE:13.1/.orca.new/orca.changes  2013-10-19 
16:49:49.0 +0200
@@ -1,0 +2,25 @@
+Wed Oct 16 16:26:31 UTC 2013 - zai...@opensuse.org
+
+- Update to version 3.10.1:
+  + General:
+- Present the wifi network and battery-charged state in the
+  new system status menu.
+- Present the position and contents when switching pages in
+  gnome-documents.
+- Fix to make SayAll identify text which is a link in non-HTML
+  documents.
+- Remove incorrect/obsolete information from Orca's help
+  content.
+  + LibreOffice:
+- Fix structural navigation for tables in Writer.
+- Present table cell text, if present, rather than the name in
+  Writer.
+  + Gecko:
+- Fix for bgo#709573: Orca can hang on a web page in Firefox.
+- Handle timeouts in liveregions._getMessage() more gracefully.
+- Ignore text-changed events from Thunderbird's status bar.
+  + Updated translations.
+- Drop hack to remove execution flag from AUTHORS and COPYING, no
+  longer needed.
+
+---

Old:

  orca-3.10.0.tar.xz

New:

  orca-3.10.1.tar.xz



Other differences:
--
++ orca.spec ++
--- /var/tmp/diff_new_pack.tIYgGG/_old  2013-10-19 16:49:49.0 +0200
+++ /var/tmp/diff_new_pack.tIYgGG/_new  2013-10-19 16:49:49.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   orca
-Version:3.10.0
+Version:3.10.1
 Release:0
 # FIXME: Enable brlapi support
 Summary:Screen reader for GNOME
@@ -60,8 +60,6 @@
 %lang_package
 %prep
 %setup -q
-[ -x AUTHORS -o  -x COPYING ]
-chmod a-x AUTHORS COPYING
 translation-update-upstream
 
 %build

++ orca-3.10.0.tar.xz - orca-3.10.1.tar.xz ++
 42841 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mutter for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package mutter for openSUSE:13.1 checked in 
at 2013-10-17 14:23:43

Comparing /work/SRC/openSUSE:13.1/mutter (Old)
 and  /work/SRC/openSUSE:13.1/.mutter.new (New)


Package is mutter

Changes:

--- /work/SRC/openSUSE:13.1/mutter/mutter.changes   2013-09-27 
17:47:34.0 +0200
+++ /work/SRC/openSUSE:13.1/.mutter.new/mutter.changes  2013-10-19 
16:49:41.0 +0200
@@ -1,0 +2,15 @@
+Wed Oct 16 06:50:03 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1.1:
+  + Don't assert that at least one output is connected
+(bgo#709009).
+- Changes from version 3.10.1:
+  + Don't apply fullscreen workarounds to CSD windows (bgo#708718).
+  + Fix hangs during DND operations (bgo#709340).
+  + Use nearest-pixel interpolation when possible (bgo#708389).
+  + Fix tile previews getting stuck on right click during drags
+(bgo#704759).
+  + Misc bug fixes: bgo#708420.
+  + Updated translations.
+
+---

Old:

  mutter-3.10.0.1.tar.xz

New:

  mutter-3.10.1.1.tar.xz



Other differences:
--
++ mutter.spec ++
--- /var/tmp/diff_new_pack.IbwmrQ/_old  2013-10-19 16:49:41.0 +0200
+++ /var/tmp/diff_new_pack.IbwmrQ/_new  2013-10-19 16:49:41.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   mutter
-Version:3.10.0.1
+Version:3.10.1.1
 Release:0
 Summary:Window and compositing manager based on Clutter
 License:GPL-2.0+

++ mutter-3.10.0.1.tar.xz - mutter-3.10.1.1.tar.xz ++
 7929 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mkinitrd for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package mkinitrd for openSUSE:13.1 checked 
in at 2013-10-17 17:03:13

Comparing /work/SRC/openSUSE:13.1/mkinitrd (Old)
 and  /work/SRC/openSUSE:13.1/.mkinitrd.new (New)


Package is mkinitrd

Changes:

--- /work/SRC/openSUSE:13.1/mkinitrd/mkinitrd.changes   2013-10-11 
15:35:20.0 +0200
+++ /work/SRC/openSUSE:13.1/.mkinitrd.new/mkinitrd.changes  2013-10-19 
16:49:39.0 +0200
@@ -1,0 +2,23 @@
+Thu Oct 17 11:13:30 CEST 2013 - oher...@suse.de
+
+- Version 2.8.1
+
+---
+Thu Oct 17 11:03:47 CEST 2013 - rmila...@suse.com
+
+- Add support for predictable network interface names (bnc#820407)
+
+---
+Tue Oct 15 12:48:36 CEST 2013 - mma...@suse.cz
+
+-  Add support for root_no_dm=1 and root_no_mpath=1 kernel
+   commandline options to tell the initrd not to insist that the
+   root device be device-mapper or multipath, respectively.
+   (bnc#815185)
+
+---
+Tue Oct 15 12:32:27 CEST 2013 - ptesa...@suse.com
+
+- Add eadm_sch module to initrd for scm devices (bnc#820690)
+
+---



Other differences:
--
++ mkinitrd.spec ++
--- /var/tmp/diff_new_pack.CGioLG/_old  2013-10-19 16:49:39.0 +0200
+++ /var/tmp/diff_new_pack.CGioLG/_new  2013-10-19 16:49:39.0 +0200
@@ -41,7 +41,7 @@
 %else
 Requires:   sysvinit
 %endif
-Version:2.8.0
+Version:2.8.1
 Release:0
 Conflicts:  udev  118
 Conflicts:  mdadm  3.3

++ mkinitrd.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mkinitrd-2.8.0/mkinitrd.changes 
new/mkinitrd-2.8.1/mkinitrd.changes
--- old/mkinitrd-2.8.0/mkinitrd.changes 2013-10-11 12:58:10.0 +0200
+++ new/mkinitrd-2.8.1/mkinitrd.changes 2013-10-17 11:13:41.0 +0200
@@ -1,4 +1,27 @@
 ---
+Thu Oct 17 11:13:30 CEST 2013 - oher...@suse.de
+
+- Version 2.8.1
+
+---
+Thu Oct 17 11:03:47 CEST 2013 - rmila...@suse.com
+
+- Add support for predictable network interface names (bnc#820407)
+
+---
+Tue Oct 15 12:48:36 CEST 2013 - mma...@suse.cz
+
+-  Add support for root_no_dm=1 and root_no_mpath=1 kernel
+   commandline options to tell the initrd not to insist that the
+   root device be device-mapper or multipath, respectively.
+   (bnc#815185)
+
+---
+Tue Oct 15 12:32:27 CEST 2013 - ptesa...@suse.com
+
+- Add eadm_sch module to initrd for scm devices (bnc#820690)
+
+---
 Wed Oct  9 20:27:02 UTC 2013 - je...@suse.com
 
 - Add missing PCI USB HCI modules (bnc#839071).
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mkinitrd-2.8.0/sbin/cmdinitrd 
new/mkinitrd-2.8.1/sbin/cmdinitrd
--- old/mkinitrd-2.8.0/sbin/cmdinitrd   2013-10-11 12:58:10.0 +0200
+++ new/mkinitrd-2.8.1/sbin/cmdinitrd   2013-10-17 11:13:41.0 +0200
@@ -16,7 +16,7 @@
 
 # This file is kept in the following git repository:
 #
-# git://git.opensuse.org/projects/mkinitrd.git
+# https://github.com/openSUSE/mkinitrd.git
 #
 
 usage() {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mkinitrd-2.8.0/sbin/lsinitrd 
new/mkinitrd-2.8.1/sbin/lsinitrd
--- old/mkinitrd-2.8.0/sbin/lsinitrd2013-10-11 12:58:10.0 +0200
+++ new/mkinitrd-2.8.1/sbin/lsinitrd2013-10-17 11:13:41.0 +0200
@@ -16,7 +16,7 @@
 
 # This file is kept in the following git repository:
 #
-# git://git.opensuse.org/projects/mkinitrd.git
+# https://github.com/openSUSE/mkinitrd.git
 #
 
 usage() {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mkinitrd-2.8.0/sbin/mkinitrd 
new/mkinitrd-2.8.1/sbin/mkinitrd
--- old/mkinitrd-2.8.0/sbin/mkinitrd2013-10-11 12:58:10.0 +0200
+++ new/mkinitrd-2.8.1/sbin/mkinitrd2013-10-17 11:13:41.0 +0200
@@ -17,10 +17,10 @@
 
 # This file is kept in the following git repository:
 #
-# git://git.opensuse.org/projects/mkinitrd.git
+# https://github.com/openSUSE/mkinitrd.git
 #
 
-VERSION=2.8.0
+VERSION=2.8.1
 LOGDIR=/var/log/YaST2
 LOGFILE=$LOGDIR/mkinitrd.log
 PATH=/sbin:/usr/sbin:$PATH
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 

commit lightsoff for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package lightsoff for openSUSE:13.1 checked 
in at 2013-10-17 14:22:36

Comparing /work/SRC/openSUSE:13.1/lightsoff (Old)
 and  /work/SRC/openSUSE:13.1/.lightsoff.new (New)


Package is lightsoff

Changes:

--- /work/SRC/openSUSE:13.1/lightsoff/lightsoff.changes 2013-09-27 
17:44:46.0 +0200
+++ /work/SRC/openSUSE:13.1/.lightsoff.new/lightsoff.changes2013-10-19 
16:49:35.0 +0200
@@ -1,0 +2,6 @@
+Mon Oct 14 19:19:06 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Make the window unresizable.
+
+---

Old:

  lightsoff-3.10.0.tar.xz

New:

  lightsoff-3.10.1.tar.xz



Other differences:
--
++ lightsoff.spec ++
--- /var/tmp/diff_new_pack.9VkbF4/_old  2013-10-19 16:49:35.0 +0200
+++ /var/tmp/diff_new_pack.9VkbF4/_new  2013-10-19 16:49:35.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   lightsoff
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:Lights Out Game for GNOME
 License:GPL-2.0+

++ lightsoff-3.10.0.tar.xz - lightsoff-3.10.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lightsoff-3.10.0/NEWS new/lightsoff-3.10.1/NEWS
--- old/lightsoff-3.10.0/NEWS   2013-09-23 17:54:37.0 +0200
+++ new/lightsoff-3.10.1/NEWS   2013-10-14 20:42:58.0 +0200
@@ -1,3 +1,8 @@
+Lights Off 3.10.1
+=
+
+* Make the window unresizable
+
 Lights Off 3.10.0
 =
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lightsoff-3.10.0/configure 
new/lightsoff-3.10.1/configure
--- old/lightsoff-3.10.0/configure  2013-09-23 17:55:06.0 +0200
+++ new/lightsoff-3.10.1/configure  2013-10-14 20:45:00.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for lightsoff 3.10.0.
+# Generated by GNU Autoconf 2.69 for lightsoff 3.10.1.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
@@ -636,8 +636,8 @@
 # Identity of this package.
 PACKAGE_NAME='lightsoff'
 PACKAGE_TARNAME='lightsoff'
-PACKAGE_VERSION='3.10.0'
-PACKAGE_STRING='lightsoff 3.10.0'
+PACKAGE_VERSION='3.10.1'
+PACKAGE_STRING='lightsoff 3.10.1'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1348,7 +1348,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures lightsoff 3.10.0 to adapt to many kinds of systems.
+\`configure' configures lightsoff 3.10.1 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1414,7 +1414,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of lightsoff 3.10.0:;;
+ short | recursive ) echo Configuration of lightsoff 3.10.1:;;
esac
   cat \_ACEOF
 
@@ -1526,7 +1526,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-lightsoff configure 3.10.0
+lightsoff configure 3.10.1
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1694,7 +1694,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by lightsoff $as_me 3.10.0, which was
+It was created by lightsoff $as_me 3.10.1, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2557,7 +2557,7 @@
 
 # Define the identity of the package.
  PACKAGE='lightsoff'
- VERSION='3.10.0'
+ VERSION='3.10.1'
 
 
 cat confdefs.h _ACEOF
@@ -5717,7 +5717,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by lightsoff $as_me 3.10.0, which was
+This file was extended by lightsoff $as_me 3.10.1, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -5774,7 +5774,7 @@
 cat $CONFIG_STATUS _ACEOF || ac_write_fail=1
 ac_cs_config=`$as_echo $ac_configure_args | sed 's/^ //; 
s/[\\\`\$]//g'`
 ac_cs_version=\\
-lightsoff config.status 3.10.0
+lightsoff config.status 3.10.1
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\\$ac_cs_config\\
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lightsoff-3.10.0/configure.ac 
new/lightsoff-3.10.1/configure.ac
--- old/lightsoff-3.10.0/configure.ac   2013-09-23 17:55:01.0 +0200
+++ new/lightsoff-3.10.1/configure.ac   

commit perl-Bootloader for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package perl-Bootloader for openSUSE:13.1 
checked in at 2013-10-17 14:25:06

Comparing /work/SRC/openSUSE:13.1/perl-Bootloader (Old)
 and  /work/SRC/openSUSE:13.1/.perl-Bootloader.new (New)


Package is perl-Bootloader

Changes:

--- /work/SRC/openSUSE:13.1/perl-Bootloader/perl-Bootloader.changes 
2013-10-02 13:32:07.0 +0200
+++ /work/SRC/openSUSE:13.1/.perl-Bootloader.new/perl-Bootloader.changes
2013-10-19 16:49:54.0 +0200
@@ -1,0 +2,6 @@
+Tue Oct 15 13:09:05 CEST 2013 - snw...@suse.de
+
+- more flexible GetProduct() uses /etc/os-release (bnc #845606)
+- 0.711
+
+---
@@ -4 +10 @@
-- grub2-efi: fix installation boot parameters not written (bnc#824609)
+- grub2-efi: fix installation boot parameters not written

Old:

  perl-Bootloader-0.710.tar.xz

New:

  perl-Bootloader-0.711.tar.xz



Other differences:
--
++ perl-Bootloader.spec ++
--- /var/tmp/diff_new_pack.YQG8sY/_old  2013-10-19 16:49:55.0 +0200
+++ /var/tmp/diff_new_pack.YQG8sY/_new  2013-10-19 16:49:55.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Bootloader
-Version:0.710
+Version:0.711
 Release:0
 Requires:   coreutils
 Requires:   e2fsprogs

++ perl-Bootloader-0.710.tar.xz - perl-Bootloader-0.711.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/perl-Bootloader-0.710/perl-Bootloader.changes 
new/perl-Bootloader-0.711/perl-Bootloader.changes
--- old/perl-Bootloader-0.710/perl-Bootloader.changes   2013-10-01 
09:10:52.0 +0200
+++ new/perl-Bootloader-0.711/perl-Bootloader.changes   2013-10-15 
13:10:14.0 +0200
@@ -1,4 +1,10 @@
 ---
+Tue Oct 15 13:09:05 CEST 2013 - snw...@suse.de
+
+- more flexible GetProduct() uses /etc/os-release (bnc #845606)
+- 0.711
+
+---
 Tue Oct  1 09:10:04 CEST 2013 - snw...@suse.de
 
 - grub2-efi: fix installation boot parameters not written
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/perl-Bootloader-0.710/update-bootloader 
new/perl-Bootloader-0.711/update-bootloader
--- old/perl-Bootloader-0.710/update-bootloader 2013-08-26 14:31:58.0 
+0200
+++ new/perl-Bootloader-0.711/update-bootloader 2013-10-15 13:06:31.0 
+0200
@@ -23,6 +23,8 @@
 = ('','','','','',undef);
 my $add_product = 0;
 
+my $logger;
+
 =head1 NAME
 
 update-bootloader - update/change bootloader configuration using
@@ -122,41 +124,64 @@
 
 =cut
 
-# Get product name and version
-# If zypper is not available or versions is empty, use /etc/SuSE-release 
instead
-# linux is last possible fallback
- 
+# Get product name.
+# If zypper is not available use /etc/products.d/baseproduct and 
/etc/SuSE-release.
 sub GetProduct {
-my $namever;
-my $loader = Bootloader::Tools::GetBootloader();
- 
-# first try: use zypper
-if ( -f '/usr/bin/zypper' ){
-  my $zypper_out = qx{zypper --terse tos -l};
-  if ($zypper_out =~ 
m/^labelLong\s*(\S.*\S)\s*\nlabelShort\s*(\S.*\S)[\s\n]*$/){
-return $1 if ($1 ne   ($loader eq grub || $loader eq grub2 || 
$loader eq grub2-efi));
-return $2 if ($2 ne );
-  }
+  my $prod;
+  my $src;
+  my $loader = Bootloader::Tools::GetBootloader();
+  my $long_names_ok = $loader eq grub || $loader eq grub2 || $loader eq 
grub2-efi;
+ 
+  # 1st try: ask zypper
+  # note: may fail as older zypper versions don't support '--label'
+  if(-x '/usr/bin/zypper') {
+if(`zypper --terse targetos --label 2/dev/null` =~ 
/^labelLong\s*(.*?)\s*\nlabelShort\s*(.*?)\s*$/) {
+  $prod = $1 ne   $long_names_ok ? $1 : $2;
+  $src = zypper;
 }
+  }
 
+  # 2nd try: read /etc/products.d/baseproduct
+  if($prod eq   open(my $f, /etc/products.d/baseproduct)) {
+my $tag = $long_names_ok ? summary : shortsummary;
+while($f) {
+  $prod = $1 if /$tag\s*(.*?)\s*\/$tag/o;
+}
+close $f;
+$src = baseproduct;
+  }
 
-# Second try: Is there a usable /etc/SuSE-release?
-# This should really not be used anymore, as the syntax changed
-# no 'SP1' in the output. 
-if (open(RELEASE, /etc/SuSE-release)  ($loader eq grub || $loader 
eq grub2 || $loader eq grub2-efi)) {
-   # first line is sufficient
-   $namever = RELEASE;
-
-   # delete everything starting with the first parenthesis
-   $namever =~ s/\s*\(.*//; 
-
-   close(RELEASE);
-   chomp $namever;
-   return $namever;
+  # 3rd try: read /etc/os-release
+  if($prod eq   

commit pk-update-icon for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package pk-update-icon for openSUSE:13.1 
checked in at 2013-10-17 14:25:40

Comparing /work/SRC/openSUSE:13.1/pk-update-icon (Old)
 and  /work/SRC/openSUSE:13.1/.pk-update-icon.new (New)


Package is pk-update-icon

Changes:

--- /work/SRC/openSUSE:13.1/pk-update-icon/pk-update-icon.changes   
2013-09-23 11:05:42.0 +0200
+++ /work/SRC/openSUSE:13.1/.pk-update-icon.new/pk-update-icon.changes  
2013-10-19 16:50:11.0 +0200
@@ -1,0 +2,11 @@
+Thu Oct 17 10:25:41 UTC 2013 - g...@opensuse.org
+
+- add dependency on gnome-packagekit since activating the tray icon
+  executes gpk-update-viewer (bnc#846342)
+
+---
+Tue Oct  1 10:07:20 UTC 2013 - g...@opensuse.org
+
+- update URL
+
+---



Other differences:
--
++ pk-update-icon.spec ++
--- /var/tmp/diff_new_pack.2Okkl3/_old  2013-10-19 16:50:11.0 +0200
+++ /var/tmp/diff_new_pack.2Okkl3/_new  2013-10-19 16:50:11.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package pk-update-icon
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -22,7 +22,7 @@
 Summary:Software Update Notifier based on PackageKit
 License:GPL-2.0+
 Group:  System/Daemons
-Url:http://gitorious.org/opensuse/pk-update-icon
+Url:https://hg.guido-berhoerster.org/projects/pk-update-icon/
 Source: %{name}-%{version}.tar.gz
 BuildRequires:  intltool
 BuildRequires:  pkgconfig(gtk+-2.0)
@@ -33,6 +33,8 @@
 BuildRequires:  update-desktop-files
 %endif
 Recommends: %{name}-lang
+# activating the tray icon executes gpk-update-viewer
+Requires:   gnome-packagekit
 
 %description
 pk-update-icon displays notifications and an icon in the tray area of the panel

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xorg-x11-server for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package xorg-x11-server for openSUSE:13.1 
checked in at 2013-10-17 14:29:05

Comparing /work/SRC/openSUSE:13.1/xorg-x11-server (Old)
 and  /work/SRC/openSUSE:13.1/.xorg-x11-server.new (New)


Package is xorg-x11-server

Changes:

--- /work/SRC/openSUSE:13.1/xorg-x11-server/xorg-x11-server.changes 
2013-09-23 11:15:56.0 +0200
+++ /work/SRC/openSUSE:13.1/.xorg-x11-server.new/xorg-x11-server.changes
2013-10-19 16:51:00.0 +0200
@@ -1,0 +2,9 @@
+Tue Oct 15 13:07:50 UTC 2013 - sndir...@suse.com
+
+- u_Avoid-use-after-free-in-dix-dixfonts.c-doImageText.patch
+  * Fixes a security issue, in which an authenticated X client
+   can cause an X server to use memory after it was freed, 
+   potentially leading to crash and/or memory corruption.
+   (CVE-2013-4396, bnc#843652)
+
+---

New:

  u_Avoid-use-after-free-in-dix-dixfonts.c-doImageText.patch



Other differences:
--
++ xorg-x11-server.spec ++
--- /var/tmp/diff_new_pack.nTa3nV/_old  2013-10-19 16:51:00.0 +0200
+++ /var/tmp/diff_new_pack.nTa3nV/_new  2013-10-19 16:51:00.0 +0200
@@ -156,6 +156,7 @@
 Patch230:   u_xserver_xvfb-randr.patch
 
 Patch240:   
U_revert_dri2_realloc_dri2_drawable_if-pixmap_serial_changes.patch
+Patch241:   u_Avoid-use-after-free-in-dix-dixfonts.c-doImageText.patch
 
 %description
 This package contains the X.Org Server.
@@ -241,6 +242,7 @@
 %patch230 -p1
 
 %patch240 -p1
+%patch241 -p1
 
 %build
 autoreconf -fi

++ u_Avoid-use-after-free-in-dix-dixfonts.c-doImageText.patch ++
From a4d9bf1259ad28f54b6d59a480b2009cc89ca623 Mon Sep 17 00:00:00 2001
From: Alan Coopersmith alan.coopersm...@oracle.com
Date: Mon, 16 Sep 2013 21:47:16 -0700
Subject: [PATCH] Avoid use-after-free in dix/dixfonts.c: doImageText()

Save a pointer to the passed in closure structure before copying it
and overwriting the *c pointer to point to our copy instead of the
original.  If we hit an error, once we free(c), reset c to point to
the original structure before jumping to the cleanup code that
references *c.

Since one of the errors being checked for is whether the server was
able to malloc(c-nChars * itemSize), the client can potentially pass
a number of characters chosen to cause the malloc to fail and the
error path to be taken, resulting in the read from freed memory.

Since the memory is accessed almost immediately afterwards, and the
X server is mostly single threaded, the odds of the free memory having
invalid contents are low with most malloc implementations when not using
memory debugging features, but some allocators will definitely overwrite
the memory there, leading to a likely crash.

Reported-by: Pedro Ribeiro ped...@gmail.com
Signed-off-by: Alan Coopersmith alan.coopersm...@oracle.com
Reviewed-by: Julien Cristau jcris...@debian.org
---
 dix/dixfonts.c |5 +
 1 file changed, 5 insertions(+)

diff --git a/dix/dixfonts.c b/dix/dixfonts.c
index feb765d..2e34d37 100644
--- a/dix/dixfonts.c
+++ b/dix/dixfonts.c
@@ -1425,6 +1425,7 @@ doImageText(ClientPtr client, ITclosurePtr c)
 GC *pGC;
 unsigned char *data;
 ITclosurePtr new_closure;
+ITclosurePtr old_closure;
 
 /* We're putting the client to sleep.  We need to
save some state.  Similar problem to that handled
@@ -1436,12 +1437,14 @@ doImageText(ClientPtr client, ITclosurePtr c)
 err = BadAlloc;
 goto bail;
 }
+old_closure = c;
 *new_closure = *c;
 c = new_closure;
 
 data = malloc(c-nChars * itemSize);
 if (!data) {
 free(c);
+c = old_closure;
 err = BadAlloc;
 goto bail;
 }
@@ -1452,6 +1455,7 @@ doImageText(ClientPtr client, ITclosurePtr c)
 if (!pGC) {
 free(c-data);
 free(c);
+c = old_closure;
 err = BadAlloc;
 goto bail;
 }
@@ -1464,6 +1468,7 @@ doImageText(ClientPtr client, ITclosurePtr c)
 FreeScratchGC(pGC);
 free(c-data);
 free(c);
+c = old_closure;
 err = BadAlloc;
 goto bail;
 }
-- 
1.7.9.2

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit wayland for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package wayland for openSUSE:13.1 checked in 
at 2013-10-17 14:28:50

Comparing /work/SRC/openSUSE:13.1/wayland (Old)
 and  /work/SRC/openSUSE:13.1/.wayland.new (New)


Package is wayland

Changes:

--- /work/SRC/openSUSE:13.1/wayland/wayland.changes 2013-09-23 
11:14:46.0 +0200
+++ /work/SRC/openSUSE:13.1/.wayland.new/wayland.changes2013-10-19 
16:50:50.0 +0200
@@ -1,0 +2,12 @@
+Tue Oct 15 20:29:24 UTC 2013 - dmuel...@suse.com
+
+- skip testsuite on QEMU Userspace build (fixes hang on ARMv6 build) 
+
+---
+Thu Sep 19 21:58:52 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Update to new upstream release 1.2.1
+* Bug fixes and documentation tweaks
+* Touch support for toytoolkit and other clients.
+
+---

Old:

  wayland-1.2.0.tar.xz

New:

  wayland-1.2.1.tar.xz



Other differences:
--
++ wayland.spec ++
--- /var/tmp/diff_new_pack.fMld43/_old  2013-10-19 16:50:50.0 +0200
+++ /var/tmp/diff_new_pack.fMld43/_new  2013-10-19 16:50:50.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   wayland
 %define lname  libwayland0
-Version:1.2.0
+Version:1.2.1
 Release:0
 Summary:Wayland Compositor Infrastructure
 License:HPND
@@ -117,8 +117,10 @@
 %fdupes %buildroot/%_prefix
 
 %check
+%if ! 0%{?qemu_user_space_build}
 mkdir -m go-rwx xdg;
 XDG_RUNTIME_DIR=$PWD/xdg make check %{?_smp_mflags};
+%endif
 
 %post -n libwayland-client0 -p /sbin/ldconfig
 %postun -n libwayland-client0 -p /sbin/ldconfig

++ wayland-1.2.0.tar.xz - wayland-1.2.1.tar.xz ++
 2381 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/wayland-1.2.0/configure.ac new/wayland-1.2.1/configure.ac
--- old/wayland-1.2.0/configure.ac  2013-07-13 07:29:35.0 +0200
+++ new/wayland-1.2.1/configure.ac  2013-08-22 19:39:38.0 +0200
@@ -2,7 +2,7 @@
 
 m4_define([wayland_major_version], [1])
 m4_define([wayland_minor_version], [2])
-m4_define([wayland_micro_version], [0])
+m4_define([wayland_micro_version], [1])
 m4_define([wayland_version],
   [wayland_major_version.wayland_minor_version.wayland_micro_version])
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/wayland-1.2.0/doc/doxygen/man/man3/wl_buffer.3 
new/wayland-1.2.1/doc/doxygen/man/man3/wl_buffer.3
--- old/wayland-1.2.0/doc/doxygen/man/man3/wl_buffer.3  2013-07-13 
07:49:07.0 +0200
+++ new/wayland-1.2.1/doc/doxygen/man/man3/wl_buffer.3  2013-08-22 
19:47:11.0 +0200
@@ -1,4 +1,4 @@
-.TH wl_buffer 3 Sat Jul 13 2013 Version 1.2.0 Wayland \ -*- nroff -*-
+.TH wl_buffer 3 Thu Aug 22 2013 Version 1.2.1 Wayland \ -*- nroff -*-
 .ad l
 .nh
 .SH NAME
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/wayland-1.2.0/doc/doxygen/man/man3/wl_client.3 
new/wayland-1.2.1/doc/doxygen/man/man3/wl_client.3
--- old/wayland-1.2.0/doc/doxygen/man/man3/wl_client.3  2013-07-13 
07:49:07.0 +0200
+++ new/wayland-1.2.1/doc/doxygen/man/man3/wl_client.3  2013-08-22 
19:47:11.0 +0200
@@ -1,4 +1,4 @@
-.TH wl_client 3 Sat Jul 13 2013 Version 1.2.0 Wayland \ -*- nroff -*-
+.TH wl_client 3 Thu Aug 22 2013 Version 1.2.1 Wayland \ -*- nroff -*-
 .ad l
 .nh
 .SH NAME
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/wayland-1.2.0/doc/doxygen/man/man3/wl_display.3 
new/wayland-1.2.1/doc/doxygen/man/man3/wl_display.3
--- old/wayland-1.2.0/doc/doxygen/man/man3/wl_display.3 2013-07-13 
07:49:07.0 +0200
+++ new/wayland-1.2.1/doc/doxygen/man/man3/wl_display.3 2013-08-22 
19:47:11.0 +0200
@@ 

commit yast2-ruby-bindings for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-ruby-bindings for 
openSUSE:13.1 checked in at 2013-10-17 14:14:10

Comparing /work/SRC/openSUSE:13.1/yast2-ruby-bindings (Old)
 and  /work/SRC/openSUSE:13.1/.yast2-ruby-bindings.new (New)


Package is yast2-ruby-bindings

Changes:

--- /work/SRC/openSUSE:13.1/yast2-ruby-bindings/yast2-ruby-bindings.changes 
2013-09-23 11:24:29.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.yast2-ruby-bindings.new/yast2-ruby-bindings.changes
2013-10-19 16:51:04.0 +0200
@@ -1,0 +2,7 @@
+Tue Oct 15 13:01:18 UTC 2013 - lsle...@suse.cz
+
+- float_to_lstring(): do not crash when glibc-locale is missing,
+  fallback to unlocalized version (bnc#803163)
+- 3.0.4
+
+---

Old:

  yast2-ruby-bindings-3.0.3.tar.bz2

New:

  yast2-ruby-bindings-3.0.4.tar.bz2



Other differences:
--
++ yast2-ruby-bindings.spec ++
--- /var/tmp/diff_new_pack.42Slqq/_old  2013-10-19 16:51:04.0 +0200
+++ /var/tmp/diff_new_pack.42Slqq/_new  2013-10-19 16:51:04.0 +0200
@@ -1,35 +1,20 @@
-#
-# spec file for package yast2-ruby-bindings
-#
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
-#
-# All modifications and additions to the file contributed by third parties
-# remain the property of their copyright owners, unless otherwise agreed
-# upon. The license for this file, and modifications and additions to the
-# file, is the same license as for the pristine package itself (unless the
-# license for the pristine package is not an Open Source License, in which
-# case the license is the MIT License). An Open Source License is a
-# license that conforms to the Open Source Definition (Version 1.9)
-# published by the Open Source Initiative.
-
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
-#
 
 
 #
 # spec file for package yast2-ruby-bindings (Version 0.1)
 #
+# norootforbuild
 
 Name:   yast2-ruby-bindings
-Version:3.0.3
+Version:3.0.4
 Release:0
+License:GPL-2.0
+Group:  System/YaST
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-ruby-bindings-%{version}.tar.bz2
 Prefix: /usr
 
-BuildRequires:  cmake
-BuildRequires:  gcc-c++
-BuildRequires:  yast2-core-devel
+BuildRequires: cmake gcc-c++ yast2-core-devel
 BuildRequires:  yast2-devtools = 2.16.3
 # libzypp-devel is missing .la requires
 BuildRequires:  ruby-devel
@@ -41,8 +26,6 @@
 BuildRequires:  yast2-ycp-ui-bindings-devel = 2.21.9
 Requires:   ruby
 Summary:Ruby bindings for the YaST platform
-License:GPL-2.0
-Group:  System/YaST
 
 %description
 The bindings allow YaST modules to be written using the Ruby language
@@ -82,5 +65,3 @@
 %{_libdir}/ruby/vendor_ruby/%{rb_ver}/yast
 %{_libdir}/ruby/vendor_ruby/%{rb_ver}/%{rb_arch}/*x.so
 %{_libdir}/ruby/vendor_ruby/%{rb_ver}/%{rb_arch}/yast
-
-%changelog

++ yast2-ruby-bindings-3.0.3.tar.bz2 - yast2-ruby-bindings-3.0.4.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-3.0.3/VERSION.cmake 
new/yast2-ruby-bindings-3.0.4/VERSION.cmake
--- old/yast2-ruby-bindings-3.0.3/VERSION.cmake 2013-09-12 14:16:52.0 
+0200
+++ new/yast2-ruby-bindings-3.0.4/VERSION.cmake 2013-10-15 15:43:25.0 
+0200
@@ -1,3 +1,3 @@
 SET(VERSION_MAJOR 3)
 SET(VERSION_MINOR 0)
-SET(VERSION_PATCH 3)
+SET(VERSION_PATCH 4)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ruby-bindings-3.0.3/package/yast2-ruby-bindings.changes 
new/yast2-ruby-bindings-3.0.4/package/yast2-ruby-bindings.changes
--- old/yast2-ruby-bindings-3.0.3/package/yast2-ruby-bindings.changes   
2013-09-12 14:16:52.0 +0200
+++ new/yast2-ruby-bindings-3.0.4/package/yast2-ruby-bindings.changes   
2013-10-15 15:44:28.0 +0200
@@ -1,4 +1,11 @@
 ---
+Tue Oct 15 13:01:18 UTC 2013 - lsle...@suse.cz
+
+- float_to_lstring(): do not crash when glibc-locale is missing,
+  fallback to unlocalized version (bnc#803163)
+- 3.0.4
+
+---
 Thu Sep 12 07:53:00 UTC 2013 - jreidin...@suse.com
 
 - fix loading rubygems in embedded ruby
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ruby-bindings-3.0.3/package/yast2-ruby-bindings.spec 
new/yast2-ruby-bindings-3.0.4/package/yast2-ruby-bindings.spec
--- old/yast2-ruby-bindings-3.0.3/package/yast2-ruby-bindings.spec  
2013-09-11 17:22:40.0 +0200
+++ 

commit rhythmbox for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package rhythmbox for openSUSE:13.1 checked 
in at 2013-10-17 20:38:35

Comparing /work/SRC/openSUSE:13.1/rhythmbox (Old)
 and  /work/SRC/openSUSE:13.1/.rhythmbox.new (New)


Package is rhythmbox

Changes:

--- /work/SRC/openSUSE:13.1/rhythmbox/rhythmbox.changes 2013-09-23 
11:07:55.0 +0200
+++ /work/SRC/openSUSE:13.1/.rhythmbox.new/rhythmbox.changes2013-10-19 
16:50:28.0 +0200
@@ -1,0 +2,7 @@
+Wed Oct 16 21:43:20 UTC 2013 - firebird...@gmail.com
+
+- Update to version 3.0.1:
+  + Bugs fixed: bgo#706470, bgo#708476, bgo#709143, bgo#708341
+  + Translation Updates
+
+---

Old:

  rhythmbox-3.0.tar.xz

New:

  rhythmbox-3.0.1.tar.xz



Other differences:
--
++ rhythmbox.spec ++
--- /var/tmp/diff_new_pack.qkz16c/_old  2013-10-19 16:50:28.0 +0200
+++ /var/tmp/diff_new_pack.qkz16c/_new  2013-10-19 16:50:28.0 +0200
@@ -22,7 +22,7 @@
 #define with_daap 0%{?suse_version}  1330
 
 Name:   rhythmbox
-Version:3.0
+Version:3.0.1
 Release:0
 Summary:GNOME Music Management Application
 License:GPL-2.0+
@@ -54,7 +54,7 @@
 BuildRequires:  pkgconfig(libbrasero-media3)
 %if 0%{with_daap}
 # rhythmbox requires version 2.9.16, which only appeared after 12.3 release
-BuildRequires:  pkgconfig(libdmapsharing-3.0) = 2.9.16
+BuildRequires:  pkgconfig(libdmapsharing-3.0) = 2.9.19
 %endif
 BuildRequires:  pkgconfig(libgpod-1.0)
 BuildRequires:  pkgconfig(libmtp)

++ rhythmbox-3.0.tar.xz - rhythmbox-3.0.1.tar.xz ++
/work/SRC/openSUSE:13.1/rhythmbox/rhythmbox-3.0.tar.xz 
/work/SRC/openSUSE:13.1/.rhythmbox.new/rhythmbox-3.0.1.tar.xz differ: char 26, 
line 1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-network for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-network for openSUSE:13.1 
checked in at 2013-10-17 15:22:07

Comparing /work/SRC/openSUSE:13.1/yast2-network (Old)
 and  /work/SRC/openSUSE:13.1/.yast2-network.new (New)


Package is yast2-network

Changes:

--- /work/SRC/openSUSE:13.1/yast2-network/yast2-network.changes 2013-09-27 
19:41:12.0 +0200
+++ /work/SRC/openSUSE:13.1/.yast2-network.new/yast2-network.changes
2013-10-19 16:51:03.0 +0200
@@ -1,0 +2,8 @@
+Tue Oct 15 07:26:13 UTC 2013 - mfi...@suse.com
+
+- bnc#845534
+  - fixed internal error which appeared when attempting to add an
+  alias
+- 3.0.8 
+
+---

Old:

  yast2-network-3.0.7.tar.bz2

New:

  yast2-network-3.0.8.tar.bz2



Other differences:
--
++ yast2-network.spec ++
--- /var/tmp/diff_new_pack.gwXksf/_old  2013-10-19 16:51:03.0 +0200
+++ /var/tmp/diff_new_pack.gwXksf/_new  2013-10-19 16:51:03.0 +0200
@@ -17,8 +17,8 @@
 
 
 Name:   yast2-network
-Version:3.0.7
-Release:0
+Version:3.0.8
+Release:5
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-network-%{version}.tar.bz2

++ yast2-network-3.0.7.tar.bz2 - yast2-network-3.0.8.tar.bz2 ++
 4603 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/yast2-network-3.0.7/VERSION new/yast2-network-3.0.8/VERSION
--- old/yast2-network-3.0.7/VERSION 2013-09-19 18:01:52.0 +0200
+++ new/yast2-network-3.0.8/VERSION 2013-10-15 09:31:28.0 +0200
@@ -1 +1 @@
-3.0.7
+3.0.8
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/yast2-network-3.0.7/configure.ac new/yast2-network-3.0.8/configure.ac
--- old/yast2-network-3.0.7/configure.ac2013-09-23 09:57:05.0 
+0200
+++ new/yast2-network-3.0.8/configure.ac2013-10-15 09:32:19.0 
+0200
@@ -3,7 +3,7 @@
 dnl -- This file is generated by y2autoconf 3.0.5 - DO NOT EDIT! --
 dnl(edit configure.ac.in or configure.in.in instead)
 
-AC_INIT(yast2-network, 3.0.7, http://bugs.opensuse.org/, yast2-network)
+AC_INIT(yast2-network, 3.0.8, http://bugs.opensuse.org/, yast2-network)
 dnl Check for presence of file 'RPMNAME'
 AC_CONFIG_SRCDIR([RPMNAME])
 
@@ -18,7 +18,7 @@
 AM_INIT_AUTOMAKE(tar-ustar -Wno-portability)
 
 dnl Important YaST2 variables
-VERSION=3.0.7
+VERSION=3.0.8
 RPMNAME=yast2-network
 MAINTAINER=Michal Filka mfi...@suse.com
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/yast2-network-3.0.7/doc/todo.html new/yast2-network-3.0.8/doc/todo.html
--- old/yast2-network-3.0.7/doc/todo.html   1970-01-01 01:00:00.0 
+0100
+++ new/yast2-network-3.0.8/doc/todo.html   2013-10-15 09:32:33.0 
+0200
@@ -0,0 +1,254 @@
+!DOCTYPE html PUBLIC -//W3C//DTD HTML 4.01 Transitional//EN
+htmlhead
+titleNetwork Configuration: Things To Do/title
+/headbody bgcolor=#ff
+
+!-- Author: Michal Svec ms...@suse.cz --
+!-- $Id$ --
+a name=topp
+h1Network Configuration: Things To Do/h1
+hr
+
+!-- ##BODY## --
+
+pre
+
+# $Id$
+
+hr
+!--h2Bugs /h2--
+
+h2Bugs:/h2
+- KInternet: better helptext (configured + kinternet, cinternet)
+- ISDN cleanup (adapt to new sources, better sysconfig) [ISDN]
+
+a href=http://bugzilla.suse.de/show_bug.cgi?id=35935;#35935/a nor
yast2 asks for internet test although network config skipped
+a href=http://bugzilla.suse.de/show_bug.cgi?id=37864;#37864/a nor
kinternet not started after dsl config
+
+- name resolving doesn't work without /etc/resolv.conf (ResolveIP, 
ag_hostnames)
+
+- cleanup ifcfg and hwcfg naming
+- cleanup NetworkModules
+- fix (or delete) all FIXMEs
+
+h2in-progress:/h2
+- [snwint] ifcfg-usb-usb: detected devices (manual adding done, detected 
missing) (a href=http://bugzilla.suse.de/show_bug.cgi?id=22739;#22739/a)
+- [zoz] routing: restart only routing (a 

commit samba for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package samba for openSUSE:13.1 checked in 
at 2013-10-17 14:27:29

Comparing /work/SRC/openSUSE:13.1/samba (Old)
 and  /work/SRC/openSUSE:13.1/.samba.new (New)


Package is samba

Changes:

--- /work/SRC/openSUSE:13.1/samba/samba.changes 2013-10-11 09:03:53.0 
+0200
+++ /work/SRC/openSUSE:13.1/.samba.new/samba.changes2013-10-19 
16:50:34.0 +0200
@@ -1,0 +2,7 @@
+Fri Oct 11 08:58:29 UTC 2013 - lmue...@suse.com
+
+- Update to 4.1.0.
+  + pam_winbindd: Support the KEYRING ccache type; (bso#10132).
+  + Fix PAC parsing failure; (bso#10178).
+
+---

Old:

  samba-4.1.0rc4.tar.asc
  samba-4.1.0rc4.tar.gz

New:

  samba-4.1.0.tar.asc
  samba-4.1.0.tar.gz



Other differences:
--
++ samba.spec ++
--- /var/tmp/diff_new_pack.cnQqcS/_old  2013-10-19 16:50:35.0 +0200
+++ /var/tmp/diff_new_pack.cnQqcS/_new  2013-10-19 16:50:35.0 +0200
@@ -109,7 +109,7 @@
 BuildRequires:  gpg-offline
 %endif
 %definesamba_ver 4.1.0
-%definesamba_ver_suffix rc4
+%definesamba_ver_suffix %nil
 %if %{samba_ver_suffix} == 
 %define samba_source_location 
http://ftp.samba.org/pub/samba/stable/samba-%{version}.tar.gz
 %define samba_source_signature_location 
http://ftp.samba.org/pub/samba/stable/samba-%{version}.tar.asc
@@ -135,7 +135,7 @@
 %else
 %definebuild_make_smp_mflags %{?jobs:-j%jobs}
 %endif
-%define SOURCE_TIMESTAMP 3086
+%define SOURCE_TIMESTAMP 3087
 %define BRANCH %{version}
 %global with_mitkrb5 1
 %global with_dc 0

++ patches.tar.bz2 ++

++ samba-4.1.0rc4.tar.gz - samba-4.1.0.tar.gz ++
/work/SRC/openSUSE:13.1/samba/samba-4.1.0rc4.tar.gz 
/work/SRC/openSUSE:13.1/.samba.new/samba-4.1.0.tar.gz differ: char 5, line 1

++ vendor-files.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/vendor-files/tools/package-data 
new/vendor-files/tools/package-data
--- old/vendor-files/tools/package-data 2013-10-09 23:07:35.0 +0200
+++ new/vendor-files/tools/package-data 2013-10-11 11:13:45.0 +0200
@@ -1,2 +1,2 @@
 # This is an autogenrated file.
-SAMBA_PACKAGE_SVN_VERSION=3086
+SAMBA_PACKAGE_SVN_VERSION=3087

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-slide-show for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-slide-show for openSUSE:13.1 
checked in at 2013-10-17 15:24:26

Comparing /work/SRC/openSUSE:13.1/yast2-slide-show (Old)
 and  /work/SRC/openSUSE:13.1/.yast2-slide-show.new (New)


Package is yast2-slide-show

Changes:

--- /work/SRC/openSUSE:13.1/yast2-slide-show/yast2-slide-show.changes   
2013-10-08 11:08:21.0 +0200
+++ /work/SRC/openSUSE:13.1/.yast2-slide-show.new/yast2-slide-show.changes  
2013-10-19 16:51:05.0 +0200
@@ -1,0 +2,5 @@
+Wed Oct  9 07:41:22 UTC 2013 - m...@suse.com
+
+- Update version number to 13.1 in slideshow.xml (bnc#841250)
+
+---



Other differences:
--
++ yast2-slide-show.spec ++
--- /var/tmp/diff_new_pack.8PFAvz/_old  2013-10-19 16:51:05.0 +0200
+++ /var/tmp/diff_new_pack.8PFAvz/_new  2013-10-19 16:51:05.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   yast2-slide-show
 Version:3.0.1
-Release:0
+Release:3
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-slide-show-%{version}.tar.bz2

++ yast2-slide-show-3.0.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-slide-show-3.0.1/SuSELinux/slideshow.xml 
new/yast2-slide-show-3.0.1/SuSELinux/slideshow.xml
--- old/yast2-slide-show-3.0.1/SuSELinux/slideshow.xml  2013-01-29 
09:56:35.0 +0100
+++ new/yast2-slide-show-3.0.1/SuSELinux/slideshow.xml  2013-10-09 
09:40:48.0 +0200
@@ -4,7 +4,7 @@
 !ENTITY suse SUSE
 !ENTITY suselinux suse; Linux
 !ENTITY opensuse openSUSE
-!ENTITY suse-version 12.3
+!ENTITY suse-version 13.1
 ]
 !-- table cellspacing=10 cellpadding=5 --
 !--   tr --

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xf86-video-intel for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package xf86-video-intel for openSUSE:13.1 
checked in at 2013-10-17 15:20:58

Comparing /work/SRC/openSUSE:13.1/xf86-video-intel (Old)
 and  /work/SRC/openSUSE:13.1/.xf86-video-intel.new (New)


Package is xf86-video-intel

Changes:

--- /work/SRC/openSUSE:13.1/xf86-video-intel/xf86-video-intel.changes   
2013-09-23 11:15:25.0 +0200
+++ /work/SRC/openSUSE:13.1/.xf86-video-intel.new/xf86-video-intel.changes  
2013-10-19 16:50:54.0 +0200
@@ -1,0 +2,49 @@
+Wed Oct  9 21:11:31 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Update to 3.0 prerelease 2.99.904
+  + Fix video output using sprites when changing the image size
+  + Apply more restrictive tile constaints for 915g class devices
+(lp#1232546)
+  + Ensure all overlapping rectangles are drawn for XRenderFillRectangles
+(fdo#66313)
+  + Fix trapezoid clipping against the left-edge
+(fdo#69469)
+  + Prevent discarding active upload buffers, causing glitches in chromium
+(fdo#66990)
+  + Prevent specifying a negative timeout to select if the BlockHandler
+takes too long to update the display
+  + Promote the Ironlake pipecontrol to be a full pipeline flush to
+prevent render cache corruption
+(fdo#51422)
+  + Never pass an invalid trapezoid to pixman
+(lp#1197921)
+  + Prevent out-of-bounds access by overassigning work amongst threads
+(fdo#70204)
+  + Make sure the current mode is always listed amongst the output modes
+(fdo#70132)
+  + Build fixes for 1.14.99.2
+
+---
+Sat Sep 28 18:54:10 UTC 2013 - hrvoje.sen...@gmail.com
+
+- update to 3.0 prerelease 2.99.903:
+  + Fix VSync on Haswell. (fdo#69119)
+  + Disable Y-tiling on gen4 - (lp#103)
+  + Disable same EDID detection based on property id - the kernel
+likes to reuse ids leading to a failure to detect the right
+modes on a monitor change.
+  + Avoid issuing multiple DPMS requests to the same encoder (alised
+to multiple connectors) to avoid upsetting Haswell and
+leaving the screens blank
+  + Honour the user preferrence for the initial mode, even if they
+are being silly (bnc#841696)
+  + Clear the clear hint when apply DRI updates - to prevent some
+screenshots from GL windows being left blank. (fdo#69730)
+  + Prevent a NULL dereference from trying to undo an non-existent
+buffer (lp#1228677)
+  + Handle out-of-memory conditions far more gracefully. If the
+system is hard against the memory wall, then the kernel will
+start issuing SIGBUS even for CPU mmaps. Untrapped these
+will cause X to die. (fdo#67889)
+
+---

Old:

  xf86-video-intel-2.99.902.tar.bz2

New:

  xf86-video-intel-2.99.904.tar.bz2



Other differences:
--
++ xf86-video-intel.spec ++
--- /var/tmp/diff_new_pack.DxU12U/_old  2013-10-19 16:50:55.0 +0200
+++ /var/tmp/diff_new_pack.DxU12U/_new  2013-10-19 16:50:55.0 +0200
@@ -19,8 +19,8 @@
 %define glamor 1
 
 Name:   xf86-video-intel
-Version:2.99.902
-Release:0
+Version:2.99.904
+Release:3
 Summary:Intel video driver for the Xorg X server
 License:MIT
 Group:  System/X11/Servers/XF86_4

++ xf86-video-intel-2.99.902.tar.bz2 - xf86-video-intel-2.99.904.tar.bz2 
++
 32556 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit release-notes-openSUSE for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package release-notes-openSUSE for 
openSUSE:13.1 checked in at 2013-10-17 17:03:20

Comparing /work/SRC/openSUSE:13.1/release-notes-openSUSE (Old)
 and  /work/SRC/openSUSE:13.1/.release-notes-openSUSE.new (New)


Package is release-notes-openSUSE

Changes:

--- 
/work/SRC/openSUSE:13.1/release-notes-openSUSE/release-notes-openSUSE.changes   
2013-10-08 11:06:42.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.release-notes-openSUSE.new/release-notes-openSUSE.changes
  2013-10-19 16:50:27.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 17 12:59:20 UTC 2013 - k...@suse.de
+
+- Update translations.
+
+---

Old:

  release-notes-opensuse-13.1.3.tar.bz2

New:

  release-notes-opensuse-13.1.4.tar.bz2



Other differences:
--
++ release-notes-openSUSE.spec ++
--- /var/tmp/diff_new_pack.ePL6r0/_old  2013-10-19 16:50:27.0 +0200
+++ /var/tmp/diff_new_pack.ePL6r0/_new  2013-10-19 16:50:27.0 +0200
@@ -30,7 +30,7 @@
 Group:  Documentation/SUSE
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Version:13.1.3
+Version:13.1.4
 Release:0
 Provides:   release-notes = %{version}
 Source0:release-notes-opensuse-%{version}.tar.bz2

++ release-notes-opensuse-13.1.3.tar.bz2 - 
release-notes-opensuse-13.1.4.tar.bz2 ++
 4465 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xfce4-power-manager for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package xfce4-power-manager for 
openSUSE:13.1 checked in at 2013-10-18 13:28:57

Comparing /work/SRC/openSUSE:13.1/xfce4-power-manager (Old)
 and  /work/SRC/openSUSE:13.1/.xfce4-power-manager.new (New)


Package is xfce4-power-manager

Changes:

--- /work/SRC/openSUSE:13.1/xfce4-power-manager/xfce4-power-manager.changes 
2013-09-23 11:15:31.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.xfce4-power-manager.new/xfce4-power-manager.changes
2013-10-19 16:50:57.0 +0200
@@ -1,0 +2,6 @@
+Fri Oct 18 08:35:16 UTC 2013 - g...@opensuse.org
+
+- add xfce4-power-manager-fix-battery-icon-typo.patch in order to
+  fix a typo in battery icon name (bxo#8188, bnc#846485)
+
+---

New:

  xfce4-power-manager-fix-battery-icon-typo.patch



Other differences:
--
++ xfce4-power-manager.spec ++
--- /var/tmp/diff_new_pack.9OQtU7/_old  2013-10-19 16:50:58.0 +0200
+++ /var/tmp/diff_new_pack.9OQtU7/_new  2013-10-19 16:50:58.0 +0200
@@ -40,6 +40,8 @@
 Patch5: xfce4-power-manager-systemd-shutdown-reboot-support.patch
 # PATCH-FIX-UPSTREAM 
xfce4-power-manager-systemd-suspend-hibernate-suport.patch bxo#9963 -- Add 
systemd suspend/hibernate support
 Patch6: xfce4-power-manager-systemd-suspend-hibernate-suport.patch
+# PATCH-FIX-UPSTREAM xfce4-power-manager-fix-battery-icon-typo.patch bxo#8188 
bnc#846485 g...@opensuse.org -- Fix typo in battery icon name
+Patch7: xfce4-power-manager-fix-battery-icon-typo.patch
 BuildRequires:  ed
 BuildRequires:  fdupes
 BuildRequires:  intltool
@@ -108,6 +110,7 @@
 %patch4 -p1
 %patch5 -p1
 %patch6 -p1
+%patch7 -p1
 # show in LXDE as well
 ed -s src/xfce4-power-manager.desktop.in 2/dev/null 'EOF'
 ,s/^OnlyShowIn=XFCE;/OnlyShowIn=XFCE;LXDE;/

++ xfce4-power-manager-fix-battery-icon-typo.patch ++
Index: xfce4-power-manager-1.2.0/src/xfpm-battery.c
===
--- xfce4-power-manager-1.2.0.orig/src/xfpm-battery.c
+++ xfce4-power-manager-1.2.0/src/xfpm-battery.c
@@ -320,16 +320,16 @@ xfpm_battery_refresh_icon (XfpmBattery *
 {
if ( !battery-priv-present || battery-priv-state == 
XFPM_DEVICE_STATE_EMPTY )
{
-   g_snprintf (icon_name, 128, %s-000, battery-priv-icon_prefix);
+   g_snprintf (icon_name, 128, %s000, battery-priv-icon_prefix);
}
else if ( battery-priv-state == XFPM_DEVICE_STATE_FULLY_CHARGED )
{
-   g_snprintf (icon_name, 128, %s-100, battery-priv-icon_prefix);
+   g_snprintf (icon_name, 128, %s100, battery-priv-icon_prefix);
}
else if ( battery-priv-state == XFPM_DEVICE_STATE_DISCHARGING )
{
-   g_snprintf (icon_name, 128, %s-%s, 
-   battery-priv-icon_prefix, 
+   g_snprintf (icon_name, 128, %s%s,
+   battery-priv-icon_prefix,
xfpm_battery_get_icon_index (battery-priv-type, 
battery-priv-percentage));
}
 }
++ xfce4-power-manager-fix-brightness-type.patch ++
--- /var/tmp/diff_new_pack.9OQtU7/_old  2013-10-19 16:50:58.0 +0200
+++ /var/tmp/diff_new_pack.9OQtU7/_new  2013-10-19 16:50:58.0 +0200
@@ -5,10 +5,10 @@
 
 The Backlight RandR property is a 32-bit integer. This means that the int32 
(gint32) type should be used to represent brightness levels. The attached patch 
does nothing else than changing the brightness level representation from glong 
to gint32. This fixes the screen auto-dimming issue and brightness panel plugin 
issue.
 ---
-diff --git a/common/xfpm-brightness.c b/common/xfpm-brightness.c
-index aa1ef33..f1524cb 100644
 a/common/xfpm-brightness.c
-+++ b/common/xfpm-brightness.c
+Index: xfce4-power-manager-1.2.0/common/xfpm-brightness.c
+===
+--- xfce4-power-manager-1.2.0.orig/common/xfpm-brightness.c
 xfce4-power-manager-1.2.0/common/xfpm-brightness.c
 @@ -92,11 +92,11 @@ out:
  }
  
@@ -23,7 +23,7 @@
  Atom actual_type;
  int actual_format;
  gboolean ret = FALSE;
-@@ -124,7 +124,7 @@ xfpm_brightness_xrandr_get_level (XfpmBrightness 
*brightness, RROutput output, l
+@@ -124,7 +124,7 @@ xfpm_brightness_xrandr_get_level (XfpmBr
  }
  
  static gboolean
@@ -32,7 +32,7 @@
  {
  gboolean ret = TRUE;
  
-@@ -137,7 +137,7 @@ xfpm_brightness_xrandr_set_level (XfpmBrightness 
*brightness, RROutput output, l
+@@ -137,7 +137,7 @@ xfpm_brightness_xrandr_set_level (XfpmBr
  
  if ( gdk_error_trap_pop () ) 
  {
@@ -41,7 +41,7 @@
ret = FALSE;
  }
  
-@@ -225,11 +225,11 @@ 

commit yast2-snapper for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-snapper for openSUSE:13.1 
checked in at 2013-10-17 15:25:19

Comparing /work/SRC/openSUSE:13.1/yast2-snapper (Old)
 and  /work/SRC/openSUSE:13.1/.yast2-snapper.new (New)


Package is yast2-snapper

Changes:

--- /work/SRC/openSUSE:13.1/yast2-snapper/yast2-snapper.changes 2013-09-23 
11:16:26.0 +0200
+++ /work/SRC/openSUSE:13.1/.yast2-snapper.new/yast2-snapper.changes
2013-10-19 16:51:06.0 +0200
@@ -1,0 +2,6 @@
+Tue Oct 15 09:31:10 CEST 2013 - jsuch...@suse.cz
+
+- require the version of libsnapper used during build (bnc#845618)
+- 3.0.2
+
+---

Old:

  yast2-snapper-3.0.1.tar.bz2

New:

  yast2-snapper-3.0.2.tar.bz2



Other differences:
--
++ yast2-snapper.spec ++
--- /var/tmp/diff_new_pack.g8q4ud/_old  2013-10-19 16:51:06.0 +0200
+++ /var/tmp/diff_new_pack.g8q4ud/_new  2013-10-19 16:51:06.0 +0200
@@ -17,23 +17,26 @@
 
 
 Name:   yast2-snapper
-Version:3.0.1
-Release:0
+Version:3.0.2
+Release:3
 Group: System/YaST
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-snapper-%{version}.tar.bz2
 
 
-Requires:  yast2 = 2.21.22
 License:GPL-2.0
 BuildRequires: update-desktop-files yast2 yast2-devtools yast2-testsuite 
libbtrfs-devel
 BuildRequires: libsnapper-devel = 0.0.11
 BuildRequires: yast2-core-devel = 2.23.1
 BuildRequires: libtool doxygen gcc-c++ perl-XML-Writer
 
+Requires:  yast2 = 2.21.22
 Requires:   yast2-ruby-bindings = 1.0.0
 
+# require the version of libsnapper used during build (bnc#845618)
+%requires_eq libsnapper2
+
 Summary:   YaST - file system snapshots review
 
 %description

++ yast2-snapper-3.0.1.tar.bz2 - yast2-snapper-3.0.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-snapper-3.0.1/VERSION 
new/yast2-snapper-3.0.2/VERSION
--- old/yast2-snapper-3.0.1/VERSION 2013-09-13 10:22:44.0 +0200
+++ new/yast2-snapper-3.0.2/VERSION 2013-10-15 09:31:24.0 +0200
@@ -1 +1 @@
-3.0.1
+3.0.2
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-snapper-3.0.1/configure 
new/yast2-snapper-3.0.2/configure
--- old/yast2-snapper-3.0.1/configure   2013-09-13 10:23:10.0 +0200
+++ new/yast2-snapper-3.0.2/configure   2013-10-15 09:31:34.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for yast2-snapper 3.0.1.
+# Generated by GNU Autoconf 2.69 for yast2-snapper 3.0.2.
 #
 # Report bugs to http://bugs.opensuse.org/.
 #
@@ -590,8 +590,8 @@
 # Identity of this package.
 PACKAGE_NAME='yast2-snapper'
 PACKAGE_TARNAME='yast2-snapper'
-PACKAGE_VERSION='3.0.1'
-PACKAGE_STRING='yast2-snapper 3.0.1'
+PACKAGE_VERSION='3.0.2'
+PACKAGE_STRING='yast2-snapper 3.0.2'
 PACKAGE_BUGREPORT='http://bugs.opensuse.org/'
 PACKAGE_URL=''
 
@@ -1377,7 +1377,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures yast2-snapper 3.0.1 to adapt to many kinds of systems.
+\`configure' configures yast2-snapper 3.0.2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1448,7 +1448,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of yast2-snapper 3.0.1:;;
+ short | recursive ) echo Configuration of yast2-snapper 3.0.2:;;
esac
   cat \_ACEOF
 
@@ -1566,7 +1566,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-yast2-snapper configure 3.0.1
+yast2-snapper configure 3.0.2
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -2019,7 +2019,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by yast2-snapper $as_me 3.0.1, which was
+It was created by yast2-snapper $as_me 3.0.2, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2958,7 +2958,7 @@
 
 # Define the identity of the package.
  PACKAGE='yast2-snapper'
- VERSION='3.0.1'
+ VERSION='3.0.2'
 
 
 cat confdefs.h _ACEOF
@@ -3081,7 +3081,7 @@
 
 
 
-VERSION=3.0.1
+VERSION=3.0.2
 RPMNAME=yast2-snapper
 MAINTAINER=Jiri Suchomel jsuch...@suse.cz
 
@@ -16754,7 +16754,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by 

commit sysconfig for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package sysconfig for openSUSE:13.1 checked 
in at 2013-10-18 19:24:24

Comparing /work/SRC/openSUSE:13.1/sysconfig (Old)
 and  /work/SRC/openSUSE:13.1/.sysconfig.new (New)


Package is sysconfig

Changes:

--- /work/SRC/openSUSE:13.1/sysconfig/sysconfig.changes 2013-09-29 
19:29:16.0 +0200
+++ /work/SRC/openSUSE:13.1/.sysconfig.new/sysconfig.changes2013-10-19 
16:50:42.0 +0200
@@ -1,0 +2,14 @@
+Mon Oct 14 13:07:27 UTC 2013 - vci...@suse.com
+
+- set SELinux label for /dev/.sysconfig after creation (bnc#845792)
+  * sysconfig-0.81.5-restore_selinux_context_on_RUN_FILES_BASE.patch
+- use systemctl when possible instead of calling init scripts directly
+  * sysconfig-0.81.5-netconfig-use_systemctl.patch
+
+---
+Wed Oct  2 15:02:09 UTC 2013 - m...@suse.de
+
+- bt878 card causes udevd to complain (bnc#800897)
+  Fixed to use 'echo' shell builtin instead /bin/echo
+
+---

New:

  0001-bt878-card-causes-udevd-to-complain-bnc-800897.patch
  sysconfig-0.81.5-netconfig-use_systemctl.patch
  sysconfig-0.81.5-restore_selinux_context_on_RUN_FILES_BASE.patch



Other differences:
--
++ sysconfig.spec ++
--- /var/tmp/diff_new_pack.SLVJX8/_old  2013-10-19 16:50:42.0 +0200
+++ /var/tmp/diff_new_pack.SLVJX8/_new  2013-10-19 16:50:42.0 +0200
@@ -38,6 +38,9 @@
 Requires:   udevmountd = %{version}
 Requires:   sysvinit(network)
 Recommends: sysconfig-network = %{version}
+Patch1: 0001-bt878-card-causes-udevd-to-complain-bnc-800897.patch
+Patch2: sysconfig-0.81.5-netconfig-use_systemctl.patch
+Patch3: 
sysconfig-0.81.5-restore_selinux_context_on_RUN_FILES_BASE.patch
 
 %description
 This package provides the SuSE system configuration scheme for the
@@ -119,6 +122,9 @@
 
 %prep
 %setup -n sysconfig-%{version}
+%patch1 -p1
+%patch2 -p1
+%patch3 -p1
 
 %build
 autoreconf --force --install

++ 0001-bt878-card-causes-udevd-to-complain-bnc-800897.patch ++
From 312c427ae58ce78297384d1599ac32cce7f29e50 Mon Sep 17 00:00:00 2001
From: Marius Tomaschewski m...@suse.com
Date: Wed, 2 Oct 2013 16:21:30 +0200
Subject: [PATCH] bt878 card causes udevd to complain (bnc#800897)

Fixed to use 'echo' shell builtin instead /bin/echo
---
 config/hardware/50-blacklist.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config/hardware/50-blacklist.conf 
b/config/hardware/50-blacklist.conf
index dd2796c..58a6c8b 100644
--- a/config/hardware/50-blacklist.conf
+++ b/config/hardware/50-blacklist.conf
@@ -168,7 +168,7 @@ blacklist dpt_i2o
 # look in /usr/src/linux/Documentation/video4linux/CARDLIST.bttv.
 alias pci:v109Ed036Esvsdbc04sc00i00 bttv_skip_it
 alias pci:v109Ed0878svsdbc04sc80i00 bttv_skip_it
-install bttv_skip_it /bin/echo module alias skipped (bt878 chip without PCI 
Subsystem ID)
+install bttv_skip_it echo module alias skipped (bt878 chip without PCI 
Subsystem ID)
 
 # For some bridges both intel-agp and i82875p_edac are loaded. If i82875p_edac
 # is loaded first it will grab the device. Then intel-agp doesn't work.
-- 
1.8.1.4

++ sysconfig-0.81.5-netconfig-use_systemctl.patch ++
Index: sysconfig-0.81.5/scripts/netconfig.d/nis
===
--- sysconfig-0.81.5.orig/scripts/netconfig.d/nis   2013-10-11 
15:17:18.468338773 +0200
+++ sysconfig-0.81.5/scripts/netconfig.d/nis2013-10-11 16:35:57.462096834 
+0200
@@ -444,7 +444,9 @@ write_nisdomainname
 
 # here we should restart services if needed
 # = reload ypbind
-if [ -x $r/etc/init.d/ypbind ]; then
+if [ $(cat /proc/1/comm) = systemd ]; then
+systemctl reload ypbind /dev/null 21
+elif [ -x $r/etc/init.d/ypbind ]; then
 $r/etc/init.d/ypbind reload /dev/null 21
 fi
 
Index: sysconfig-0.81.5/scripts/netconfig.d/ntp-runtime
===
--- sysconfig-0.81.5.orig/scripts/netconfig.d/ntp-runtime   2013-10-11 
16:19:18.107435944 +0200
+++ sysconfig-0.81.5/scripts/netconfig.d/ntp-runtime2013-10-14 
15:01:30.194514004 +0200
@@ -226,8 +226,16 @@ do_runtime_update()
 NTP_CONF=/etc/ntp.conf
 NTPDC_BIN=/usr/sbin/ntpdc
 
+local status
+if [ $(cat /proc/1/comm) = systemd ]; then
+systemctl status ntp /dev/null 21
+elif [ -x $r/etc/init.d/ntp ]; then
+$r/etc/init.d/ntp status /dev/null 21
+fi
+status=$?
+
 if [ -n ${NTP_SERVER_LIST[*]} -a -f ${NTP_CONF} ]  \
- /etc/init.d/ntp status /dev/null 2/dev/null ; then
+ [ $status -eq 0 

commit webkitgtk for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package webkitgtk for openSUSE:13.1 checked 
in at 2013-10-17 15:52:19

Comparing /work/SRC/openSUSE:13.1/webkitgtk (Old)
 and  /work/SRC/openSUSE:13.1/.webkitgtk.new (New)


Package is webkitgtk

Changes:

--- /work/SRC/openSUSE:13.1/webkitgtk/webkitgtk.changes 2013-10-11 
09:21:45.0 +0200
+++ /work/SRC/openSUSE:13.1/.webkitgtk.new/webkitgtk.changes2013-10-19 
16:50:51.0 +0200
@@ -1,0 +2,13 @@
+Wed Oct 16 17:47:05 UTC 2013 - dims...@opensuse.org
+
+- Update to version 2.2.1:
+  + Fix a crash in JavaScriptCore when visiting google groups.
+  + Fix a crash in JavaScriptCore when trying to send a message via
+'today's birthdays' dialogue box on Facebook.
+  + Make sure the GtkWidget used for windowed plugins is destroyed
+when the plugin instance is destroyed.
+  + Fix the build with drag and drop support disabled.
+- define _name webkitgtk: helps osc collab to not trip over the
+  two spec files at each update.
+
+---
webkitgtk3.changes: same change

Old:

  webkitgtk-2.2.0.tar.xz

New:

  webkitgtk-2.2.1.tar.xz



Other differences:
--
++ webkitgtk.spec ++
--- /var/tmp/diff_new_pack.hwQLIM/_old  2013-10-19 16:50:51.0 +0200
+++ /var/tmp/diff_new_pack.hwQLIM/_new  2013-10-19 16:50:51.0 +0200
@@ -43,16 +43,17 @@
 %endif
 
 Name:   webkitgtk
+%define _name webkitgtk
 Summary:Library for rendering web content, GTK+ Port
 License:LGPL-2.0+ and BSD-3-Clause
 Group:  Development/Libraries/C and C++
-Version:2.2.0
+Version:2.2.1
 Release:0
 # FIXME: at some point, figure out a way to remove the hack where we use -g0 
to have successful builds
 # FIXME: get upstream to fix the conflict on gtk-doc docs between gtk2 and 
gtk3 versions
 # FIXME: after 1.7.90, remove workaround in %%setup that is needed to fix the 
build
 Url:http://webkitgtk.org/
-Source: http://webkitgtk.org/releases/webkitgtk-%{version}.tar.xz
+Source: http://webkitgtk.org/releases/%{_name}-%{version}.tar.xz
 Source1:baselibs.conf
 # PATCH-FIX-OPENSUSE webkitgtk-typelib-sharelib-link.patch 
dims...@opensuse.org -- Fixup the .gir file to contain the full library name 
for libjavascriptcore.
 Patch0: webkitgtk-typelib-sharelib-link.patch

++ webkitgtk3.spec ++
--- /var/tmp/diff_new_pack.hwQLIM/_old  2013-10-19 16:50:51.0 +0200
+++ /var/tmp/diff_new_pack.hwQLIM/_new  2013-10-19 16:50:51.0 +0200
@@ -43,16 +43,17 @@
 %endif
 
 Name:   webkitgtk3
+%define _name webkitgtk
 Summary:Library for rendering web content, GTK+ Port
 License:LGPL-2.0+ and BSD-3-Clause
 Group:  Development/Libraries/C and C++
-Version:2.2.0
+Version:2.2.1
 Release:0
 # FIXME: at some point, figure out a way to remove the hack where we use -g0 
to have successful builds
 # FIXME: get upstream to fix the conflict on gtk-doc docs between gtk2 and 
gtk3 versions
 # FIXME: after 1.7.90, remove workaround in %%setup that is needed to fix the 
build
 Url:http://webkitgtk.org/
-Source: http://webkitgtk.org/releases/webkitgtk-%{version}.tar.xz
+Source: http://webkitgtk.org/releases/%{_name}-%{version}.tar.xz
 Source1:baselibs.conf
 # PATCH-FIX-OPENSUSE webkitgtk-typelib-sharelib-link.patch 
dims...@opensuse.org -- Fixup the .gir file to contain the full library name 
for libjavascriptcore.
 Patch0: webkitgtk-typelib-sharelib-link.patch

++ webkitgtk-2.2.0.tar.xz - webkitgtk-2.2.1.tar.xz ++
/work/SRC/openSUSE:13.1/webkitgtk/webkitgtk-2.2.0.tar.xz 
/work/SRC/openSUSE:13.1/.webkitgtk.new/webkitgtk-2.2.1.tar.xz differ: char 27, 
line 1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit vte for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package vte for openSUSE:13.1 checked in at 
2013-10-17 14:28:41

Comparing /work/SRC/openSUSE:13.1/vte (Old)
 and  /work/SRC/openSUSE:13.1/.vte.new (New)


Package is vte

Changes:

--- /work/SRC/openSUSE:13.1/vte/vte.changes 2013-09-23 11:18:39.0 
+0200
+++ /work/SRC/openSUSE:13.1/.vte.new/vte.changes2013-10-19 
16:50:49.0 +0200
@@ -1,0 +2,19 @@
+Mon Oct 14 21:10:54 UTC 2013 - dims...@opensuse.org
+
+- Update to version 0.34.9:
+  + Lines disappear after positioning back the cursor (bgo#708496).
+  + Garbage displayed after resizing whilst using an alternate
+screen (bgo#415277).
+  + vte uses too many file descriptors (part of bgo#646098).
+  + Incorrect scrollbar position after the less command
+(bgo#676075).
+  + Add support for DEC 1007 to set the alternate scroll mode
+(bgo#518405, bgo#709060).
+  + Use O_TMPFILE when available (bgo#704705).
+  + Improvements to scrollback storage (bgo#637275).
+  + Aborts on assertion (bgo#676075).
+  + zsh - lots of blank space upon resizing VTE based terminals
+(bgo#708213).
+  + Misc fixes.
+
+---

Old:

  vte-0.34.8.tar.xz

New:

  vte-0.34.9.tar.xz



Other differences:
--
++ vte.spec ++
--- /var/tmp/diff_new_pack.wcZF4V/_old  2013-10-19 16:50:49.0 +0200
+++ /var/tmp/diff_new_pack.wcZF4V/_new  2013-10-19 16:50:49.0 +0200
@@ -24,7 +24,7 @@
 Name:   vte
 %define _name   vte
 Url:http://www.gnome.org
-Version:0.34.8
+Version:0.34.9
 Release:0
 Summary:Terminal Emulator Library
 License:LGPL-2.0 and GPL-2.0+

++ vte-0.34.8.tar.xz - vte-0.34.9.tar.xz ++
 2104 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yelp for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yelp for openSUSE:13.1 checked in at 
2013-10-17 14:29:24

Comparing /work/SRC/openSUSE:13.1/yelp (Old)
 and  /work/SRC/openSUSE:13.1/.yelp.new (New)


Package is yelp

Changes:

--- /work/SRC/openSUSE:13.1/yelp/yelp.changes   2013-09-27 19:45:05.0 
+0200
+++ /work/SRC/openSUSE:13.1/.yelp.new/yelp.changes  2013-10-19 
16:51:19.0 +0200
@@ -1,0 +2,7 @@
+Tue Oct 15 14:30:41 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Updated GSettings install rule (bgo##697815).
+  + Updated translations.
+
+---

Old:

  yelp-3.10.0.tar.xz

New:

  yelp-3.10.1.tar.xz



Other differences:
--
++ yelp.spec ++
--- /var/tmp/diff_new_pack.nMQbxo/_old  2013-10-19 16:51:19.0 +0200
+++ /var/tmp/diff_new_pack.nMQbxo/_new  2013-10-19 16:51:19.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yelp
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:Help Browser for the GNOME Desktop
 License:GPL-2.0+ and LGPL-2.1+

++ yelp-3.10.0.tar.xz - yelp-3.10.1.tar.xz ++
 3290 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-packager for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-packager for openSUSE:13.1 
checked in at 2013-10-17 15:22:53

Comparing /work/SRC/openSUSE:13.1/yast2-packager (Old)
 and  /work/SRC/openSUSE:13.1/.yast2-packager.new (New)


Package is yast2-packager

Changes:

--- /work/SRC/openSUSE:13.1/yast2-packager/yast2-packager.changes   
2013-09-27 19:41:53.0 +0200
+++ /work/SRC/openSUSE:13.1/.yast2-packager.new/yast2-packager.changes  
2013-10-19 16:51:03.0 +0200
@@ -1,0 +2,8 @@
+Tue Oct 15 07:11:25 UTC 2013 - lsle...@suse.cz
+
+- removed non-working *-webpin subpackage (the external service for
+  package search does not work, without that service it is useless)
+  (bnc#845622)
+- 3.0.6
+
+---

Old:

  yast2-packager-3.0.5.tar.bz2

New:

  yast2-packager-3.0.6.tar.bz2



Other differences:
--
++ yast2-packager.spec ++
--- /var/tmp/diff_new_pack.bhlFWf/_old  2013-10-19 16:51:04.0 +0200
+++ /var/tmp/diff_new_pack.bhlFWf/_new  2013-10-19 16:51:04.0 +0200
@@ -17,8 +17,8 @@
 
 
 Name:   yast2-packager
-Version:3.0.5
-Release:0
+Version:3.0.6
+Release:5
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-packager-%{version}.tar.bz2
@@ -85,19 +85,15 @@
 Obsoletes:  yast2-trans-inst-packages
 Obsoletes:  yast2-trans-package-manager
 
+# force *-webpin subpackage removal at upgrade
+Obsoletes:  yast2-packager-webpin  %version
+
 Requires:   yast2-ruby-bindings = 1.0.0
 
 Summary:YaST2 - Package Library
 License:GPL-2.0+
 Group:  System/YaST
 
-%package webpin
-
-Requires:   yast2-ruby-bindings = 1.0.0
-
-Summary:YaST2 - Webpin package search client
-Group:  System/YaST
-
 %package devel-doc
 Requires:   yast2-packager = %version
 Summary:YaST2 - Development Documentation
@@ -106,10 +102,6 @@
 %description
 This package contains the libraries and modules for software management.
 
-%description webpin
-This package contains a client for searching packages in online repositories
-(webpin) and installing them via OneClickInstall
-
 %description devel-doc
 This package contains development documentation for using the API
 provided by yast2-packager package.
@@ -148,9 +140,7 @@
 /usr/share/YaST2/include/checkmedia/*
 /usr/share/YaST2/include/packager/*
 /usr/share/YaST2/clients/*.rb
-%exclude /usr/share/YaST2/clients/webpin_package_search.rb
 /usr/share/YaST2/modules/*
-%exclude /usr/share/YaST2/modules/WebpinPackageSearch.rb
 %{_prefix}/share/applications/YaST2/*.desktop
 /usr/share/YaST2/scrconf/*
 %{_prefix}/lib/YaST2/servers_non_y2/ag_*
@@ -161,9 +151,4 @@
 %files devel-doc
 %doc %{_prefix}/share/doc/packages/yast2-packager/autodocs
 
-%files webpin
-%defattr(-,root,root)
-/usr/share/YaST2/clients/webpin_package_search.rb
-/usr/share/YaST2/modules/WebpinPackageSearch.rb
-
 %changelog

++ yast2-packager-3.0.5.tar.bz2 - yast2-packager-3.0.6.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-packager-3.0.5/Makefile.in 
new/yast2-packager-3.0.6/Makefile.in
--- old/yast2-packager-3.0.5/Makefile.in2013-09-11 17:44:56.0 
+0200
+++ new/yast2-packager-3.0.6/Makefile.in2013-10-15 09:19:02.0 
+0200
@@ -684,7 +684,7 @@
*.zip*) \
  unzip $(distdir).zip ;;\
esac
-   chmod -R a-w $(distdir); chmod u+w $(distdir)
+   chmod -R a-w $(distdir); chmod a+w $(distdir)
mkdir $(distdir)/_build
mkdir $(distdir)/_inst
chmod a-w $(distdir)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-packager-3.0.5/VERSION 
new/yast2-packager-3.0.6/VERSION
--- old/yast2-packager-3.0.5/VERSION2013-09-03 17:06:48.0 +0200
+++ new/yast2-packager-3.0.6/VERSION2013-10-15 09:11:21.0 +0200
@@ -1 +1 @@
-3.0.5
+3.0.6
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-packager-3.0.5/configure 
new/yast2-packager-3.0.6/configure
--- old/yast2-packager-3.0.5/configure  2013-09-11 17:44:54.0 +0200
+++ new/yast2-packager-3.0.6/configure  2013-10-15 09:19:01.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for yast2-packager 3.0.5.
+# Generated by GNU Autoconf 2.69 for yast2-packager 3.0.6.
 #
 # Report bugs to http://bugs.opensuse.org/.
 #
@@ -579,8 +579,8 @@
 # Identity of this package.
 PACKAGE_NAME='yast2-packager'
 PACKAGE_TARNAME='yast2-packager'
-PACKAGE_VERSION='3.0.5'

commit xf86-video-modesetting for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package xf86-video-modesetting for 
openSUSE:13.1 checked in at 2013-10-17 20:38:48

Comparing /work/SRC/openSUSE:13.1/xf86-video-modesetting (Old)
 and  /work/SRC/openSUSE:13.1/.xf86-video-modesetting.new (New)


Package is xf86-video-modesetting

Changes:

--- 
/work/SRC/openSUSE:13.1/xf86-video-modesetting/xf86-video-modesetting.changes   
2013-09-23 11:15:25.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.xf86-video-modesetting.new/xf86-video-modesetting.changes
  2013-10-19 16:50:56.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 17 13:25:39 UTC 2013 - sndir...@suse.com
+
+- install the driver by default, since it's useful for USB hotplug
+  graphics like Displaylink
+
+---



Other differences:
--
++ xf86-video-modesetting.spec ++
--- /var/tmp/diff_new_pack.NWeEai/_old  2013-10-19 16:50:56.0 +0200
+++ /var/tmp/diff_new_pack.NWeEai/_new  2013-10-19 16:50:56.0 +0200
@@ -30,12 +30,9 @@
 BuildRequires:  pkgconfig(xorg-server)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 ExcludeArch:s390 s390x
-# Secure boot for Matrox G200
-Supplements:modalias(xorg-x11-server:pci:v102Bd*sv*sd*bc03sc*i*)
-# Secure boot for Qemu Cirrus emulation
-Supplements:
modalias(xorg-x11-server:pci:v1013d00B8sv1AF4sd1100bc03sc*i*)
-# Secure boot for AST
-Supplements:modalias(xorg-x11-server:pci:v1A03d*sv*sd*bc03sc*i*)
+# Useful for USB hotplug graphics like Displaylink devices, so install this
+# by default.
+Supplements:xorg-x11-server
 
 %x11_abi_videodrv_req
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit seahorse for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package seahorse for openSUSE:13.1 checked 
in at 2013-10-17 15:51:32

Comparing /work/SRC/openSUSE:13.1/seahorse (Old)
 and  /work/SRC/openSUSE:13.1/.seahorse.new (New)


Package is seahorse

Changes:

--- /work/SRC/openSUSE:13.1/seahorse/seahorse.changes   2013-09-27 
18:30:12.0 +0200
+++ /work/SRC/openSUSE:13.1/.seahorse.new/seahorse.changes  2013-10-19 
16:50:36.0 +0200
@@ -1,0 +2,9 @@
+Thu Oct 17 06:51:49 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Fix generate-select dialog for GTK+ changes (bgo#703825).
+  + Try to make as many password dialogs transient as possible.
+  + Build fixes (bgo#708827, bgo#710069).
+  + Updated translations.
+
+---

Old:

  seahorse-3.10.0.tar.xz

New:

  seahorse-3.10.1.tar.xz



Other differences:
--
++ seahorse.spec ++
--- /var/tmp/diff_new_pack.No8njx/_old  2013-10-19 16:50:36.0 +0200
+++ /var/tmp/diff_new_pack.No8njx/_new  2013-10-19 16:50:36.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   seahorse
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:GNOME interface for gnupg
 License:GPL-2.0+

++ seahorse-3.10.0.tar.xz - seahorse-3.10.1.tar.xz ++
 11703 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit seahorse-nautilus for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package seahorse-nautilus for openSUSE:13.1 
checked in at 2013-10-17 15:51:53

Comparing /work/SRC/openSUSE:13.1/seahorse-nautilus (Old)
 and  /work/SRC/openSUSE:13.1/.seahorse-nautilus.new (New)


Package is seahorse-nautilus

Changes:

--- /work/SRC/openSUSE:13.1/seahorse-nautilus/seahorse-nautilus.changes 
2013-09-27 18:30:20.0 +0200
+++ /work/SRC/openSUSE:13.1/.seahorse-nautilus.new/seahorse-nautilus.changes
2013-10-19 16:50:37.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 17 06:52:42 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Updated translations.
+
+---

Old:

  seahorse-nautilus-3.10.0.tar.xz

New:

  seahorse-nautilus-3.10.1.tar.xz



Other differences:
--
++ seahorse-nautilus.spec ++
--- /var/tmp/diff_new_pack.f7pH6z/_old  2013-10-19 16:50:37.0 +0200
+++ /var/tmp/diff_new_pack.f7pH6z/_new  2013-10-19 16:50:37.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   seahorse-nautilus
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:Extension for nautilus which allows encryption and decryption 
of files
 License:GPL-2.0+

++ seahorse-nautilus-3.10.0.tar.xz - seahorse-nautilus-3.10.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/seahorse-nautilus-3.10.0/ChangeLog 
new/seahorse-nautilus-3.10.1/ChangeLog
--- old/seahorse-nautilus-3.10.0/ChangeLog  2013-09-24 08:14:52.0 
+0200
+++ new/seahorse-nautilus-3.10.1/ChangeLog  2013-10-17 08:27:27.0 
+0200
@@ -1,5 +1,62 @@
 # Generated automatically. Do not edit.
 
+commit 4508a6c99f7ebafa1e6e9ec90e170a91ee958c49
+Author: Stef Walter st...@redhat.com
+Date:   2013-10-17
+
+Release version 3.10.1
+
+ NEWS | 3 +++
+ configure.ac | 2 +-
+ 2 files changed, 4 insertions(+), 1 deletion(-)
+
+commit e2496365e167f60b68c801edca8252e7e3b83669
+Author: Marek Černocký ma...@manet.cz
+Date:   2013-10-03
+
+Updated Czech translation
+
+ po/cs.po | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+commit 37eb5ca2573ffb6732938d655dbbb5f692669308
+Author: Andika Triwidada and...@gmail.com
+Date:   2013-09-28
+
+Revert Fix typo due to string freeze break. Will reapply to master after 
branched.
+
+This reverts commit eb786447fdc02ad008c2188052e95215d3c8ea73.
+
+ data/org.gnome.seahorse.nautilus.gschema.xml | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+commit a8e7512e6c11b13ad2043761ade6fe06cb6fe6d6
+Author: Marek Černocký ma...@manet.cz
+Date:   2013-09-27
+
+Updated Czech translation
+
+ po/cs.po | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+commit 818984f943d7ff5609a9c5f0bbc86edcc74ef63e
+Author: Andika Triwidada and...@gmail.com
+Date:   2013-09-27
+
+Updated Indonesian translation
+
+ po/id.po | 282 ---
+ 1 file changed, 160 insertions(+), 122 deletions(-)
+
+commit eb786447fdc02ad008c2188052e95215d3c8ea73
+Author: Andika Triwidada and...@gmail.com
+Date:   2013-09-27
+
+Fix typo
+
+ data/org.gnome.seahorse.nautilus.gschema.xml | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
 commit 9591c5b4feb41ba049f96be1153925bb294ab27f
 Author: Stef Walter st...@redhat.com
 Date:   2013-09-23
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/seahorse-nautilus-3.10.0/NEWS 
new/seahorse-nautilus-3.10.1/NEWS
--- old/seahorse-nautilus-3.10.0/NEWS   2013-09-23 21:28:33.0 +0200
+++ new/seahorse-nautilus-3.10.1/NEWS   2013-10-17 08:26:43.0 +0200
@@ -1,3 +1,6 @@
+seahorse-nautilus 3.10.1
+ * Updated translations
+
 seahorse-nautilus 3.10.0
  (no changes since previous release)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/seahorse-nautilus-3.10.0/configure 
new/seahorse-nautilus-3.10.1/configure
--- old/seahorse-nautilus-3.10.0/configure  2013-09-24 08:13:45.0 
+0200
+++ new/seahorse-nautilus-3.10.1/configure  2013-10-17 08:27:16.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for seahorse-nautilus 3.10.0.
+# Generated by GNU Autoconf 2.69 for seahorse-nautilus 3.10.1.
 #
 # Report bugs to 
http://bugzilla.gnome.org/enter_bug.cgi?product=seahorse-pluginscomponent=Nautilus.
 #
@@ -591,8 +591,8 @@
 # Identity of this package.
 PACKAGE_NAME='seahorse-nautilus'
 PACKAGE_TARNAME='seahorse-nautilus'
-PACKAGE_VERSION='3.10.0'
-PACKAGE_STRING='seahorse-nautilus 3.10.0'
+PACKAGE_VERSION='3.10.1'

commit xdm for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package xdm for openSUSE:13.1 checked in at 
2013-10-18 14:51:10

Comparing /work/SRC/openSUSE:13.1/xdm (Old)
 and  /work/SRC/openSUSE:13.1/.xdm.new (New)


Package is xdm

Changes:

--- /work/SRC/openSUSE:13.1/xdm/xdm.changes 2013-09-23 11:15:17.0 
+0200
+++ /work/SRC/openSUSE:13.1/.xdm.new/xdm.changes2013-10-19 
16:50:53.0 +0200
@@ -1,0 +2,5 @@
+Fri Oct 18 09:34:08 CEST 2013 - ferenc...@gmail.com
+
+- Added support for qiv in /etc/X11/xdm/Xsetup 
+
+---



Other differences:
--
++ xdm.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/etc/X11/xdm/Xsetup new/etc/X11/xdm/Xsetup
--- old/etc/X11/xdm/Xsetup  2013-09-16 21:17:05.0 +0200
+++ new/etc/X11/xdm/Xsetup  2013-10-18 09:31:58.0 +0200
@@ -66,6 +66,7 @@
   xmessage=${BINDIR}/xmessage
   xrdb=${BINDIR}/xrdb
backprg=${BINDIR}/BackGround
+   qiv=${BINDIR}/qiv
 #   halporp=/usr/bin/hal-find-by-property
  xvkbd=${BINDIR}/xvkbd
  xvkbdargs=-compact -geometry -0-0 -xdm -always-on-top -keyfile 
/usr/share/X11/app-defaults/xvkbd.default
@@ -137,6 +138,8 @@
 $xpmroot ${background}.gz
 elif test -s ${background}-a -x $xpmroot ; then
 $xpmroot $background
+elif test -s ${background}-a -x $qiv ; then
+$qiv  -x $background
 elif test -x $backprg ; then
 $backprg
 else

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit skelcd-openSUSE for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package skelcd-openSUSE for openSUSE:13.1 
checked in at 2013-10-17 14:27:55

Comparing /work/SRC/openSUSE:13.1/skelcd-openSUSE (Old)
 and  /work/SRC/openSUSE:13.1/.skelcd-openSUSE.new (New)


Package is skelcd-openSUSE

Changes:

--- /work/SRC/openSUSE:13.1/skelcd-openSUSE/skelcd-openSUSE-non-OSS.changes 
2013-09-23 11:09:12.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.skelcd-openSUSE.new/skelcd-openSUSE-non-OSS.changes
2013-10-19 16:50:39.0 +0200
@@ -1,0 +2,15 @@
+Tue Oct 15 12:02:47 UTC 2013 - co...@suse.com
+
+- readd license translations (bnc#841252)
+
+---
+Mon Oct 14 15:29:56 UTC 2013 - lnus...@suse.de
+
+- don't install the translation template (bnc#841252)
+
+---
+Wed Sep 25 12:19:23 UTC 2013 - lnus...@suse.de
+
+- update license file according to feedback from Legal
+
+---
--- /work/SRC/openSUSE:13.1/skelcd-openSUSE/skelcd-openSUSE.changes 
2013-09-29 17:52:44.0 +0200
+++ /work/SRC/openSUSE:13.1/.skelcd-openSUSE.new/skelcd-openSUSE.changes
2013-10-19 16:50:39.0 +0200
@@ -1,0 +2,10 @@
+Tue Oct 15 12:02:47 UTC 2013 - co...@suse.com
+
+- readd license translations (bnc#841252)
+
+---
+Mon Oct 14 15:29:56 UTC 2013 - lnus...@suse.de
+
+- don't install the translation template (bnc#841252)
+
+---



Other differences:
--
++ skelcd-openSUSE-non-OSS.spec ++
--- /var/tmp/diff_new_pack.TRTCnW/_old  2013-10-19 16:50:39.0 +0200
+++ /var/tmp/diff_new_pack.TRTCnW/_new  2013-10-19 16:50:39.0 +0200
@@ -102,6 +102,8 @@
 # Copy the right README.BETA or LICENSE.TXT file
 # Note: kiwi will remove README.BETA for final product.
 #
+# this is just a template
+rm license-SL/license.translate.txt
 # Add infos to license files
 for i in license-SL/license*; do
  sed -i -e s@#DATE#@$DATE_ENG@ \

skelcd-openSUSE.spec: same change
++ license-SL.tar.bz2 ++
 2308 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-ycp-ui-bindings for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-ycp-ui-bindings for 
openSUSE:13.1 checked in at 2013-10-17 15:26:17

Comparing /work/SRC/openSUSE:13.1/yast2-ycp-ui-bindings (Old)
 and  /work/SRC/openSUSE:13.1/.yast2-ycp-ui-bindings.new (New)


Package is yast2-ycp-ui-bindings

Changes:

--- /work/SRC/openSUSE:13.1/yast2-ycp-ui-bindings/yast2-ycp-ui-bindings.changes 
2013-09-23 11:16:38.0 +0200
+++ 
/work/SRC/openSUSE:13.1/.yast2-ycp-ui-bindings.new/yast2-ycp-ui-bindings.changes
2013-10-19 16:51:18.0 +0200
@@ -1,0 +2,7 @@
+Mon Oct 14 14:47:09 UTC 2013 - jreidin...@suse.com
+
+- Fix query for special widget DateField and TimeField resulting
+  in bad widget in GUI (BNC#845623)
+- 3.0.1
+
+---

Old:

  yast2-ycp-ui-bindings-3.0.0.tar.bz2

New:

  yast2-ycp-ui-bindings-3.0.1.tar.bz2



Other differences:
--
++ yast2-ycp-ui-bindings.spec ++
--- /var/tmp/diff_new_pack.SbQg2l/_old  2013-10-19 16:51:18.0 +0200
+++ /var/tmp/diff_new_pack.SbQg2l/_new  2013-10-19 16:51:18.0 +0200
@@ -17,8 +17,8 @@
 
 
 Name:   yast2-ycp-ui-bindings
-Version:3.0.0
-Release:0
+Version:3.0.1
+Release:3
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-ycp-ui-bindings-%{version}.tar.bz2

++ yast2-ycp-ui-bindings-3.0.0.tar.bz2 - 
yast2-ycp-ui-bindings-3.0.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ycp-ui-bindings-3.0.0/Makefile.am 
new/yast2-ycp-ui-bindings-3.0.1/Makefile.am
--- old/yast2-ycp-ui-bindings-3.0.0/Makefile.am 2013-07-31 10:57:21.0 
+0200
+++ new/yast2-ycp-ui-bindings-3.0.1/Makefile.am 2013-10-14 16:49:11.0 
+0200
@@ -150,8 +150,10 @@
fi
here=`pwd`; \
cd $(srcdir)  for i in $(RPMNAME)*.spec.in; do \
-   newname=`echo $$i | sed s/\.in$$//g`; \
-   $(Y2TOOL) create-spec  $$i  $$here/package/$${newname} ; \
+   if [ -f $$i ]; then \
+   newname=`echo $$i | sed s/\.in$$//g`; \
+   $(Y2TOOL) create-spec  $$i  $$here/package/$${newname} ; \
+   fi \
done
 
 package: check-up-to-date check-tagversion check-textdomain package-local
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ycp-ui-bindings-3.0.0/Makefile.in 
new/yast2-ycp-ui-bindings-3.0.1/Makefile.in
--- old/yast2-ycp-ui-bindings-3.0.0/Makefile.in 2013-07-31 10:57:33.0 
+0200
+++ new/yast2-ycp-ui-bindings-3.0.1/Makefile.in 2013-10-14 16:49:29.0 
+0200
@@ -768,7 +768,7 @@
*.zip*) \
  unzip $(distdir).zip ;;\
esac
-   chmod -R a-w $(distdir); chmod u+w $(distdir)
+   chmod -R a-w $(distdir); chmod a+w $(distdir)
mkdir $(distdir)/_build
mkdir $(distdir)/_inst
chmod a-w $(distdir)
@@ -1061,8 +1061,10 @@
fi
here=`pwd`; \
cd $(srcdir)  for i in $(RPMNAME)*.spec.in; do \
-   newname=`echo $$i | sed s/\.in$$//g`; \
-   $(Y2TOOL) create-spec  $$i  $$here/package/$${newname} ; \
+   if [ -f $$i ]; then \
+   newname=`echo $$i | sed s/\.in$$//g`; \
+   $(Y2TOOL) create-spec  $$i  $$here/package/$${newname} ; \
+   fi \
done
 
 package: check-up-to-date check-tagversion check-textdomain package-local
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ycp-ui-bindings-3.0.0/VERSION 
new/yast2-ycp-ui-bindings-3.0.1/VERSION
--- old/yast2-ycp-ui-bindings-3.0.0/VERSION 2013-07-30 14:06:36.0 
+0200
+++ new/yast2-ycp-ui-bindings-3.0.1/VERSION 2013-10-14 16:48:28.0 
+0200
@@ -1 +1 @@
-3.0.0
+3.0.1
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ycp-ui-bindings-3.0.0/aclocal.m4 
new/yast2-ycp-ui-bindings-3.0.1/aclocal.m4
--- old/yast2-ycp-ui-bindings-3.0.0/aclocal.m4  2013-07-31 10:57:30.0 
+0200
+++ new/yast2-ycp-ui-bindings-3.0.1/aclocal.m4  2013-10-14 16:49:24.0 
+0200
@@ -1076,7 +1076,8 @@
 # --
 AC_DEFUN([PKG_PROG_PKG_CONFIG],
 [m4_pattern_forbid([^_?PKG_[A-Z_]+$])
-m4_pattern_allow([^PKG_CONFIG(_PATH)?$])
+m4_pattern_allow([^PKG_CONFIG(_(PATH|LIBDIR|SYSROOT_DIR|ALLOW_SYSTEM_(CFLAGS|LIBS)))?$])
+m4_pattern_allow([^PKG_CONFIG_(DISABLE_UNINSTALLED|TOP_BUILD_DIR|DEBUG_SPEW)$])
 AC_ARG_VAR([PKG_CONFIG], [path to pkg-config utility])
 AC_ARG_VAR([PKG_CONFIG_PATH], [directories to add to pkg-config's search path])
 AC_ARG_VAR([PKG_CONFIG_LIBDIR], [path overriding pkg-config's built-in search 
path])
@@ 

commit yelp-xsl for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yelp-xsl for openSUSE:13.1 checked 
in at 2013-10-17 14:29:28

Comparing /work/SRC/openSUSE:13.1/yelp-xsl (Old)
 and  /work/SRC/openSUSE:13.1/.yelp-xsl.new (New)


Package is yelp-xsl

Changes:

--- /work/SRC/openSUSE:13.1/yelp-xsl/yelp-xsl.changes   2013-09-29 
17:56:20.0 +0200
+++ /work/SRC/openSUSE:13.1/.yelp-xsl.new/yelp-xsl.changes  2013-10-19 
16:51:20.0 +0200
@@ -1,0 +2,6 @@
+Tue Oct 15 14:30:54 UTC 2013 - dims...@opensuse.org
+
+- Update to version 3.10.1:
+  + Fixed use of links styles on page and section elements.
+
+---

Old:

  yelp-xsl-3.10.0.tar.xz

New:

  yelp-xsl-3.10.1.tar.xz



Other differences:
--
++ yelp-xsl.spec ++
--- /var/tmp/diff_new_pack.U6SIAO/_old  2013-10-19 16:51:20.0 +0200
+++ /var/tmp/diff_new_pack.U6SIAO/_new  2013-10-19 16:51:20.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   yelp-xsl
-Version:3.10.0
+Version:3.10.1
 Release:0
 Summary:XSL stylesheets for the yelp help browser
 License:GPL-2.0+ and LGPL-2.1+ and MIT

++ yelp-xsl-3.10.0.tar.xz - yelp-xsl-3.10.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yelp-xsl-3.10.0/ChangeLog 
new/yelp-xsl-3.10.1/ChangeLog
--- old/yelp-xsl-3.10.0/ChangeLog   2013-09-23 20:06:30.0 +0200
+++ new/yelp-xsl-3.10.1/ChangeLog   2013-10-15 13:34:14.0 +0200
@@ -1,3 +1,26 @@
+commit cf8c0fb6c674b1b17db581ca0b52b90992653edd
+Author: Shaun McCance sha...@gnome.org
+Date:   Mon Oct 7 10:42:33 2013 -0400
+
+mal2html-links: Fixed links styles on page/section style attr
+
+Broken by overloading the role param to allow multiple roles
+
+https://bugzilla.gnome.org/show_bug.cgi?id=709498
+
+ xslt/mallard/html/mal2html-links.xsl |7 ---
+ 1 files changed, 4 insertions(+), 3 deletions(-)
+
+commit e433cdeb899a278b7d9cc14fef2803c314ef5672
+Author: Shaun McCance sha...@gnome.org
+Date:   Mon Sep 23 14:06:56 2013 -0400
+
+Version 3.10.0
+
+ NEWS |5 +
+ configure.ac |2 +-
+ 2 files changed, 6 insertions(+), 1 deletions(-)
+
 commit 932d607265770347bbc1e7a430dfaa3bfb54b9b6
 Author: Victor Ibragimov victor.ibragi...@gmail.com
 Date:   Mon Sep 16 17:46:43 2013 +0500
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yelp-xsl-3.10.0/NEWS new/yelp-xsl-3.10.1/NEWS
--- old/yelp-xsl-3.10.0/NEWS2013-09-23 20:06:05.0 +0200
+++ new/yelp-xsl-3.10.1/NEWS2013-10-15 13:33:45.0 +0200
@@ -1,3 +1,7 @@
+3.10.1
+==
+* Fixed use of links styles on page and section elements
+
 3.10.0
 ==
 * Updated translations:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yelp-xsl-3.10.0/configure 
new/yelp-xsl-3.10.1/configure
--- old/yelp-xsl-3.10.0/configure   2013-09-23 20:06:20.0 +0200
+++ new/yelp-xsl-3.10.1/configure   2013-10-15 13:34:04.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.66 for yelp-xsl 3.10.0.
+# Generated by GNU Autoconf 2.66 for yelp-xsl 3.10.1.
 #
 # Report bugs to http://bugzilla.gnome.org/enter_bug.cgi?product=yelp-xsl.
 #
@@ -552,8 +552,8 @@
 # Identity of this package.
 PACKAGE_NAME='yelp-xsl'
 PACKAGE_TARNAME='yelp-xsl'
-PACKAGE_VERSION='3.10.0'
-PACKAGE_STRING='yelp-xsl 3.10.0'
+PACKAGE_VERSION='3.10.1'
+PACKAGE_STRING='yelp-xsl 3.10.1'
 PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=yelp-xsl'
 PACKAGE_URL=''
 
@@ -1240,7 +1240,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures yelp-xsl 3.10.0 to adapt to many kinds of systems.
+\`configure' configures yelp-xsl 3.10.1 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1306,7 +1306,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of yelp-xsl 3.10.0:;;
+ short | recursive ) echo Configuration of yelp-xsl 3.10.1:;;
esac
   cat \_ACEOF
 
@@ -1405,7 +1405,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-yelp-xsl configure 3.10.0
+yelp-xsl configure 3.10.1
 generated by GNU Autoconf 2.66
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1573,7 +1573,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by 

commit xrandr for openSUSE:13.1

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package xrandr for openSUSE:13.1 checked in 
at 2013-10-17 20:38:57

Comparing /work/SRC/openSUSE:13.1/xrandr (Old)
 and  /work/SRC/openSUSE:13.1/.xrandr.new (New)


Package is xrandr

Changes:

--- /work/SRC/openSUSE:13.1/xrandr/xrandr.changes   2013-09-23 
11:15:59.0 +0200
+++ /work/SRC/openSUSE:13.1/.xrandr.new/xrandr.changes  2013-10-19 
16:51:01.0 +0200
@@ -1,0 +2,8 @@
+Thu Oct 17 13:55:55 UTC 2013 - sndir...@suse.com
+
+- install the package by default; currently xrandr is required in
+  order to make use of RANDR 1.4 enhancements, which have been
+  implemented by the following drivers: intel, radeon, nouveau,
+  modesetting and nvidia
+
+---



Other differences:
--
++ xrandr.spec ++
--- /var/tmp/diff_new_pack.8TFc6Y/_old  2013-10-19 16:51:01.0 +0200
+++ /var/tmp/diff_new_pack.8TFc6Y/_new  2013-10-19 16:51:01.0 +0200
@@ -33,6 +33,10 @@
 # This was part of the xorg-x11 package up to version 7.6
 Conflicts:  xorg-x11 = 7.6
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+# Currently required in order to make use of RANDR 1.4 enhancements
+# which have been implemented by the following drivers: intel,
+# radeon, nouveau, modesetting and nvidia
+Supplements:xorg-x11-server
 
 %description
 Xrandr is used to set the size, orientation and/or reflection of

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-slide-show for openSUSE:13.1:Update

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package yast2-slide-show for 
openSUSE:13.1:Update checked in at 2013-10-18 11:33:59

Comparing /work/SRC/openSUSE:13.1:Update/yast2-slide-show (Old)
 and  /work/SRC/openSUSE:13.1:Update/.yast2-slide-show.new (New)


Package is yast2-slide-show

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.FdGYlJ/_old  2013-10-19 16:51:32.0 +0200
+++ /var/tmp/diff_new_pack.FdGYlJ/_new  2013-10-19 16:51:32.0 +0200
@@ -1 +1 @@
-link package='yast2-slide-show.2068' cicount='copy' /
+link package='yast2-slide-show.2089' cicount='copy' /

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit telepathy-qt4 for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package telepathy-qt4 for openSUSE:Factory 
checked in at 2013-10-19 18:52:54

Comparing /work/SRC/openSUSE:Factory/telepathy-qt4 (Old)
 and  /work/SRC/openSUSE:Factory/.telepathy-qt4.new (New)


Package is telepathy-qt4

Changes:

--- /work/SRC/openSUSE:Factory/telepathy-qt4/telepathy-qt4.changes  
2013-09-25 14:39:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.telepathy-qt4.new/telepathy-qt4.changes 
2013-10-19 18:52:55.0 +0200
@@ -1,0 +2,6 @@
+Sat Oct 19 13:32:36 UTC 2013 - hrvoje.sen...@gmail.com
+
+- Added fix-compilation-on-new-versions-of-cmake.patch from upstream,
+  fixes build with cmake = 2.8.12
+
+---

New:

  fix-compilation-on-new-versions-of-cmake.patch



Other differences:
--
++ telepathy-qt4.spec ++
--- /var/tmp/diff_new_pack.UGhl5k/_old  2013-10-19 18:53:01.0 +0200
+++ /var/tmp/diff_new_pack.UGhl5k/_new  2013-10-19 18:53:01.0 +0200
@@ -37,6 +37,8 @@
 Patch2: search-for-telepathy-farstream-0.4.diff
 # PATCH-FIX-UPSTREAM Fix-storing-avatars.patch -- fix storing avatars, so that 
they are not stored millions of times each (fdo#47647)
 Patch3: Fix-storing-avatars.patch
+# PATCH-FIX-UPSTREAM fix-compilation-on-new-versions-of-cmake.patch
+Patch4: fix-compilation-on-new-versions-of-cmake.patch
 BuildRequires:  cmake
 BuildRequires:  dbus-1-python
 BuildRequires:  doxygen
@@ -47,18 +49,18 @@
 BuildRequires:  pkgconfig(telepathy-glib)
 %if %farstream
 %if %gstreamer1
-BuildRequires:  pkgconfig(telepathy-farstream)
 BuildRequires:  pkgconfig(farstream-0.2)
 BuildRequires:  pkgconfig(gstreamer-1.0)
 BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
+BuildRequires:  pkgconfig(telepathy-farstream)
 %else
-BuildRequires:  pkgconfig(telepathy-farstream-0.4)
 BuildRequires:  pkgconfig(farstream-0.1)
 BuildRequires:  pkgconfig(gstreamer-0.10)
 BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
+BuildRequires:  pkgconfig(telepathy-farstream-0.4)
 %endif
 %endif
-BuildRoot:  %{_tmppath}/telepathy-qt-%{version}-build
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 Telepathy-Qt4 is a high-level binding for Telepathy, similar to telepathy-glib 
but for Qt 4.
@@ -113,6 +115,7 @@
 %endif
 %endif
 %patch3 -p1
+%patch4 -p1
 
 %build
 export CXXFLAGS=%{optflags}

++ fix-compilation-on-new-versions-of-cmake.patch ++
From 05fe3f4980bbc6b016e25dcf07e44afe29e377c0 Mon Sep 17 00:00:00 2001
From: David Edmundson k...@davidedmundson.co.uk
Date: Sun, 29 Sep 2013 22:19:27 +
Subject: Fix compilation on new versions of cmake

Recent cmake has changed the argument count to
qt4_create_moc_command, we need to adjust accordingly

Reviewed-by: Dario Freddi dario.fre...@ispirata.com
---
diff --git a/cmake/modules/FindQt.cmake b/cmake/modules/FindQt.cmake
index c2eac76..b3131f0 100644
--- a/cmake/modules/FindQt.cmake
+++ b/cmake/modules/FindQt.cmake
@@ -74,10 +74,18 @@ ENDMACRO(QT_GET_MOC_FLAGS)
 
 MACRO(QT_CREATE_MOC_COMMAND infile outfile moc_flags moc_options)
   IF(QT_VERSION_MAJOR MATCHES 4)
-QT4_CREATE_MOC_COMMAND(${infile} ${outfile} ${moc_flags} 
${moc_options})
+IF(CMAKE_VERSION VERSION_GREATER 2.8.11.20130607)
+  QT4_CREATE_MOC_COMMAND(${infile} ${outfile} ${moc_flags} 
${moc_options} )
+ELSE(CMAKE_VERSION VERSION_GREATER 2.8.11.20130607)
+  QT4_CREATE_MOC_COMMAND(${infile} ${outfile} ${moc_flags} 
${moc_options})
+ENDIF(CMAKE_VERSION VERSION_GREATER 2.8.11.20130607)
   ELSE(QT_VERSION_MAJOR MATCHES 4)
 IF(QT_VERSION_MAJOR MATCHES 5)
-  QT5_CREATE_MOC_COMMAND(${infile} ${outfile} ${moc_flags} 
${moc_options})
+  IF(CMAKE_VERSION VERSION_GREATER 2.8.11.20130607)
+QT5_CREATE_MOC_COMMAND(${infile} ${outfile} ${moc_flags} 
${moc_options} )
+  ELSE(CMAKE_VERSION VERSION_GREATER 2.8.11.20130607)
+QT5_CREATE_MOC_COMMAND(${infile} ${outfile} ${moc_flags} 
${moc_options})
+  ENDIF(CMAKE_VERSION VERSION_GREATER 2.8.11.20130607)
 ENDIF(QT_VERSION_MAJOR MATCHES 5)
   ENDIF(QT_VERSION_MAJOR MATCHES 4)
 ENDMACRO(QT_CREATE_MOC_COMMAND)
--
cgit v0.9.0.2-2-gbebe
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit acct for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package acct for openSUSE:Factory checked in 
at 2013-10-19 18:52:39

Comparing /work/SRC/openSUSE:Factory/acct (Old)
 and  /work/SRC/openSUSE:Factory/.acct.new (New)


Package is acct

Changes:

--- /work/SRC/openSUSE:Factory/acct/acct.changes2013-06-09 
16:32:22.0 +0200
+++ /work/SRC/openSUSE:Factory/.acct.new/acct.changes   2013-10-19 
18:52:39.0 +0200
@@ -1,0 +2,6 @@
+Sat Oct 19 14:56:27 UTC 2013 - p.drou...@gmail.com
+
+- Remove useless %inserv_prereq and fillup_prereq macro; acct package
+  doesn't contain neither sysvinit script and sysconfig file
+
+---



Other differences:
--
++ acct.spec ++
--- /var/tmp/diff_new_pack.u7U1x0/_old  2013-10-19 18:52:41.0 +0200
+++ /var/tmp/diff_new_pack.u7U1x0/_new  2013-10-19 18:52:41.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   acct
-PreReq: %insserv_prereq %fillup_prereq fileutils %install_info_prereq
+PreReq: fileutils %install_info_prereq
 Version:6.5.5
 Release:0
 Source: %{name}-%{version}.tar.gz

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit acpi for openSUSE:Factory

2013-10-19 Thread h_root
Hello community,

here is the log from the commit of package acpi for openSUSE:Factory checked in 
at 2013-10-19 18:52:47

Comparing /work/SRC/openSUSE:Factory/acpi (Old)
 and  /work/SRC/openSUSE:Factory/.acpi.new (New)


Package is acpi

Changes:

--- /work/SRC/openSUSE:Factory/acpi/acpi.changes2011-09-23 
01:51:29.0 +0200
+++ /work/SRC/openSUSE:Factory/.acpi.new/acpi.changes   2013-10-19 
18:52:49.0 +0200
@@ -1,0 +2,6 @@
+Sat Oct 19 15:01:47 UTC 2013 - p.drou...@gmail.com
+
+- Package doesn't contain sysconfig file or sysvinit script; remove
+  useless %insserv_prereq and %fillup_prereq macros
+
+---



Other differences:
--
++ acpi.spec ++
--- /var/tmp/diff_new_pack.0qd0BS/_old  2013-10-19 18:52:50.0 +0200
+++ /var/tmp/diff_new_pack.0qd0BS/_new  2013-10-19 18:52:50.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package acpi
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,7 +23,6 @@
 Release:5
 License:GPL-2.0+
 Group:  System/Daemons
-PreReq: %insserv_prereq %fillup_prereq
 Summary:Command-line ACPI client
 Source: %{name}-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org